import { ElementRef, EventEmitter } from '@angular/core';
import { XuiConfigService } from '../config';
import { ButtonColor, ButtonSize, ButtonType } from './button.types';
import { XuiButtonGroup } from './button-group';
import * as i0 from "@angular/core";
export declare class XuiButton {
    elementRef: ElementRef;
    private configService;
    private group?;
    private readonly _moduleName;
    _state: import("@angular/core").WritableSignal<0 | 1 | 2 | 3>;
    type: import("@angular/core").InputSignal<ButtonType | undefined>;
    size: import("@angular/core").InputSignal<ButtonSize | undefined>;
    color: import("@angular/core").InputSignal<ButtonColor | undefined>;
    shine: import("@angular/core").InputSignalWithTransform<boolean, unknown>;
    disabled: import("@angular/core").InputSignalWithTransform<boolean, unknown>;
    stateDelay: import("@angular/core").InputSignal<number>;
    onClick?: () => Promise<boolean>;
    readonly click: EventEmitter<unknown>;
    _class: import("@angular/core").Signal<string>;
    constructor(elementRef: ElementRef, configService: XuiConfigService, group?: XuiButtonGroup | undefined);
    _keyboardInteraction(event?: MouseEvent | KeyboardEvent): Promise<void>;
    _onAsync(event?: MouseEvent | KeyboardEvent | Event): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<XuiButton, [null, null, { optional: true; host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<XuiButton, "xui-button", never, { "type": { "alias": "type"; "required": false; "isSignal": true; }; "size": { "alias": "size"; "required": false; "isSignal": true; }; "color": { "alias": "color"; "required": false; "isSignal": true; }; "shine": { "alias": "shine"; "required": false; "isSignal": true; }; "disabled": { "alias": "disabled"; "required": false; "isSignal": true; }; "stateDelay": { "alias": "stateDelay"; "required": false; "isSignal": true; }; "onClick": { "alias": "onClick"; "required": false; }; }, { "click": "click"; }, never, ["*"], false, never>;
}
