import { DateTime } from 'luxon';
import { ControlValueAccessor, NgControl } from '@angular/forms';
import { DatePickerColor, DatePickerSize } from './date-picker.types';
import { XuiConfigService } from '../config';
import * as i0 from "@angular/core";
export declare class XuiDatePicker implements ControlValueAccessor {
    private configService;
    control?: NgControl | undefined;
    private readonly _moduleName;
    readonly _indices: number[];
    private onChange?;
    _onTouched?: () => void;
    _value: import("@angular/core").WritableSignal<DateTime<boolean> | null>;
    _focused: import("@angular/core").WritableSignal<DateTime<boolean>>;
    _isOpened: import("@angular/core").WritableSignal<boolean>;
    _hasFocus: import("@angular/core").WritableSignal<boolean>;
    _mouseDown: import("@angular/core").WritableSignal<boolean>;
    _disabled: import("@angular/core").WritableSignal<boolean>;
    disabledDate?: (current: DateTime) => boolean;
    value: import("@angular/core").InputSignal<string | undefined>;
    placeholder: import("@angular/core").InputSignal<string | undefined>;
    color: import("@angular/core").InputSignal<DatePickerColor>;
    size: import("@angular/core").InputSignal<DatePickerSize>;
    disabled: import("@angular/core").InputSignalWithTransform<boolean | undefined, string | boolean>;
    readOnly: import("@angular/core").InputSignalWithTransform<boolean, unknown>;
    allowClear: import("@angular/core").InputSignalWithTransform<boolean, unknown>;
    _styles: import("@angular/core").Signal<{
        [klass: string]: boolean;
    }>;
    constructor(configService: XuiConfigService, control?: NgControl | undefined);
    _getDay(index: number): DateTime<boolean>;
    _isSelected(index: number): boolean;
    _isOutsideOfMonth(index: number): boolean;
    _updateMonth(add: boolean): void;
    _onClick(index: number): void;
    writeValue(source: string): void;
    registerOnChange(onChange: (source: string | null) => void): void;
    registerOnTouched(onTouched: () => void): void;
    setDisabledState(isDisabled: boolean): void;
    _keyPress(event: KeyboardEvent): void;
    _isFocused(index: number): boolean;
    _focusMove(days: number): void;
    _applyFocused(): void;
    open(): void;
    private close;
    static ɵfac: i0.ɵɵFactoryDeclaration<XuiDatePicker, [null, { optional: true; self: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<XuiDatePicker, "xui-date-picker", never, { "disabledDate": { "alias": "disabledDate"; "required": false; }; "value": { "alias": "value"; "required": false; "isSignal": true; }; "placeholder": { "alias": "placeholder"; "required": false; "isSignal": true; }; "color": { "alias": "color"; "required": false; "isSignal": true; }; "size": { "alias": "size"; "required": false; "isSignal": true; }; "disabled": { "alias": "disabled"; "required": false; "isSignal": true; }; "readOnly": { "alias": "readOnly"; "required": false; "isSignal": true; }; "allowClear": { "alias": "allowClear"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
