import { ControlValueAccessor, NgControl } from '@angular/forms';
import { TranslateService } from '@ngx-translate/core';
import { InputColor, InputGroupAccessor, InputSize, InputType } from './input.types';
import { XuiConfigService } from '../config';
import * as i0 from "@angular/core";
export declare class XuiInput implements ControlValueAccessor {
    private configService;
    private translation;
    private group;
    control?: NgControl | undefined;
    private readonly _moduleName;
    private onChange?;
    _onTouched?: () => void;
    _disabled: import("@angular/core").WritableSignal<boolean>;
    value: import("@angular/core").ModelSignal<string | undefined>;
    placeholder: import("@angular/core").InputSignal<string | undefined>;
    color: import("@angular/core").InputSignal<InputColor>;
    size: import("@angular/core").InputSignal<InputSize>;
    type: import("@angular/core").InputSignal<InputType>;
    dataList: import("@angular/core").InputSignal<string[] | null | undefined>;
    disabled: import("@angular/core").InputSignalWithTransform<boolean | undefined, string | boolean>;
    readOnly: import("@angular/core").InputSignalWithTransform<boolean, unknown>;
    _styles: import("@angular/core").Signal<{
        [klass: string]: boolean;
    }>;
    get errorMessage(): any;
    constructor(configService: XuiConfigService, translation: TranslateService, group: InputGroupAccessor, control?: NgControl | undefined);
    get _showError(): boolean;
    writeValue(source: string): void;
    registerOnChange(onChange: (source: string | null) => void): void;
    registerOnTouched(onTouched: () => void): void;
    setDisabledState(isDisabled: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<XuiInput, [null, null, { optional: true; }, { optional: true; self: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<XuiInput, "xui-input", never, { "value": { "alias": "value"; "required": false; "isSignal": true; }; "placeholder": { "alias": "placeholder"; "required": false; "isSignal": true; }; "color": { "alias": "color"; "required": false; "isSignal": true; }; "size": { "alias": "size"; "required": false; "isSignal": true; }; "type": { "alias": "type"; "required": false; "isSignal": true; }; "dataList": { "alias": "dataList"; "required": false; "isSignal": true; }; "disabled": { "alias": "disabled"; "required": false; "isSignal": true; }; "readOnly": { "alias": "readOnly"; "required": false; "isSignal": true; }; }, { "value": "valueChange"; }, never, ["[xuiPrefix]", "[xuiPostfix]"], false, never>;
}
