import { ControlValueAccessor, NgControl } from '@angular/forms';
import { RadioListAccessor, RadioListColor, RadioListSize, RadioListValue } from './radio-list.types';
import * as i0 from "@angular/core";
export declare class XuiRadioList implements RadioListAccessor, ControlValueAccessor {
    control?: NgControl | undefined;
    private onChange?;
    private onTouched?;
    _mouseDown: boolean;
    _disabled: import("@angular/core").WritableSignal<boolean>;
    _focusedValue: import("@angular/core").WritableSignal<RadioListValue>;
    value: import("@angular/core").ModelSignal<RadioListValue>;
    size: import("@angular/core").InputSignal<RadioListSize>;
    color: import("@angular/core").InputSignal<RadioListColor>;
    disabled: import("@angular/core").InputSignalWithTransform<boolean | undefined, string | boolean>;
    private optionsRef;
    constructor(control?: NgControl | undefined);
    writeValue(source: RadioListValue): void;
    registerOnChange(onChange: (source: RadioListValue) => void): void;
    registerOnTouched(onTouched: () => void): void;
    setDisabledState(isDisabled: boolean): void;
    _prev(event: KeyboardEvent): void;
    _next(event: KeyboardEvent): void;
    _focusIn(): void;
    _focusOut(): void;
    private select;
    static ɵfac: i0.ɵɵFactoryDeclaration<XuiRadioList, [{ optional: true; self: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<XuiRadioList, "xui-radio-list", never, { "value": { "alias": "value"; "required": false; "isSignal": true; }; "size": { "alias": "size"; "required": false; "isSignal": true; }; "color": { "alias": "color"; "required": false; "isSignal": true; }; "disabled": { "alias": "disabled"; "required": false; "isSignal": true; }; }, { "value": "valueChange"; }, ["optionsRef"], ["*"], false, never>;
}
