import { ElementRef } from '@angular/core';
import { ControlValueAccessor, NgControl } from '@angular/forms';
import { SelectAccessor, SelectColor, SelectItem, SelectSize, SelectValue } from './select.types';
import * as i0 from "@angular/core";
export declare class XuiSelect implements SelectAccessor, ControlValueAccessor {
    private elementRef;
    control?: NgControl | undefined;
    private onChange?;
    _onTouched?: () => void;
    _viewValue: import("@angular/core").WritableSignal<string>;
    _isOpened: import("@angular/core").WritableSignal<boolean>;
    _disabled: import("@angular/core").WritableSignal<boolean>;
    value: import("@angular/core").ModelSignal<SelectValue>;
    placeholder: import("@angular/core").InputSignal<string | undefined>;
    color: import("@angular/core").InputSignal<SelectColor>;
    size: import("@angular/core").InputSignal<SelectSize>;
    items: import("@angular/core").InputSignal<SelectItem[] | undefined>;
    disabled: import("@angular/core").InputSignalWithTransform<boolean | undefined, string | boolean>;
    _styles: import("@angular/core").Signal<{
        [klass: string]: boolean;
    }>;
    get _width(): any;
    constructor(elementRef: ElementRef, control?: NgControl | undefined);
    open(): void;
    close(): void;
    writeValue(source: SelectValue): void;
    registerOnChange(onChange: (source: SelectValue) => void): void;
    registerOnTouched(onTouched: () => void): void;
    setDisabledState(isDisabled: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<XuiSelect, [null, { optional: true; self: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<XuiSelect, "xui-select", never, { "value": { "alias": "value"; "required": false; "isSignal": true; }; "placeholder": { "alias": "placeholder"; "required": false; "isSignal": true; }; "color": { "alias": "color"; "required": false; "isSignal": true; }; "size": { "alias": "size"; "required": false; "isSignal": true; }; "items": { "alias": "items"; "required": false; "isSignal": true; }; "disabled": { "alias": "disabled"; "required": false; "isSignal": true; }; }, { "value": "valueChange"; }, never, ["xui-option"], false, never>;
}
