import { InjectionToken, Signal, WritableSignal } from '@angular/core';
export type SelectSize = 'large' | 'small';
export type SelectColor = 'light' | 'dark';
export type SelectValue = string | number | null;
export interface SelectItem {
    label: string;
    value: SelectValue;
}
export declare const XUI_SELECT_ACCESSOR: InjectionToken<SelectAccessor>;
export interface SelectAccessor {
    color: Signal<SelectColor>;
    value: WritableSignal<SelectValue>;
    _viewValue: WritableSignal<string>;
    close(): void;
}
