import { ControlValueAccessor, NgControl } from '@angular/forms';
import { SliderColor, SliderMark } from './slider.types';
import * as i0 from "@angular/core";
export declare class XuiSlider implements ControlValueAccessor {
    control?: NgControl | undefined;
    private onChange?;
    _onTouched?: () => void;
    _disabled: import("@angular/core").WritableSignal<boolean>;
    tipFormatter?: (value: number) => string;
    color: import("@angular/core").InputSignal<SliderColor>;
    secondColor: import("@angular/core").InputSignal<SliderColor | undefined>;
    min: import("@angular/core").InputSignalWithTransform<number, string | number>;
    max: import("@angular/core").InputSignalWithTransform<number, string | number>;
    step: import("@angular/core").InputSignalWithTransform<number, string | number>;
    marks: import("@angular/core").InputSignal<SliderMark[] | undefined>;
    value: import("@angular/core").InputSignalWithTransform<number | undefined, string | number>;
    disabled: import("@angular/core").InputSignalWithTransform<boolean | undefined, string | boolean>;
    tooltipDisabled: import("@angular/core").InputSignalWithTransform<boolean, unknown>;
    private trackElm;
    private tooltipRef;
    _value: import("@angular/core").WritableSignal<number>;
    _tooltip: import("@angular/core").Signal<string>;
    private percentage;
    _width: import("@angular/core").Signal<number>;
    _position: import("@angular/core").Signal<{
        x: number;
        y: number;
    }>;
    _getColor(color: string): string;
    _getPercentage(absolute: number): number;
    constructor(control?: NgControl | undefined);
    writeValue(source: number): void;
    registerOnChange(onChange: (source: number) => void): void;
    registerOnTouched(onTouched: () => void): void;
    setDisabledState(isDisabled: boolean): void;
    _decreaseKey(): void;
    _increaseKey(): void;
    _move(screenX: number): Promise<void>;
    private get hostRect();
    static ɵfac: i0.ɵɵFactoryDeclaration<XuiSlider, [{ optional: true; self: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<XuiSlider, "xui-slider", never, { "tipFormatter": { "alias": "tipFormatter"; "required": false; }; "color": { "alias": "color"; "required": false; "isSignal": true; }; "secondColor": { "alias": "secondColor"; "required": false; "isSignal": true; }; "min": { "alias": "min"; "required": false; "isSignal": true; }; "max": { "alias": "max"; "required": false; "isSignal": true; }; "step": { "alias": "step"; "required": false; "isSignal": true; }; "marks": { "alias": "marks"; "required": false; "isSignal": true; }; "value": { "alias": "value"; "required": false; "isSignal": true; }; "disabled": { "alias": "disabled"; "required": false; "isSignal": true; }; "tooltipDisabled": { "alias": "tooltipDisabled"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
