import { ControlValueAccessor, NgControl } from '@angular/forms';
import { TranslateService } from '@ngx-translate/core';
import { TextareaColor, TextareaSize } from './textarea.types';
import * as i0 from "@angular/core";
export declare class XuiTextarea implements ControlValueAccessor {
    private translation;
    control?: NgControl | undefined;
    private onChange?;
    _onTouched?: () => void;
    _disabled: import("@angular/core").WritableSignal<boolean>;
    value: import("@angular/core").ModelSignal<string | undefined>;
    placeholder: import("@angular/core").InputSignal<string | undefined>;
    color: import("@angular/core").InputSignal<TextareaColor>;
    size: import("@angular/core").InputSignal<TextareaSize>;
    rows: import("@angular/core").InputSignal<number>;
    maxLength: import("@angular/core").InputSignal<number | undefined>;
    disabled: import("@angular/core").InputSignalWithTransform<boolean | undefined, string | boolean>;
    readOnly: import("@angular/core").InputSignalWithTransform<boolean, unknown>;
    _worldCount: import("@angular/core").Signal<number>;
    _styles: import("@angular/core").Signal<{
        [klass: string]: boolean;
    }>;
    get errorMessage(): any;
    constructor(translation: TranslateService, control?: NgControl | undefined);
    get _showError(): boolean;
    writeValue(source: string): void;
    registerOnChange(onChange: (source: string | null) => void): void;
    registerOnTouched(onTouched: () => void): void;
    setDisabledState(isDisabled: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<XuiTextarea, [null, { optional: true; self: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<XuiTextarea, "xui-textarea", never, { "value": { "alias": "value"; "required": false; "isSignal": true; }; "placeholder": { "alias": "placeholder"; "required": false; "isSignal": true; }; "color": { "alias": "color"; "required": false; "isSignal": true; }; "size": { "alias": "size"; "required": false; "isSignal": true; }; "rows": { "alias": "rows"; "required": false; "isSignal": true; }; "maxLength": { "alias": "maxLength"; "required": false; "isSignal": true; }; "disabled": { "alias": "disabled"; "required": false; "isSignal": true; }; "readOnly": { "alias": "readOnly"; "required": false; "isSignal": true; }; }, { "value": "valueChange"; }, never, never, true, never>;
}
