import * as i0 from '@angular/core';
import { InjectionToken, input, Component, ChangeDetectionStrategy, Optional, Inject, Directive, Input, SecurityContext, Injectable, SkipSelf, ErrorHandler, inject, booleanAttribute, Attribute, EventEmitter, Output, NgModule, signal, computed, Host, model, effect, Self, ViewChild, ContentChildren, HostBinding, ElementRef, Injector, TemplateRef } from '@angular/core';
import * as i1$1 from '@angular/common';
import { CommonModule, DOCUMENT } from '@angular/common';
import { of, throwError, forkJoin, Subscription, Subject, first, filter as filter$1, map as map$1, takeUntil, lastValueFrom } from 'rxjs';
import { tap, map, catchError, finalize, share, take, filter, mapTo } from 'rxjs/operators';
import * as i1 from '@angular/common/http';
import { HttpClient } from '@angular/common/http';
import * as i2 from '@angular/platform-browser';
import { DomSanitizer } from '@angular/platform-browser';
import * as i2$1 from '@angular/cdk/portal';
import { TemplatePortal, PortalModule, BasePortalOutlet, CdkPortalOutlet, ComponentPortal } from '@angular/cdk/portal';
import * as i1$2 from '@angular/forms';
import { FormsModule, ReactiveFormsModule, NgControl } from '@angular/forms';
import * as i1$3 from '@angular/cdk/overlay';
import { ConnectionPositionPair, OverlayModule, OverlayConfig } from '@angular/cdk/overlay';
import * as i2$2 from '@angular/cdk/a11y';
import { A11yModule } from '@angular/cdk/a11y';
import { CdkMenuModule } from '@angular/cdk/menu';
import { DateTime } from 'luxon';
import * as i1$4 from '@ngx-translate/core';
import { TranslateModule } from '@ngx-translate/core';
import * as i2$3 from '@angular/cdk/drag-drop';
import { DragDropModule } from '@angular/cdk/drag-drop';
import * as i1$6 from '@angular/cdk/dialog';
import { DIALOG_DATA, DialogModule } from '@angular/cdk/dialog';
import * as i1$5 from 'ngx-image-cropper';
import { ImageCropperComponent } from 'ngx-image-cropper';
import { __decorate, __metadata } from 'tslib';
import { untilDestroyed, UntilDestroy } from '@ngneat/until-destroy';
import * as i1$7 from '@angular/router';
import { NavigationEnd, Router, RouterModule } from '@angular/router';
import { animation, animate, keyframes, style, trigger, transition, useAnimation, state } from '@angular/animations';
import * as i2$4 from '@angular/cdk/platform';
import * as i3 from '@angular/cdk/layout';
import { Breakpoints } from '@angular/cdk/layout';

const XUI_BADGE_DEFAULT_OPTIONS = new InjectionToken('XUI_BADGE_DEFAULT_OPTIONS');

class XuiBadge {
    constructor(options) {
        this.options = options;
        this.color = input(this.options?.color ?? 'primary');
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiBadge, deps: [{ token: XUI_BADGE_DEFAULT_OPTIONS, optional: true }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "18.0.1", type: XuiBadge, isStandalone: true, selector: "xui-badge", inputs: { color: { classPropertyName: "color", publicName: "color", isSignal: true, isRequired: false, transformFunction: null } }, host: { properties: { "class": "\"x-badge-\" + color()" }, classAttribute: "x-badge" }, ngImport: i0, template: `<ng-content />`, isInline: true, dependencies: [{ kind: "ngmodule", type: CommonModule }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiBadge, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    imports: [CommonModule],
                    selector: 'xui-badge',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: `<ng-content />`,
                    host: {
                        class: 'x-badge',
                        '[class]': '"x-badge-" + color()'
                    }
                }]
        }], ctorParameters: () => [{ type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [XUI_BADGE_DEFAULT_OPTIONS]
                }] }] });

class XuiBadgeConfigure {
    set xuiBadgeColor(color) {
        this.options.color = color;
    }
    constructor(options) {
        this.options = options;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiBadgeConfigure, deps: [{ token: XUI_BADGE_DEFAULT_OPTIONS }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.1", type: XuiBadgeConfigure, isStandalone: true, selector: "[xuiBadgeConfigure]", inputs: { xuiBadgeColor: "xuiBadgeColor" }, providers: [{ provide: XUI_BADGE_DEFAULT_OPTIONS, useFactory: () => ({ color: 'primary' }) }], ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiBadgeConfigure, decorators: [{
            type: Directive,
            args: [{
                    standalone: true,
                    selector: '[xuiBadgeConfigure]',
                    providers: [{ provide: XUI_BADGE_DEFAULT_OPTIONS, useFactory: () => ({ color: 'primary' }) }]
                }]
        }], ctorParameters: () => [{ type: undefined, decorators: [{
                    type: Inject,
                    args: [XUI_BADGE_DEFAULT_OPTIONS]
                }] }], propDecorators: { xuiBadgeColor: [{
                type: Input
            }] } });

const XUI_BANNER_DEFAULT_OPTIONS = new InjectionToken('XUI_BANNER_DEFAULT_OPTIONS');

/**
 * @fileoverview
 * A module to facilitate use of a Trusted Types policy internally within
 * Angular Material. It lazily constructs the Trusted Types policy, providing
 * helper utilities for promoting strings to Trusted Types. When Trusted Types
 * are not available, strings are used as a fallback.
 * @security All use of this module is security-sensitive and should go through
 * security review.
 */
/**
 * The Trusted Types policy, or null if Trusted Types are not
 * enabled/supported, or undefined if the policy has not been created yet.
 */
let policy;
/**
 * Returns the Trusted Types policy, or null if Trusted Types are not
 * enabled/supported. The first call to this function will create the policy.
 */
function getPolicy() {
    if (policy === undefined) {
        policy = null;
        if (typeof window !== 'undefined') {
            const ttWindow = window;
            if (ttWindow.trustedTypes !== undefined) {
                policy = ttWindow.trustedTypes.createPolicy('angular#components', {
                    createHTML: (s) => s
                });
            }
        }
    }
    return policy;
}
/**
 * Unsafely promote a string to a TrustedHTML, falling back to strings when
 * Trusted Types are not available.
 * @security This is a security-sensitive function; any use of this function
 * must go through security review. In particular, it must be assured that the
 * provided string will never cause an XSS vulnerability if used in a context
 * that will be interpreted as HTML by a browser, e.g. when assigning to
 * element.innerHTML.
 */
function trustedHTMLFromString(html) {
    return getPolicy()?.createHTML(html) || html;
}

/**
 * Returns an exception to be thrown in the case when attempting to
 * load an icon with a name that cannot be found.
 * @docs-private
 */
function getXuiIconNameNotFoundError(iconName) {
    return Error(`Unable to find icon with the name "${iconName}"`);
}
/**
 * Returns an exception to be thrown when the consumer attempts to use
 * `<xui-icon>` without including @angular/common/http.
 * @docs-private
 */
function getXuiIconNoHttpProviderError() {
    return Error('Could not find HttpClient provider for use with xUI icons. ' +
        'Please include the HttpClientModule from @angular/common/http in your ' +
        'app imports.');
}
/**
 * Returns an exception to be thrown when a URL couldn't be sanitized.
 * @param url URL that was attempted to be sanitized.
 * @docs-private
 */
function getXuiIconFailedToSanitizeUrlError(url) {
    return Error(`The URL provided to XuiIconRegistry was not trusted as a resource URL ` +
        `via Angular's DomSanitizer. Attempted URL was "${url}".`);
}
/**
 * Returns an exception to be thrown when an HTML string couldn't be sanitized.
 * @param literal HTML that was attempted to be sanitized.
 * @docs-private
 */
function getXuiIconFailedToSanitizeLiteralError(literal) {
    return Error(`The literal provided to XuiIconRegistry was not trusted as safe HTML by ` +
        `Angular's DomSanitizer. Attempted literal was "${literal}".`);
}
/**
 * Configuration for an icon, including the URL and possibly the cached SVG element.
 * @docs-private
 */
class SvgIconConfig {
    constructor(url, svgText, options) {
        this.url = url;
        this.svgText = svgText;
        this.options = options;
    }
}
/**
 * Service to register and display icons used by the `<xui-icon>` component.
 * - Registers icon URLs by namespace and name.
 * - Registers icon set URLs by namespace.
 * - Registers aliases for CSS classes, for use with icon fonts.
 * - Loads icons from URLs and extracts individual icons from icon sets.
 */
class XuiIconRegistry {
    constructor(_httpClient, _sanitizer, document, _errorHandler) {
        this._httpClient = _httpClient;
        this._sanitizer = _sanitizer;
        this._errorHandler = _errorHandler;
        /**
         * URLs and cached SVG elements for individual icons. Keys are of the format "[namespace]:[icon]".
         */
        this._svgIconConfigs = new Map();
        /**
         * SvgIconConfig objects and cached SVG elements for icon sets, keyed by namespace.
         * Multiple icon sets can be registered under the same namespace.
         */
        this._iconSetConfigs = new Map();
        /** Cache for icons loaded by direct URLs. */
        this._cachedIconsByUrl = new Map();
        /** In-progress icon fetches. Used to coalesce multiple requests to the same URL. */
        this._inProgressUrlFetches = new Map();
        /** Map from font identifiers to their CSS class names. Used for icon fonts. */
        this._fontCssClassesByAlias = new Map();
        /** Registered icon resolver functions. */
        this._resolvers = [];
        /**
         * The CSS classes to apply when an `<xui-icon>` component has no icon name, url, or font
         * specified. The default 'xui-icons' value assumes that the material icon font has been
         * loaded as described at https://google.github.io/material-design-icons/#icon-font-for-the-web
         */
        this._defaultFontSetClass = ['material-symbols', 'x-ligature-font'];
        this._document = document;
    }
    /**
     * Registers an icon by URL in the default namespace.
     * @param iconName Name under which the icon should be registered.
     * @param url
     * @param options
     */
    addSvgIcon(iconName, url, options) {
        return this.addSvgIconInNamespace('', iconName, url, options);
    }
    /**
     * Registers an icon using an HTML string in the default namespace.
     * @param iconName Name under which the icon should be registered.
     * @param literal SVG source of the icon.
     * @param options
     */
    addSvgIconLiteral(iconName, literal, options) {
        return this.addSvgIconLiteralInNamespace('', iconName, literal, options);
    }
    /**
     * Registers an icon by URL in the specified namespace.
     * @param namespace Namespace in which the icon should be registered.
     * @param iconName Name under which the icon should be registered.
     * @param url
     * @param options
     */
    addSvgIconInNamespace(namespace, iconName, url, options) {
        return this._addSvgIconConfig(namespace, iconName, new SvgIconConfig(url, null, options));
    }
    /**
     * Registers an icon resolver function with the registry. The function will be invoked with the
     * name and namespace of an icon when the registry tries to resolve the URL from which to fetch
     * the icon. The resolver is expected to return a `SafeResourceUrl` that points to the icon,
     * an object with the icon URL and icon options, or `null` if the icon is not supported. Resolvers
     * will be invoked in the order in which they have been registered.
     * @param resolver Resolver function to be registered.
     */
    addSvgIconResolver(resolver) {
        this._resolvers.push(resolver);
        return this;
    }
    /**
     * Registers an icon using an HTML string in the specified namespace.
     * @param namespace Namespace in which the icon should be registered.
     * @param iconName Name under which the icon should be registered.
     * @param literal SVG source of the icon.
     * @param options
     */
    addSvgIconLiteralInNamespace(namespace, iconName, literal, options) {
        const cleanLiteral = this._sanitizer.sanitize(SecurityContext.HTML, literal);
        if (!cleanLiteral) {
            throw getXuiIconFailedToSanitizeLiteralError(literal);
        }
        // Security: The literal is passed in as SafeHtml, and is thus trusted.
        const trustedLiteral = trustedHTMLFromString(cleanLiteral);
        return this._addSvgIconConfig(namespace, iconName, new SvgIconConfig('', trustedLiteral, options));
    }
    /**
     * Registers an icon set by URL in the default namespace.
     * @param url
     * @param options
     */
    addSvgIconSet(url, options) {
        return this.addSvgIconSetInNamespace('', url, options);
    }
    /**
     * Registers an icon set using an HTML string in the default namespace.
     * @param literal SVG source of the icon set.
     * @param options
     */
    addSvgIconSetLiteral(literal, options) {
        return this.addSvgIconSetLiteralInNamespace('', literal, options);
    }
    /**
     * Registers an icon set by URL in the specified namespace.
     * @param namespace Namespace in which to register the icon set.
     * @param url
     * @param options
     */
    addSvgIconSetInNamespace(namespace, url, options) {
        return this._addSvgIconSetConfig(namespace, new SvgIconConfig(url, null, options));
    }
    /**
     * Registers an icon set using an HTML string in the specified namespace.
     * @param namespace Namespace in which to register the icon set.
     * @param literal SVG source of the icon set.
     * @param options
     */
    addSvgIconSetLiteralInNamespace(namespace, literal, options) {
        const cleanLiteral = this._sanitizer.sanitize(SecurityContext.HTML, literal);
        if (!cleanLiteral) {
            throw getXuiIconFailedToSanitizeLiteralError(literal);
        }
        // Security: The literal is passed in as SafeHtml, and is thus trusted.
        const trustedLiteral = trustedHTMLFromString(cleanLiteral);
        return this._addSvgIconSetConfig(namespace, new SvgIconConfig('', trustedLiteral, options));
    }
    /**
     * Defines an alias for CSS class names to be used for icon fonts. Creating an xuiIcon
     * component with the alias as the fontSet input will cause the class name to be applied
     * to the `<xui-icon>` element.
     *
     * If the registered font is a ligature font, then don't forget to also include the special
     * class `x-ligature-font` to allow the usage via attribute. So register like this:
     *
     * ```ts
     * iconRegistry.registerFontClassAlias('f1', 'font1 x-ligature-font');
     * ```
     *
     * And use like this:
     *
     * ```html
     * <xui-icon fontSet="f1" fontIcon="home"></xui-icon>
     * ```
     *
     * @param alias Alias for the font.
     * @param classNames Class names override to be used instead of the alias.
     */
    registerFontClassAlias(alias, classNames = alias) {
        this._fontCssClassesByAlias.set(alias, classNames);
        return this;
    }
    /**
     * Returns the CSS class name associated with the alias by a previous call to
     * registerFontClassAlias. If no CSS class has been associated, returns the alias unmodified.
     */
    classNameForFontAlias(alias) {
        return this._fontCssClassesByAlias.get(alias) || alias;
    }
    /**
     * Sets the CSS classes to be used for icon fonts when an `<xui-icon>` component does not
     * have a fontSet input value, and is not loading an icon by name or URL.
     */
    setDefaultFontSetClass(...classNames) {
        this._defaultFontSetClass = classNames;
        return this;
    }
    /**
     * Returns the CSS classes to be used for icon fonts when an `<xui-icon>` component does not
     * have a fontSet input value, and is not loading an icon by name or URL.
     */
    getDefaultFontSetClass() {
        return this._defaultFontSetClass;
    }
    /**
     * Returns an Observable that produces the icon (as an `<svg>` DOM element) from the given URL.
     * The response from the URL may be cached so this will not always cause an HTTP request, but
     * the produced element will always be a new copy of the originally fetched icon. (That is,
     * it will not contain any modifications made to elements previously returned).
     *
     * @param safeUrl URL from which to fetch the SVG icon.
     */
    getSvgIconFromUrl(safeUrl) {
        const url = this._sanitizer.sanitize(SecurityContext.RESOURCE_URL, safeUrl);
        if (!url) {
            throw getXuiIconFailedToSanitizeUrlError(safeUrl);
        }
        const cachedIcon = this._cachedIconsByUrl.get(url);
        if (cachedIcon) {
            return of(cloneSvg(cachedIcon));
        }
        return this._loadSvgIconFromConfig(new SvgIconConfig(safeUrl, null)).pipe(tap(svg => this._cachedIconsByUrl.set(url, svg)), map(svg => cloneSvg(svg)));
    }
    /**
     * Returns an Observable that produces the icon (as an `<svg>` DOM element) with the given name
     * and namespace. The icon must have been previously registered with addIcon or addIconSet;
     * if not, the Observable will throw an error.
     *
     * @param name Name of the icon to be retrieved.
     * @param namespace Namespace in which to look for the icon.
     */
    getNamedSvgIcon(name, namespace = '') {
        const key = iconKey(namespace, name);
        let config = this._svgIconConfigs.get(key);
        // Return (copy of) cached icon if possible.
        if (config) {
            return this._getSvgFromConfig(config);
        }
        // Otherwise try to resolve the config from one of the resolver functions.
        config = this._getIconConfigFromResolvers(namespace, name);
        if (config) {
            this._svgIconConfigs.set(key, config);
            return this._getSvgFromConfig(config);
        }
        // See if we have any icon sets registered for the namespace.
        const iconSetConfigs = this._iconSetConfigs.get(namespace);
        if (iconSetConfigs) {
            return this._getSvgFromIconSetConfigs(name, iconSetConfigs);
        }
        return throwError(getXuiIconNameNotFoundError(key));
    }
    ngOnDestroy() {
        this._resolvers = [];
        this._svgIconConfigs.clear();
        this._iconSetConfigs.clear();
        this._cachedIconsByUrl.clear();
    }
    /**
     * Returns the cached icon for a SvgIconConfig if available, or fetches it from its URL if not.
     */
    _getSvgFromConfig(config) {
        if (config.svgText) {
            // We already have the SVG element for this icon, return a copy.
            return of(cloneSvg(this._svgElementFromConfig(config)));
        }
        else {
            // Fetch the icon from the config's URL, cache it, and return a copy.
            return this._loadSvgIconFromConfig(config).pipe(map(svg => cloneSvg(svg)));
        }
    }
    /**
     * Attempts to find an icon with the specified name in any of the SVG icon sets.
     * First searches the available cached icons for a nested element with a matching name, and
     * if found copies the element to a new `<svg>` element. If not found, fetches all icon sets
     * that have not been cached, and searches again after all fetches are completed.
     * The returned Observable produces the SVG element if possible, and throws
     * an error if no icon with the specified name can be found.
     */
    _getSvgFromIconSetConfigs(name, iconSetConfigs) {
        // For all the icon set SVG elements we've fetched, see if any contain an icon with the
        // requested name.
        const namedIcon = this._extractIconWithNameFromAnySet(name, iconSetConfigs);
        if (namedIcon) {
            // We could cache namedIcon in _svgIconConfigs, but since we have to make a copy every
            // time anyway, there's probably not much advantage compared to just always extracting
            // it from the icon set.
            return of(namedIcon);
        }
        // Not found in any cached icon sets. If there are icon sets with URLs that we haven't
        // fetched, fetch them now and look for iconName in the results.
        const iconSetFetchRequests = iconSetConfigs
            .filter(iconSetConfig => !iconSetConfig.svgText)
            .map(iconSetConfig => {
            return this._loadSvgIconSetFromConfig(iconSetConfig).pipe(catchError((err) => {
                const url = this._sanitizer.sanitize(SecurityContext.RESOURCE_URL, iconSetConfig.url);
                // Swallow errors fetching individual URLs so the
                // combined Observable won't necessarily fail.
                const errorMessage = `Loading icon set URL: ${url} failed: ${err.message}`;
                this._errorHandler.handleError(new Error(errorMessage));
                return of(null);
            }));
        });
        // Fetch all the icon set URLs. When the requests complete, every IconSet should have a
        // cached SVG element (unless the request failed), and we can check again for the icon.
        return forkJoin(iconSetFetchRequests).pipe(map(() => {
            const foundIcon = this._extractIconWithNameFromAnySet(name, iconSetConfigs);
            if (!foundIcon) {
                throw getXuiIconNameNotFoundError(name);
            }
            return foundIcon;
        }));
    }
    /**
     * Searches the cached SVG elements for the given icon sets for a nested icon element whose "id"
     * tag matches the specified name. If found, copies the nested element to a new SVG element and
     * returns it. Returns null if no matching element is found.
     */
    _extractIconWithNameFromAnySet(iconName, iconSetConfigs) {
        // Iterate backwards, so icon sets added later have precedence.
        for (let i = iconSetConfigs.length - 1; i >= 0; i--) {
            const config = iconSetConfigs[i];
            // Parsing the icon set's text into an SVG element can be expensive. We can avoid some of
            // the parsing by doing a quick check using `indexOf` to see if there's any chance for the
            // icon to be in the set. This won't be 100% accurate, but it should help us avoid at least
            // some of the parsing.
            if (config.svgText && config.svgText.toString().indexOf(iconName) > -1) {
                const svg = this._svgElementFromConfig(config);
                const foundIcon = this._extractSvgIconFromSet(svg, iconName, config.options);
                if (foundIcon) {
                    return foundIcon;
                }
            }
        }
        return null;
    }
    /**
     * Loads the content of the icon URL specified in the SvgIconConfig and creates an SVG element
     * from it.
     */
    _loadSvgIconFromConfig(config) {
        return this._fetchIcon(config).pipe(tap(svgText => (config.svgText = svgText)), map(() => this._svgElementFromConfig(config)));
    }
    /**
     * Loads the content of the icon set URL specified in the
     * SvgIconConfig and attaches it to the config.
     */
    _loadSvgIconSetFromConfig(config) {
        if (config.svgText) {
            return of(null);
        }
        return this._fetchIcon(config).pipe(tap(svgText => (config.svgText = svgText)));
    }
    /**
     * Searches the cached element of the given SvgIconConfig for a nested icon element whose "id"
     * tag matches the specified name. If found, copies the nested element to a new SVG element and
     * returns it. Returns null if no matching element is found.
     */
    _extractSvgIconFromSet(iconSet, iconName, options) {
        // Use the `id="iconName"` syntax in order to escape special
        // characters in the ID (versus using the #iconName syntax).
        const iconSource = iconSet.querySelector(`[id="${iconName}"]`);
        if (!iconSource) {
            return null;
        }
        // Clone the element and remove the ID to prevent multiple elements from being added
        // to the page with the same ID.
        const iconElement = iconSource.cloneNode(true);
        iconElement.removeAttribute('id');
        // If the icon node is itself an <svg> node, clone and return it directly. If not, set it as
        // the content of a new <svg> node.
        if (iconElement.nodeName.toLowerCase() === 'svg') {
            return this._setSvgAttributes(iconElement, options);
        }
        // If the node is a <symbol>, it won't be rendered, so we have to convert it into <svg>. Note
        // that the same could be achieved by referring to it via <use href="#id">, however the <use>
        // tag is problematic on Firefox, because it needs to include the current page path.
        if (iconElement.nodeName.toLowerCase() === 'symbol') {
            return this._setSvgAttributes(this._toSvgElement(iconElement), options);
        }
        // createElement('SVG') doesn't work as expected; the DOM ends up with
        // the correct nodes, but the SVG content doesn't render. Instead, we
        // have to create an empty SVG node using innerHTML and append its content.
        // Elements created using DOMParser.parseFromString have the same problem.
        // http://stackoverflow.com/questions/23003278/svg-innerhtml-in-firefox-can-not-display
        const svg = this._svgElementFromString(trustedHTMLFromString('<svg></svg>'));
        // Clone the node, so we don't remove it from the parent icon set element.
        svg.appendChild(iconElement);
        return this._setSvgAttributes(svg, options);
    }
    /**
     * Creates a DOM element from the given SVG string.
     */
    _svgElementFromString(str) {
        const div = this._document.createElement('DIV');
        div.innerHTML = str;
        const svg = div.querySelector('svg');
        // TODO: add an ngDevMode check
        if (!svg) {
            throw Error('<svg> tag not found');
        }
        return svg;
    }
    /**
     * Converts an element into an SVG node by cloning all of its children.
     */
    _toSvgElement(element) {
        const svg = this._svgElementFromString(trustedHTMLFromString('<svg></svg>'));
        const attributes = element.attributes;
        // Copy over all the attributes from the `symbol` to the new SVG, except the id.
        for (let i = 0; i < attributes.length; i++) {
            const { name, value } = attributes[i];
            if (name !== 'id') {
                svg.setAttribute(name, value);
            }
        }
        for (let i = 0; i < element.childNodes.length; i++) {
            if (element.childNodes[i].nodeType === this._document.ELEMENT_NODE) {
                svg.appendChild(element.childNodes[i].cloneNode(true));
            }
        }
        return svg;
    }
    /**
     * Sets the default attributes for an SVG element to be used as an icon.
     */
    _setSvgAttributes(svg, options) {
        svg.setAttribute('fit', '');
        svg.setAttribute('height', '100%');
        svg.setAttribute('width', '100%');
        svg.setAttribute('preserveAspectRatio', 'xMidYMid meet');
        svg.setAttribute('focusable', 'false'); // Disable IE11 default behavior to make SVGs focusable.
        if (options && options.viewBox) {
            svg.setAttribute('viewBox', options.viewBox);
        }
        return svg;
    }
    /**
     * Returns an Observable which produces the string contents of the given icon. Results may be
     * cached, so future calls with the same URL may not cause another HTTP request.
     */
    _fetchIcon(iconConfig) {
        const { url: safeUrl, options } = iconConfig;
        const withCredentials = options?.withCredentials ?? false;
        if (!this._httpClient) {
            throw getXuiIconNoHttpProviderError();
        }
        if (safeUrl == null) {
            throw Error(`Cannot fetch icon from URL "${safeUrl}".`);
        }
        const url = this._sanitizer.sanitize(SecurityContext.RESOURCE_URL, safeUrl);
        if (!url) {
            throw getXuiIconFailedToSanitizeUrlError(safeUrl);
        }
        // Store in-progress fetches to avoid sending a duplicate request for a URL when there is
        // already a request in progress for that URL. It's necessary to call share() on the
        // Observable returned by http.get() so that multiple subscribers don't cause multiple XHRs.
        const inProgressFetch = this._inProgressUrlFetches.get(url);
        if (inProgressFetch) {
            return inProgressFetch;
        }
        const req = this._httpClient.get(url, { responseType: 'text', withCredentials }).pipe(map(svg => {
            // Security: This SVG is fetched from a SafeResourceUrl, and is thus
            // trusted HTML.
            return trustedHTMLFromString(svg);
        }), finalize(() => this._inProgressUrlFetches.delete(url)), share());
        this._inProgressUrlFetches.set(url, req);
        return req;
    }
    /**
     * Registers an icon config by name in the specified namespace.
     * @param namespace Namespace in which to register the icon config.
     * @param iconName Name under which to register the config.
     * @param config Config to be registered.
     */
    _addSvgIconConfig(namespace, iconName, config) {
        this._svgIconConfigs.set(iconKey(namespace, iconName), config);
        return this;
    }
    /**
     * Registers an icon set config in the specified namespace.
     * @param namespace Namespace in which to register the icon config.
     * @param config Config to be registered.
     */
    _addSvgIconSetConfig(namespace, config) {
        const configNamespace = this._iconSetConfigs.get(namespace);
        if (configNamespace) {
            configNamespace.push(config);
        }
        else {
            this._iconSetConfigs.set(namespace, [config]);
        }
        return this;
    }
    /** Parses a config's text into an SVG element. */
    _svgElementFromConfig(config) {
        if (!config.svgElement) {
            const svg = this._svgElementFromString(config.svgText);
            this._setSvgAttributes(svg, config.options);
            config.svgElement = svg;
        }
        return config.svgElement;
    }
    /** Tries to create an icon config through the registered resolver functions. */
    _getIconConfigFromResolvers(namespace, name) {
        for (let i = 0; i < this._resolvers.length; i++) {
            const result = this._resolvers[i](name, namespace);
            if (result) {
                return isSafeUrlWithOptions(result)
                    ? new SvgIconConfig(result.url, null, result.options)
                    : new SvgIconConfig(result, null);
            }
        }
        return undefined;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiIconRegistry, deps: [{ token: i1.HttpClient, optional: true }, { token: i2.DomSanitizer }, { token: DOCUMENT, optional: true }, { token: i0.ErrorHandler }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiIconRegistry, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiIconRegistry, decorators: [{
            type: Injectable,
            args: [{ providedIn: 'root' }]
        }], ctorParameters: () => [{ type: i1.HttpClient, decorators: [{
                    type: Optional
                }] }, { type: i2.DomSanitizer }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [DOCUMENT]
                }] }, { type: i0.ErrorHandler }] });
/** @docs-private */
function ICON_REGISTRY_PROVIDER_FACTORY(parentRegistry, httpClient, sanitizer, errorHandler, document) {
    return parentRegistry || new XuiIconRegistry(httpClient, sanitizer, document, errorHandler);
}
/** @docs-private */
const ICON_REGISTRY_PROVIDER = {
    // If there is already an XuiIconRegistry available, use that. Otherwise, provide a new one.
    provide: XuiIconRegistry,
    deps: [
        [new Optional(), new SkipSelf(), XuiIconRegistry],
        [new Optional(), HttpClient],
        DomSanitizer,
        ErrorHandler,
        [new Optional(), DOCUMENT]
    ],
    useFactory: ICON_REGISTRY_PROVIDER_FACTORY
};
/** Clones an SVGElement while preserving type information. */
function cloneSvg(svg) {
    return svg.cloneNode(true);
}
/** Returns the cache key to use for an icon namespace and name. */
function iconKey(namespace, name) {
    return namespace + ':' + name;
}
function isSafeUrlWithOptions(value) {
    return !!(value.url && value.options);
}

/** Injection token to be used to override the default options for `xui-icon`. */
// TODO: use config service
const XUI_ICON_DEFAULT_OPTIONS = new InjectionToken('XUI_ICON_DEFAULT_OPTIONS');
/**
 * Injection token used to provide the current location to `XuiIcon`.
 * Used to handle server-side rendering and to stub out during unit tests.
 * @docs-private
 */
const XUI_ICON_LOCATION = new InjectionToken('xui-icon-location', {
    providedIn: 'root',
    factory: XUI_ICON_LOCATION_FACTORY
});
/** @docs-private */
function XUI_ICON_LOCATION_FACTORY() {
    const _document = inject(DOCUMENT);
    const _location = _document ? _document.location : null;
    return {
        // Note that this needs to be a function, rather than a property, because Angular
        // will only resolve it once, but we want the current path on each call.
        getPathname: () => (_location ? _location.pathname + _location.search : '')
    };
}
/** SVG attributes that accept a FuncIRI (e.g. `url(<something>)`). */
const funcIriAttributes = [
    'clip-path',
    'color-profile',
    'src',
    'cursor',
    'fill',
    'filter',
    'marker',
    'marker-start',
    'marker-mid',
    'marker-end',
    'mask',
    'stroke'
];
/** Selector that can be used to find all elements that are using a `FuncIRI`. */
const funcIriAttributeSelector = funcIriAttributes.map(attr => `[${attr}]`).join(', ');
/** Regex that can be used to extract the id out of a FuncIRI. */
const funcIriPattern = /^url\(['"]?#(.*?)['"]?\)$/;
/**
 * Component to display an icon. It can be used in the following ways:
 *
 * - Specify the svgIcon input to load an SVG icon from a URL previously registered with the
 *   addSvgIcon, addSvgIconInNamespace, addSvgIconSet, or addSvgIconSetInNamespace methods of
 *   XuiIconRegistry. If the svgIcon value contains a colon it is assumed to be in the format
 *   "[namespace]:[name]", if not the value will be the name of an icon in the default namespace.
 *   Examples:
 *     `<xui-icon svgIcon="left-arrow"></xui-icon>
 *     <xui-icon svgIcon="animals:cat"></xui-icon>`
 *
 * - Use a font ligature as an icon by putting the ligature text in the `fontIcon` attribute or the
 *   content of the `<xui-icon>` component. If you register a custom font class, don't forget to also
 *   include the special class `x-ligature-font`. It is recommended to use the attribute alternative
 *   to prevent the ligature text to be selectable and to appear in search engine results.
 *   By default, the Material icons font is used as described at
 *   http://google.github.io/material-design-icons/#icon-font-for-the-web. You can specify an
 *   alternate font by setting the fontSet input to either the CSS class to apply to use the
 *   desired font, or to an alias previously registered with XuiIconRegistry.registerFontClassAlias.
 *   Examples:
 *     `<xui-icon fontIcon="home"></xui-icon>
 *     <xui-icon>home</xui-icon>
 *     <xui-icon fontSet="myfont" fontIcon="sun"></xui-icon>
 *     <xui-icon fontSet="myfont">sun</xui-icon>`
 *
 * - Specify a font glyph to be included via CSS rules by setting the fontSet input to specify the
 *   font, and the fontIcon input to specify the icon. Typically, the fontIcon will specify a
 *   CSS class which causes the glyph to be displayed via a :before selector, as in
 *   https://fortawesome.github.io/Font-Awesome/examples/
 *   Example:
 *     `<xui-icon fontSet="fa" fontIcon="alarm"></xui-icon>`
 */
class XuiIcon {
    /** Color of the icon. */
    get color() {
        return this._color || this._defaultColor;
    }
    set color(value) {
        this._color = value;
    }
    /** Name of the icon in the SVG icon set. */
    get svgIcon() {
        return this._svgIcon;
    }
    set svgIcon(value) {
        if (value !== this._svgIcon) {
            if (value) {
                this._updateSvgIcon(value);
            }
            else if (this._svgIcon) {
                this._clearSvgElement();
            }
            this._svgIcon = value;
        }
    }
    /** Font set that the icon is a part of. */
    get fontSet() {
        return this._fontSet;
    }
    set fontSet(value) {
        const newValue = this._cleanupFontValue(value);
        if (newValue !== this._fontSet) {
            this._fontSet = newValue;
            this._updateFontIconClasses();
        }
    }
    /** Name of an icon within a font set. */
    get icon() {
        return this._fontIcon;
    }
    set icon(value) {
        const newValue = this._cleanupFontValue(value);
        if (newValue !== this._fontIcon) {
            this._fontIcon = newValue;
            this._updateFontIconClasses();
        }
    }
    constructor(_elementRef, _iconRegistry, ariaHidden, _location, _errorHandler, defaults) {
        this._elementRef = _elementRef;
        this._iconRegistry = _iconRegistry;
        this._location = _location;
        this._errorHandler = _errorHandler;
        this._previousFontSetClass = [];
        /** Subscription to the current in-progress SVG icon request. */
        this._currentIconFetch = Subscription.EMPTY;
        /**
         * Whether the icon should be inlined, automatically sizing the icon to match the font size of
         * the element the icon is contained in.
         */
        this.inline = false;
        if (defaults) {
            if (defaults.color) {
                this.color = this._defaultColor = defaults.color;
            }
            if (defaults.fontSet) {
                this.fontSet = defaults.fontSet;
            }
        }
        // If the user has not explicitly set aria-hidden, mark the icon as hidden, as this is
        // the right thing to do for the majority of icon use-cases.
        if (!ariaHidden) {
            _elementRef.nativeElement.setAttribute('aria-hidden', 'true');
        }
    }
    /**
     * Splits an svgIcon binding value into its icon set and icon name components.
     * Returns a 2-element array of [(icon set), (icon name)].
     * The separator for the two fields is ':'. If there is no separator, an empty
     * string is returned for the icon set and the entire value is returned for
     * the icon name. If the argument is falsy, returns an array of two empty strings.
     * Throws an error if the name contains two or more ':' separators.
     * Examples:
     *   `'social:cake' -> ['social', 'cake']
     *   'penguin' -> ['', 'penguin']
     *   null -> ['', '']
     *   'a:b:c' -> (throws Error)`
     */
    _splitIconName(iconName) {
        if (!iconName) {
            return ['', ''];
        }
        const parts = iconName.split(':');
        switch (parts.length) {
            case 1:
                return ['', parts[0]]; // Use default namespace.
            case 2:
                return parts;
            default:
                throw Error(`Invalid icon name: "${iconName}"`); // TODO: add an ngDevMode check
        }
    }
    ngOnInit() {
        // Update font classes because ngOnChanges won't be called if none of the inputs are present,
        // e.g. <xui-icon>arrow</xui-icon> In this case we need to add a CSS class for the default font.
        this._updateFontIconClasses();
    }
    ngAfterViewChecked() {
        const cachedElements = this._elementsWithExternalReferences;
        if (cachedElements && cachedElements.size) {
            const newPath = this._location.getPathname();
            // We need to check whether the URL has changed on each change detection since
            // the browser doesn't have an API that will let us react on link clicks and
            // we can't depend on the Angular router. The references need to be updated,
            // because while most browsers don't care whether the URL is correct after
            // the first render, Safari will break if the user navigates to a different
            // page and the SVG isn't re-rendered.
            if (newPath !== this._previousPath) {
                this._previousPath = newPath;
                this._prependPathToReferences(newPath);
            }
        }
    }
    ngOnDestroy() {
        this._currentIconFetch.unsubscribe();
        if (this._elementsWithExternalReferences) {
            this._elementsWithExternalReferences.clear();
        }
    }
    _usingFontIcon() {
        return !this.svgIcon;
    }
    _setSvgElement(svg) {
        this._clearSvgElement();
        // Note: we do this fix here, rather than the icon registry, because the
        // references have to point to the URL at the time that the icon was created.
        const path = this._location.getPathname();
        this._previousPath = path;
        this._cacheChildrenWithExternalReferences(svg);
        this._prependPathToReferences(path);
        this._elementRef.nativeElement.appendChild(svg);
    }
    _clearSvgElement() {
        const layoutElement = this._elementRef.nativeElement;
        let childCount = layoutElement.childNodes.length;
        if (this._elementsWithExternalReferences) {
            this._elementsWithExternalReferences.clear();
        }
        // Remove existing non-element child nodes and SVGs, and add the new SVG element. Note that
        // we can't use innerHTML, because IE will throw if the element has a data binding.
        while (childCount--) {
            const child = layoutElement.childNodes[childCount];
            // 1 corresponds to Node.ELEMENT_NODE. We remove all non-element nodes in order to get rid
            // of any loose text nodes, as well as any SVG elements in order to remove any old icons.
            if (child.nodeType !== 1 || child.nodeName.toLowerCase() === 'svg') {
                child.remove();
            }
        }
    }
    _updateFontIconClasses() {
        if (!this._usingFontIcon()) {
            return;
        }
        const elem = this._elementRef.nativeElement;
        const fontSetClasses = (this.fontSet
            ? this._iconRegistry.classNameForFontAlias(this.fontSet).split(/ +/)
            : this._iconRegistry.getDefaultFontSetClass()).filter(className => className.length > 0);
        this._previousFontSetClass.forEach(className => elem.classList.remove(className));
        fontSetClasses.forEach(className => elem.classList.add(className));
        this._previousFontSetClass = fontSetClasses;
        if (this.icon !== this._previousFontIconClass && !fontSetClasses.includes('x-ligature-font')) {
            if (this._previousFontIconClass) {
                elem.classList.remove(this._previousFontIconClass);
            }
            if (this.icon) {
                elem.classList.add(this.icon);
            }
            this._previousFontIconClass = this.icon;
        }
    }
    /**
     * Cleans up a value to be used as a fontIcon or fontSet.
     * Since the value ends up being assigned as a CSS class, we
     * have to trim the value and omit space-separated values.
     */
    _cleanupFontValue(value) {
        return typeof value === 'string' ? value.trim().split(' ')[0] : value;
    }
    /**
     * Prepends the current path to all elements that have an attribute pointing to a `FuncIRI`
     * reference. This is required because WebKit browsers require references to be prefixed with
     * the current path, if the page has a `base` tag.
     */
    _prependPathToReferences(path) {
        const elements = this._elementsWithExternalReferences;
        if (elements) {
            elements.forEach((attrs, element) => {
                attrs.forEach(attr => {
                    element.setAttribute(attr.name, `url('${path}#${attr.value}')`);
                });
            });
        }
    }
    /**
     * Caches the children of an SVG element that have `url()`
     * references that we need to prefix with the current path.
     */
    _cacheChildrenWithExternalReferences(element) {
        const elementsWithFuncIri = element.querySelectorAll(funcIriAttributeSelector);
        const elements = (this._elementsWithExternalReferences = this._elementsWithExternalReferences || new Map());
        for (let i = 0; i < elementsWithFuncIri.length; i++) {
            funcIriAttributes.forEach(attr => {
                const elementWithReference = elementsWithFuncIri[i];
                const value = elementWithReference.getAttribute(attr);
                const match = value ? value.match(funcIriPattern) : null;
                if (match) {
                    let attributes = elements.get(elementWithReference);
                    if (!attributes) {
                        attributes = [];
                        elements.set(elementWithReference, attributes);
                    }
                    attributes.push({ name: attr, value: match[1] });
                }
            });
        }
    }
    /** Sets a new SVG icon with a particular name. */
    _updateSvgIcon(rawName) {
        this._svgNamespace = null;
        this._svgName = null;
        this._currentIconFetch.unsubscribe();
        if (rawName) {
            const [namespace, iconName] = this._splitIconName(rawName);
            if (namespace) {
                this._svgNamespace = namespace;
            }
            if (iconName) {
                this._svgName = iconName;
            }
            this._currentIconFetch = this._iconRegistry
                .getNamedSvgIcon(iconName, namespace)
                .pipe(take(1))
                .subscribe(svg => this._setSvgElement(svg), (err) => {
                const errorMessage = `Error retrieving icon ${namespace}:${iconName}! ${err.message}`;
                this._errorHandler.handleError(new Error(errorMessage));
            });
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiIcon, deps: [{ token: i0.ElementRef }, { token: XuiIconRegistry }, { token: 'aria-hidden', attribute: true }, { token: XUI_ICON_LOCATION }, { token: i0.ErrorHandler }, { token: XUI_ICON_DEFAULT_OPTIONS, optional: true }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.1", type: XuiIcon, isStandalone: true, selector: "xui-icon", inputs: { color: "color", inline: ["inline", "inline", booleanAttribute], svgIcon: "svgIcon", fontSet: "fontSet", icon: "icon" }, host: { attributes: { "role": "img" }, properties: { "class": "color ? \"x-icon-\" + color : \"\"", "attr.data-xui-icon-type": "_usingFontIcon() ? \"font\" : \"svg\"", "attr.data-xui-icon-name": "_svgName || icon", "attr.data-xui-icon-namespace": "_svgNamespace || fontSet", "attr.fontIcon": "_usingFontIcon() ? icon : null", "class.x-icon-inline": "inline", "class.x-icon-no-color": "color !== \"primary\" && color !== \"accent\" && color !== \"warn\"" }, classAttribute: "x-icon notranslate" }, exportAs: ["xuiIcon"], ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiIcon, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    template: '<ng-content></ng-content>',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    selector: 'xui-icon',
                    exportAs: 'xuiIcon',
                    host: {
                        role: 'img',
                        class: 'x-icon notranslate',
                        '[class]': 'color ? "x-icon-" + color : ""',
                        '[attr.data-xui-icon-type]': '_usingFontIcon() ? "font" : "svg"',
                        '[attr.data-xui-icon-name]': '_svgName || icon',
                        '[attr.data-xui-icon-namespace]': '_svgNamespace || fontSet',
                        '[attr.fontIcon]': '_usingFontIcon() ? icon : null',
                        '[class.x-icon-inline]': 'inline',
                        '[class.x-icon-no-color]': 'color !== "primary" && color !== "accent" && color !== "warn"' // TODO
                    }
                }]
        }], ctorParameters: () => [{ type: i0.ElementRef }, { type: XuiIconRegistry }, { type: undefined, decorators: [{
                    type: Attribute,
                    args: ['aria-hidden']
                }] }, { type: undefined, decorators: [{
                    type: Inject,
                    args: [XUI_ICON_LOCATION]
                }] }, { type: i0.ErrorHandler }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [XUI_ICON_DEFAULT_OPTIONS]
                }] }], propDecorators: { color: [{
                type: Input
            }], inline: [{
                type: Input,
                args: [{ transform: booleanAttribute }]
            }], svgIcon: [{
                type: Input
            }], fontSet: [{
                type: Input
            }], icon: [{
                type: Input
            }] } });

class XuiBanner {
    constructor(options) {
        this.options = options;
        this.type = input(this.options?.type ?? 'info');
        this.stamp = input();
        this.dismissible = input(this.options?.dismissible ?? false, { transform: booleanAttribute });
        this.bannerClose = new EventEmitter();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiBanner, deps: [{ token: XUI_BANNER_DEFAULT_OPTIONS, optional: true }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "18.0.1", type: XuiBanner, isStandalone: true, selector: "xui-banner", inputs: { type: { classPropertyName: "type", publicName: "type", isSignal: true, isRequired: false, transformFunction: null }, stamp: { classPropertyName: "stamp", publicName: "stamp", isSignal: true, isRequired: false, transformFunction: null }, dismissible: { classPropertyName: "dismissible", publicName: "dismissible", isSignal: true, isRequired: false, transformFunction: null } }, outputs: { bannerClose: "bannerClose" }, host: { listeners: { "click": "bannerClose.emit()" }, properties: { "class": "\"x-banner-\" + type()", "class.x-banner-dismissible": "dismissible()" }, classAttribute: "x-banner" }, ngImport: i0, template: "<div *ngIf=\"stamp()\" class=\"x-banner-stamp\">{{ stamp() }}</div>\n<ng-content />\n<xui-icon *ngIf=\"dismissible()\" class=\"x-banner-close\" icon=\"close\"></xui-icon>\n", dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: XuiIcon, selector: "xui-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "icon"], exportAs: ["xuiIcon"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiBanner, decorators: [{
            type: Component,
            args: [{ standalone: true, imports: [CommonModule, XuiIcon], selector: 'xui-banner', changeDetection: ChangeDetectionStrategy.OnPush, host: {
                        class: 'x-banner',
                        '[class]': '"x-banner-" + type()',
                        '[class.x-banner-dismissible]': 'dismissible()',
                        '(click)': 'bannerClose.emit()'
                    }, template: "<div *ngIf=\"stamp()\" class=\"x-banner-stamp\">{{ stamp() }}</div>\n<ng-content />\n<xui-icon *ngIf=\"dismissible()\" class=\"x-banner-close\" icon=\"close\"></xui-icon>\n" }]
        }], ctorParameters: () => [{ type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [XUI_BANNER_DEFAULT_OPTIONS]
                }] }], propDecorators: { bannerClose: [{
                type: Output
            }] } });

const BUTTON_MODULE = 'button';
const CHECKBOX_MODULE = 'checkbox';
const DATE_PICKER_MODULE = 'datePicker';
const TOOLTIP_MODULE = 'tooltip';
const SNACKBAR_MODULE = 'snackbar';
// TODO: finish these
const DECAGRAM_MODULE = 'decagram';
const DIVIDER_MODULE = 'divider';
const IMAGE_UPLOAD_MODULE = 'imageUpload';
const INPUT_MODULE = 'input';
const LAYOUT_MODULE = 'layout';
class SnackBarConfig {
    constructor() {
        this.duration = 5000;
        this.data = null;
        /** The politeness level for the LiveAnnouncer announcement. */
        this.politeness = 'assertive';
        /**
         * Message to be announced by the LiveAnnouncer. When opening a snackbar without a custom
         * component or template, the announcement message will default to the specified message.
         */
        this.announcementMessage = '';
        this.horizontalPosition = 'center';
        this.verticalPosition = 'bottom';
    }
}
const XUI_CONFIG = new InjectionToken('xui-config');

const isDefined = function (value) {
    return value !== undefined;
};
class XuiConfigService {
    constructor(defaultConfig) {
        this.configUpdated$ = new Subject();
        this.config = defaultConfig ? JSON.parse(JSON.stringify(defaultConfig)) : {};
    }
    getConfigForComponent(componentName) {
        return this.config[componentName];
    }
    get(componentName, key, defaultValue) {
        const config = this.getConfigForComponent(componentName);
        return config?.[key] || defaultValue;
    }
    getConfigChangeEventForComponent(componentName) {
        return this.configUpdated$.pipe(filter(n => n === componentName), mapTo(undefined));
    }
    set(componentName, value) {
        this.config[componentName] = { ...this.config[componentName], ...value };
        this.configUpdated$.next(componentName);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiConfigService, deps: [{ token: XUI_CONFIG, optional: true }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiConfigService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiConfigService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [XUI_CONFIG]
                }] }] });
function WithConfig() {
    return function ConfigDecorator(target, propName, originalDescriptor) {
        const privatePropName = `$$__assignedValue__${propName}`;
        Object.defineProperty(target, privatePropName, {
            configurable: true,
            writable: true,
            enumerable: false
        });
        return {
            get() {
                const originalValue = originalDescriptor?.get ? originalDescriptor.get.bind(this)() : this[privatePropName];
                const assignedByUser = ((this.assignmentCount || {})[propName] || 0) > 1;
                if (assignedByUser && isDefined(originalValue)) {
                    return originalValue;
                }
                const componentConfig = this.configService.getConfigForComponent(this._moduleName) || {};
                const configValue = componentConfig[propName];
                return isDefined(configValue) ? configValue : originalValue;
            },
            set(value) {
                // If the value is assigned, we consider the newly assigned value as 'assigned by user'.
                this.assignmentCount = this.assignmentCount || {};
                this.assignmentCount[propName] = (this.assignmentCount[propName] || 0) + 1;
                if (originalDescriptor?.set) {
                    originalDescriptor.set.bind(this)(value);
                }
                else {
                    this[privatePropName] = value;
                }
            },
            configurable: true,
            enumerable: true
        };
    };
}

class XuiConfigure {
    // Banner
    // @Input() set xuiBannerType(type: BannerType) {
    //   this.configService.set(BANNER_MODULE, { type });
    // }
    //
    // @Input() set xuiBannerDismissible(dismissible: boolean) {
    //   this.configService.set(BANNER_MODULE, { dismissible });
    // }
    // Button
    set xuiButtonType(type) {
        this.configService.set(BUTTON_MODULE, { type });
    }
    set xuiButtonColor(color) {
        this.configService.set(BUTTON_MODULE, { color });
    }
    set xuiButtonSize(size) {
        this.configService.set(BUTTON_MODULE, { size });
    }
    // Checkbox
    set xuiCheckboxColor(color) {
        this.configService.set(CHECKBOX_MODULE, { color });
    }
    set xuiCheckboxDisabled(disabled) {
        this.configService.set(CHECKBOX_MODULE, { disabled });
    }
    // Date Picker
    set xuiDatePickerColor(color) {
        this.configService.set(DATE_PICKER_MODULE, { color });
    }
    set xuiDatePickerSize(size) {
        this.configService.set(DATE_PICKER_MODULE, { size });
    }
    // TODO: implement these
    // Input
    set xuiInputColor(color) {
        this.configService.set(INPUT_MODULE, { color });
    }
    set xuiInputSize(size) {
        this.configService.set(INPUT_MODULE, { size });
    }
    constructor(configService) {
        this.configService = configService;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiConfigure, deps: [{ token: XuiConfigService }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.1", type: XuiConfigure, selector: "[xuiConfigure]", inputs: { xuiButtonType: "xuiButtonType", xuiButtonColor: "xuiButtonColor", xuiButtonSize: "xuiButtonSize", xuiCheckboxColor: "xuiCheckboxColor", xuiCheckboxDisabled: "xuiCheckboxDisabled", xuiDatePickerColor: "xuiDatePickerColor", xuiDatePickerSize: "xuiDatePickerSize", xuiInputColor: "xuiInputColor", xuiInputSize: "xuiInputSize" }, providers: [XuiConfigService], ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiConfigure, decorators: [{
            type: Directive,
            args: [{
                    selector: '[xuiConfigure]',
                    providers: [XuiConfigService]
                }]
        }], ctorParameters: () => [{ type: XuiConfigService }], propDecorators: { xuiButtonType: [{
                type: Input
            }], xuiButtonColor: [{
                type: Input
            }], xuiButtonSize: [{
                type: Input
            }], xuiCheckboxColor: [{
                type: Input
            }], xuiCheckboxDisabled: [{
                type: Input
            }], xuiDatePickerColor: [{
                type: Input
            }], xuiDatePickerSize: [{
                type: Input
            }], xuiInputColor: [{
                type: Input
            }], xuiInputSize: [{
                type: Input
            }] } });

class XuiConfigModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiConfigModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.1", ngImport: i0, type: XuiConfigModule, declarations: [XuiConfigure], imports: [CommonModule], exports: [XuiConfigure] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiConfigModule, imports: [CommonModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiConfigModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [XuiConfigure],
                    exports: [XuiConfigure],
                    imports: [CommonModule]
                }]
        }] });

function parseCss(value) {
    if (value == null) {
        return '';
    }
    return typeof value === 'string' ? value : `${value}px`;
}
function inNextTick() {
    const timer = new Subject();
    Promise.resolve().then(() => timer.next());
    return timer.pipe(take(1)).toPromise();
}

async function delay(ms) {
    return new Promise(resolve => setTimeout(resolve, ms));
}

class XuiButtonGroup {
    constructor() {
        this.type = input();
        this.size = input();
        this.color = input();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiButtonGroup, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "18.0.1", type: XuiButtonGroup, selector: "xui-button-group", inputs: { type: { classPropertyName: "type", publicName: "type", isSignal: true, isRequired: false, transformFunction: null }, size: { classPropertyName: "size", publicName: "size", isSignal: true, isRequired: false, transformFunction: null }, color: { classPropertyName: "color", publicName: "color", isSignal: true, isRequired: false, transformFunction: null } }, host: { classAttribute: "x-button-group" }, ngImport: i0, template: '<ng-content />', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiButtonGroup, decorators: [{
            type: Component,
            args: [{
                    selector: 'xui-button-group',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content />',
                    host: {
                        class: 'x-button-group'
                    }
                }]
        }] });

class XuiButton {
    constructor(
    // TODO: Anchor for popover; consider removing it and refactoring
    elementRef, configService, group) {
        this.elementRef = elementRef;
        this.configService = configService;
        this.group = group;
        this._moduleName = BUTTON_MODULE;
        this._state = signal(0);
        this.type = input();
        this.size = input();
        this.color = input();
        this.shine = input(false, { transform: booleanAttribute });
        this.disabled = input(false, { transform: booleanAttribute });
        this.stateDelay = input(5000);
        // Used to emit event when user interacts with button with spacebar or enter
        // eslint-disable-next-line @angular-eslint/no-output-native
        this.click = new EventEmitter();
        this._class = computed(() => {
            const config = this.configService.getConfigForComponent(BUTTON_MODULE);
            return (`x-button-${this.size() ?? this.group?.size() ?? config?.size ?? 'medium'} ` +
                `x-button-${this.type() ?? this.group?.type() ?? config?.type ?? 'normal'} ` +
                `x-button-${this.color() ?? this.group?.color() ?? config?.color ?? 'primary'}`);
        });
    }
    async _keyboardInteraction(event) {
        if (this.disabled()) {
            return;
        }
        this.click.emit(event);
        await this._onAsync(event);
    }
    async _onAsync(event) {
        if (this.disabled()) {
            return;
        }
        // Do not prevent events when button is disabled
        event?.preventDefault();
        event?.stopPropagation();
        if (!this.onClick) {
            return;
        }
        this._state.set(1);
        try {
            this._state.set((await this.onClick()) ? 2 : 3);
        }
        catch {
            this._state.set(2);
        }
        await delay(5000);
        this._state.set(0);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiButton, deps: [{ token: i0.ElementRef }, { token: XuiConfigService }, { token: XuiButtonGroup, host: true, optional: true }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "18.0.1", type: XuiButton, selector: "xui-button", inputs: { type: { classPropertyName: "type", publicName: "type", isSignal: true, isRequired: false, transformFunction: null }, size: { classPropertyName: "size", publicName: "size", isSignal: true, isRequired: false, transformFunction: null }, color: { classPropertyName: "color", publicName: "color", isSignal: true, isRequired: false, transformFunction: null }, shine: { classPropertyName: "shine", publicName: "shine", isSignal: true, isRequired: false, transformFunction: null }, disabled: { classPropertyName: "disabled", publicName: "disabled", isSignal: true, isRequired: false, transformFunction: null }, stateDelay: { classPropertyName: "stateDelay", publicName: "stateDelay", isSignal: true, isRequired: false, transformFunction: null }, onClick: { classPropertyName: "onClick", publicName: "onClick", isSignal: false, isRequired: false, transformFunction: null } }, outputs: { click: "click" }, host: { listeners: { "click": "_onAsync($event)", "keydown.enter": "_keyboardInteraction($event)", "keydown.space": "_keyboardInteraction($event)" }, properties: { "class": "_class()", "class.x-button--non-idle": "_state() != 0", "class.x-button--loading": "_state() == 1", "class.x-button--succeeded": "_state() == 2", "class.x-button--failed": "_state() == 3", "tabindex": "disabled() ? -1 : 0", "attr.disabled": "disabled() || null" }, classAttribute: "x-button" }, ngImport: i0, template: `<div class="x-button-content">
      <ng-content />
    </div>
    <div class="x-button-state-image"></div>

    @if (shine() && !disabled()) {
      <div class="x-button-shine">
        <div class="x-button-shine-inner">
          <div class="x-button-shine-element"></div>
        </div>
      </div>
    }`, isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiButton, decorators: [{
            type: Component,
            args: [{
                    selector: 'xui-button',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: `<div class="x-button-content">
      <ng-content />
    </div>
    <div class="x-button-state-image"></div>

    @if (shine() && !disabled()) {
      <div class="x-button-shine">
        <div class="x-button-shine-inner">
          <div class="x-button-shine-element"></div>
        </div>
      </div>
    }`,
                    host: {
                        class: 'x-button',
                        '[class]': '_class()',
                        '[class.x-button--non-idle]': '_state() != 0',
                        '[class.x-button--loading]': '_state() == 1',
                        '[class.x-button--succeeded]': '_state() == 2',
                        '[class.x-button--failed]': '_state() == 3',
                        '[tabindex]': 'disabled() ? -1 : 0',
                        '[attr.disabled]': 'disabled() || null',
                        '(click)': '_onAsync($event)',
                        '(keydown.enter)': '_keyboardInteraction($event)',
                        '(keydown.space)': '_keyboardInteraction($event)'
                    }
                }]
        }], ctorParameters: () => [{ type: i0.ElementRef }, { type: XuiConfigService }, { type: XuiButtonGroup, decorators: [{
                    type: Optional
                }, {
                    type: Host
                }] }], propDecorators: { onClick: [{
                type: Input
            }], click: [{
                type: Output
            }] } });

class XuiFocusService {
    constructor(doc) {
        doc.documentElement.addEventListener('mousedown', function () {
            doc.documentElement.classList.add('mouse-mode');
            doc.documentElement.classList.remove('keyboard-mode');
        });
        doc.documentElement.addEventListener('keydown', function (event) {
            if (event.code == 'Tab') {
                doc.documentElement.classList.add('keyboard-mode');
                doc.documentElement.classList.remove('mouse-mode');
            }
        });
        doc.defaultView?.addEventListener('focus', function () {
            doc.documentElement.classList.add('app-focused');
        });
        doc.defaultView?.addEventListener('blur', function () {
            doc.documentElement.classList.remove('app-focused');
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiFocusService, deps: [{ token: DOCUMENT }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiFocusService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiFocusService, decorators: [{
            type: Injectable,
            args: [{ providedIn: 'root' }]
        }], ctorParameters: () => [{ type: Document, decorators: [{
                    type: Inject,
                    args: [DOCUMENT]
                }] }] });
class XuiFocusModule {
    constructor(_) { }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiFocusModule, deps: [{ token: XuiFocusService }], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.1", ngImport: i0, type: XuiFocusModule }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiFocusModule, providers: [XuiFocusService] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiFocusModule, decorators: [{
            type: NgModule,
            args: [{ providers: [XuiFocusService] }]
        }], ctorParameters: () => [{ type: XuiFocusService }] });

class XuiButtonModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiButtonModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.1", ngImport: i0, type: XuiButtonModule, declarations: [XuiButton, XuiButtonGroup], imports: [CommonModule, XuiFocusModule], exports: [XuiButton, XuiButtonGroup] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiButtonModule, imports: [CommonModule, XuiFocusModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiButtonModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule, XuiFocusModule],
                    declarations: [XuiButton, XuiButtonGroup],
                    exports: [XuiButton, XuiButtonGroup]
                }]
        }] });

class XuiCard {
    // @Input() loading!: boolean;
    constructor(viewContainerRef) {
        this.viewContainerRef = viewContainerRef;
    }
    ngOnInit() {
        if (this.titleDirective) {
            this.titlePortal = new TemplatePortal(this.titleDirective, this.viewContainerRef);
        }
        if (this.actionsDirective) {
            this.actionsPortal = new TemplatePortal(this.actionsDirective, this.viewContainerRef);
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiCard, deps: [{ token: i0.ViewContainerRef }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.1", type: XuiCard, selector: "xui-card", host: { classAttribute: "x-card" }, ngImport: i0, template: "<div class=\"x-card-header\" *ngIf=\"titleDirective\">\n  <ng-template [cdkPortalOutlet]=\"titlePortal\" />\n</div>\n\n<div class=\"x-card-content\">\n  <ng-content />\n</div>\n\n<div class=\"x-card-actions\" *ngIf=\"actionsDirective\">\n  <ng-template [cdkPortalOutlet]=\"actionsPortal\" />\n</div>\n", dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2$1.CdkPortalOutlet, selector: "[cdkPortalOutlet]", inputs: ["cdkPortalOutlet"], outputs: ["attached"], exportAs: ["cdkPortalOutlet"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiCard, decorators: [{
            type: Component,
            args: [{ selector: 'xui-card', changeDetection: ChangeDetectionStrategy.OnPush, host: {
                        class: 'x-card'
                    }, template: "<div class=\"x-card-header\" *ngIf=\"titleDirective\">\n  <ng-template [cdkPortalOutlet]=\"titlePortal\" />\n</div>\n\n<div class=\"x-card-content\">\n  <ng-content />\n</div>\n\n<div class=\"x-card-actions\" *ngIf=\"actionsDirective\">\n  <ng-template [cdkPortalOutlet]=\"actionsPortal\" />\n</div>\n" }]
        }], ctorParameters: () => [{ type: i0.ViewContainerRef }] });

class XuiCardActions {
    constructor(card, templateRef) {
        card.actionsDirective = templateRef;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiCardActions, deps: [{ token: XuiCard }, { token: i0.TemplateRef }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.1", type: XuiCardActions, selector: "[xuiCardActions]", exportAs: ["xuiCardActions"], ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiCardActions, decorators: [{
            type: Directive,
            args: [{
                    selector: '[xuiCardActions]',
                    exportAs: 'xuiCardActions'
                }]
        }], ctorParameters: () => [{ type: XuiCard }, { type: i0.TemplateRef }] });

class XuiCardTitle {
    constructor(card, templateRef) {
        card.titleDirective = templateRef;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiCardTitle, deps: [{ token: XuiCard }, { token: i0.TemplateRef }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.1", type: XuiCardTitle, selector: "[xuiCardTitle]", exportAs: ["xuiCardTitle"], ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiCardTitle, decorators: [{
            type: Directive,
            args: [{
                    selector: '[xuiCardTitle]',
                    exportAs: 'xuiCardTitle'
                }]
        }], ctorParameters: () => [{ type: XuiCard }, { type: i0.TemplateRef }] });

class XuiCardModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiCardModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.1", ngImport: i0, type: XuiCardModule, declarations: [XuiCard, XuiCardActions, XuiCardTitle], imports: [CommonModule, PortalModule], exports: [XuiCard, XuiCardActions, XuiCardTitle] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiCardModule, imports: [CommonModule, PortalModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiCardModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule, PortalModule],
                    declarations: [XuiCard, XuiCardActions, XuiCardTitle],
                    exports: [XuiCard, XuiCardActions, XuiCardTitle]
                }]
        }] });

class XuiCheckbox {
    constructor(configService, control) {
        this.configService = configService;
        this.control = control;
        this._moduleName = CHECKBOX_MODULE;
        this._disabled = signal(false);
        this.color = input('primary');
        this.value = model();
        this.disabled = input(undefined, {
            transform: booleanAttribute
        });
        if (this.control) {
            this.control.valueAccessor = this;
        }
        effect(() => this.disabled() && this._disabled.set(this.disabled()), { allowSignalWrites: true });
        effect(() => this.value() != undefined && this.onChange?.(this.value()));
    }
    writeValue(source) {
        this.value.set(source);
    }
    registerOnChange(onChange) {
        this.onChange = onChange;
    }
    registerOnTouched(onTouched) {
        this._onTouched = onTouched;
    }
    setDisabledState(isDisabled) {
        this._disabled.set(isDisabled);
    }
    _click(event) {
        event?.preventDefault();
        if (!this._disabled()) {
            this.value.set(!this.value());
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiCheckbox, deps: [{ token: XuiConfigService }, { token: i1$2.NgControl, optional: true, self: true }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "18.0.1", type: XuiCheckbox, isStandalone: true, selector: "xui-checkbox", inputs: { color: { classPropertyName: "color", publicName: "color", isSignal: true, isRequired: false, transformFunction: null }, value: { classPropertyName: "value", publicName: "value", isSignal: true, isRequired: false, transformFunction: null }, disabled: { classPropertyName: "disabled", publicName: "disabled", isSignal: true, isRequired: false, transformFunction: null } }, outputs: { value: "valueChange" }, host: { listeners: { "focusout": "_onTouched?.()", "click": "_click($event)", "keydown.enter": "_click($event)", "keydown.space": "_click($event)" }, properties: { "class": "\"x-checkbox-\" + color()", "class.x-checkbox-disabled": "_disabled()" }, classAttribute: "x-checkbox" }, ngImport: i0, template: `<div class="x-checkbox-box" [tabindex]="_disabled() ? -1 : 0" [class.x-checkbox-checked]="value()">
      <svg
        *ngIf="value()"
        viewBox="0 0 24 24"
        height="100%"
        width="100%"
        preserveAspectRatio="xMidYMid meet"
        focusable="false"
      >
        <path d="M21,7L9,19L3.5,13.5L4.91,12.09L9,16.17L19.59,5.59L21,7Z"></path>
      </svg>
    </div>
    <ng-content />`, isInline: true, dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: XuiFocusModule }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiCheckbox, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    imports: [CommonModule, XuiFocusModule],
                    selector: 'xui-checkbox',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: `<div class="x-checkbox-box" [tabindex]="_disabled() ? -1 : 0" [class.x-checkbox-checked]="value()">
      <svg
        *ngIf="value()"
        viewBox="0 0 24 24"
        height="100%"
        width="100%"
        preserveAspectRatio="xMidYMid meet"
        focusable="false"
      >
        <path d="M21,7L9,19L3.5,13.5L4.91,12.09L9,16.17L19.59,5.59L21,7Z"></path>
      </svg>
    </div>
    <ng-content />`,
                    host: {
                        class: 'x-checkbox',
                        '[class]': '"x-checkbox-" + color()',
                        '[class.x-checkbox-disabled]': '_disabled()',
                        '(focusout)': '_onTouched?.()',
                        '(click)': '_click($event)',
                        '(keydown.enter)': '_click($event)',
                        '(keydown.space)': '_click($event)'
                    }
                }]
        }], ctorParameters: () => [{ type: XuiConfigService }, { type: i1$2.NgControl, decorators: [{
                    type: Self
                }, {
                    type: Optional
                }] }] });

class XuiContextMenu {
    constructor(overlay, viewContainerRef) {
        this.overlay = overlay;
        this.viewContainerRef = viewContainerRef;
        this.anchor = input();
        this.afterClosed = new EventEmitter();
        const config = {
            scrollStrategy: this.overlay.scrollStrategies.reposition(),
            hasBackdrop: true,
            backdropClass: 'x-context-menu-backdrop'
        };
        this.overlayRef = this.overlay.create(config);
        this.overlayRef.backdropClick().subscribe(() => {
            this.close();
        });
        effect(() => {
            this.overlayRef.updatePositionStrategy(this.calculatePositionStrategy(this.anchor()));
        });
    }
    open(anchor) {
        this.overlayRef.updatePositionStrategy(this.calculatePositionStrategy(anchor ?? this.anchor()));
        const userProfilePortal = new TemplatePortal(this.templateRef, this.viewContainerRef);
        this.overlayRef.attach(userProfilePortal);
        for (const btn of this.buttons) {
            btn.click.pipe(first()).subscribe(() => this.close());
        }
    }
    calculatePositionStrategy(anchor) {
        return this.overlay
            .position()
            .flexibleConnectedTo(anchor?.elementRef ?? anchor)
            .withPositions([
            new ConnectionPositionPair({ originX: 'start', originY: 'bottom' }, { overlayX: 'start', overlayY: 'top' })
        ])
            .withPush(false);
    }
    close() {
        this.overlayRef.detach();
        this.afterClosed.emit();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiContextMenu, deps: [{ token: i1$3.Overlay }, { token: i0.ViewContainerRef }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "18.0.1", type: XuiContextMenu, selector: "xui-context-menu", inputs: { anchor: { classPropertyName: "anchor", publicName: "anchor", isSignal: true, isRequired: false, transformFunction: null } }, outputs: { afterClosed: "afterClosed" }, host: { listeners: { "document:keydown.esc": "close()" } }, queries: [{ propertyName: "buttons", predicate: XuiButton }], viewQueries: [{ propertyName: "templateRef", first: true, predicate: ["templateRef"], descendants: true, static: true }], ngImport: i0, template: `<ng-template #templateRef>
    <div class="x-context-menu" cdkTrapFocus cdkTrapFocusAutoCapture (click)="close()">
      <ng-content />
    </div>
  </ng-template>`, isInline: true, dependencies: [{ kind: "directive", type: i2$2.CdkTrapFocus, selector: "[cdkTrapFocus]", inputs: ["cdkTrapFocus", "cdkTrapFocusAutoCapture"], exportAs: ["cdkTrapFocus"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiContextMenu, decorators: [{
            type: Component,
            args: [{
                    selector: 'xui-context-menu',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: `<ng-template #templateRef>
    <div class="x-context-menu" cdkTrapFocus cdkTrapFocusAutoCapture (click)="close()">
      <ng-content />
    </div>
  </ng-template>`,
                    host: {
                        '(document:keydown.esc)': 'close()'
                    }
                }]
        }], ctorParameters: () => [{ type: i1$3.Overlay }, { type: i0.ViewContainerRef }], propDecorators: { afterClosed: [{
                type: Output
            }], templateRef: [{
                type: ViewChild,
                args: ['templateRef', { static: true }]
            }], buttons: [{
                type: ContentChildren,
                args: [XuiButton]
            }] } });

class XuiMenuTriggerFor {
    constructor(elementRef) {
        this.elementRef = elementRef;
        this.menu = input.required({ alias: 'xuiMenuTriggerFor' });
    }
    _click() {
        this.menu().open(this.elementRef);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiMenuTriggerFor, deps: [{ token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "17.1.0", version: "18.0.1", type: XuiMenuTriggerFor, selector: "[xuiMenuTriggerFor]", inputs: { menu: { classPropertyName: "menu", publicName: "xuiMenuTriggerFor", isSignal: true, isRequired: true, transformFunction: null } }, host: { listeners: { "click": "_click($event)" } }, exportAs: ["xuiMenuTriggerFor"], ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiMenuTriggerFor, decorators: [{
            type: Directive,
            args: [{
                    selector: '[xuiMenuTriggerFor]',
                    exportAs: 'xuiMenuTriggerFor',
                    host: {
                        '(click)': '_click($event)'
                    }
                }]
        }], ctorParameters: () => [{ type: i0.ElementRef }] });

class XuiContextMenuTriggerFor {
    constructor(elementRef) {
        this.elementRef = elementRef;
        this.menu = input.required({ alias: 'xuiContextMenuTriggerFor' });
    }
    _click(event) {
        this.menu().open(this.elementRef);
        event.preventDefault();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiContextMenuTriggerFor, deps: [{ token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "17.1.0", version: "18.0.1", type: XuiContextMenuTriggerFor, selector: "[xuiContextMenuTriggerFor]", inputs: { menu: { classPropertyName: "menu", publicName: "xuiContextMenuTriggerFor", isSignal: true, isRequired: true, transformFunction: null } }, host: { listeners: { "contextmenu": "_click($event)" } }, exportAs: ["xuiContextMenuTriggerFor"], ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiContextMenuTriggerFor, decorators: [{
            type: Directive,
            args: [{
                    selector: '[xuiContextMenuTriggerFor]',
                    exportAs: 'xuiContextMenuTriggerFor',
                    host: {
                        '(contextmenu)': '_click($event)'
                    }
                }]
        }], ctorParameters: () => [{ type: i0.ElementRef }] });

class XuiContextMenuModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiContextMenuModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.1", ngImport: i0, type: XuiContextMenuModule, declarations: [XuiContextMenu, XuiMenuTriggerFor, XuiContextMenuTriggerFor], imports: [CommonModule, CdkMenuModule, A11yModule, XuiFocusModule], exports: [XuiContextMenu, CdkMenuModule, XuiMenuTriggerFor, XuiContextMenuTriggerFor] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiContextMenuModule, imports: [CommonModule, CdkMenuModule, A11yModule, XuiFocusModule, CdkMenuModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiContextMenuModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [XuiContextMenu, XuiMenuTriggerFor, XuiContextMenuTriggerFor],
                    imports: [CommonModule, CdkMenuModule, A11yModule, XuiFocusModule],
                    exports: [XuiContextMenu, CdkMenuModule, XuiMenuTriggerFor, XuiContextMenuTriggerFor]
                }]
        }] });

const INPUT_GROUP_ACCESSOR = new InjectionToken('xui-input-group');

class XuiInput {
    get errorMessage() {
        const msg = this.control?.getError('message');
        return this.translation.instant(msg);
    }
    constructor(configService, translation, group, control) {
        this.configService = configService;
        this.translation = translation;
        this.group = group;
        this.control = control;
        this._moduleName = INPUT_MODULE;
        this._disabled = signal(false);
        this.value = model();
        this.placeholder = input();
        this.color = input('light');
        this.size = input('large');
        this.type = input('text');
        this.dataList = input();
        this.disabled = input(undefined, {
            transform: booleanAttribute
        });
        this.readOnly = input(false, { transform: booleanAttribute });
        this._styles = computed(() => {
            const ret = {
                'x-input': true,
                'x-input-error': this._showError
            };
            ret[`x-input-${this.color()}`] = true;
            ret[`x-input-${this.group?.size() ?? this.size()}`] = true;
            return ret;
        });
        if (this.control) {
            this.control.valueAccessor = this;
        }
        effect(() => this.disabled() && this._disabled.set(this.disabled()), { allowSignalWrites: true });
        effect(() => this.value() != undefined && this.onChange?.(this.value()));
    }
    get _showError() {
        if (!this.control) {
            return false;
        }
        const invalid = !!this.control.invalid;
        const { dirty, touched } = this.control;
        return invalid ? (dirty ?? false) || (touched ?? false) : false;
    }
    writeValue(source) {
        this.value.set(source);
    }
    registerOnChange(onChange) {
        this.onChange = onChange;
    }
    registerOnTouched(onTouched) {
        this._onTouched = onTouched;
    }
    setDisabledState(isDisabled) {
        this._disabled.set(isDisabled);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiInput, deps: [{ token: XuiConfigService }, { token: i1$4.TranslateService }, { token: INPUT_GROUP_ACCESSOR, optional: true }, { token: i1$2.NgControl, optional: true, self: true }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "18.0.1", type: XuiInput, selector: "xui-input", inputs: { value: { classPropertyName: "value", publicName: "value", isSignal: true, isRequired: false, transformFunction: null }, placeholder: { classPropertyName: "placeholder", publicName: "placeholder", isSignal: true, isRequired: false, transformFunction: null }, color: { classPropertyName: "color", publicName: "color", isSignal: true, isRequired: false, transformFunction: null }, size: { classPropertyName: "size", publicName: "size", isSignal: true, isRequired: false, transformFunction: null }, type: { classPropertyName: "type", publicName: "type", isSignal: true, isRequired: false, transformFunction: null }, dataList: { classPropertyName: "dataList", publicName: "dataList", isSignal: true, isRequired: false, transformFunction: null }, disabled: { classPropertyName: "disabled", publicName: "disabled", isSignal: true, isRequired: false, transformFunction: null }, readOnly: { classPropertyName: "readOnly", publicName: "readOnly", isSignal: true, isRequired: false, transformFunction: null } }, outputs: { value: "valueChange" }, host: { listeners: { "focusout": "_onTouched?.()" } }, ngImport: i0, template: "<div [ngClass]=\"_styles()\" [class.x-input-error]=\"_showError\">\n  <ng-content select=\"[xuiPrefix]\" />\n  <input\n    [tabindex]=\"_disabled() ? -1 : 0\"\n    [disabled]=\"_disabled()\"\n    [readOnly]=\"readOnly()\"\n    [type]=\"type()\"\n    [placeholder]=\"placeholder() ?? ''\"\n    [(ngModel)]=\"value\"\n    list=\"list\"\n  />\n  <ng-content select=\"[xuiPostfix]\" />\n</div>\n\n<div class=\"x-input-error-text\" *ngIf=\"_showError\">\n  <ng-container *ngIf=\"control?.hasError('message')\">{{ errorMessage }}</ng-container>\n  <ng-container *ngIf=\"control?.hasError('required')\">This field is required!</ng-container>\n  <ng-container *ngIf=\"control?.hasError('email')\">Email expected</ng-container>\n</div>\n\n<datalist id=\"list\" *ngIf=\"dataList()\">\n  @for (item of dataList(); track item) {\n    <option [value]=\"item\"></option>\n  }\n</datalist>\n", dependencies: [{ kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1$2.NgSelectOption, selector: "option", inputs: ["ngValue", "value"] }, { kind: "directive", type: i1$2.ɵNgSelectMultipleOption, selector: "option", inputs: ["ngValue", "value"] }, { kind: "directive", type: i1$2.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$2.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiInput, decorators: [{
            type: Component,
            args: [{ selector: 'xui-input', changeDetection: ChangeDetectionStrategy.OnPush, host: {
                        '(focusout)': '_onTouched?.()'
                    }, template: "<div [ngClass]=\"_styles()\" [class.x-input-error]=\"_showError\">\n  <ng-content select=\"[xuiPrefix]\" />\n  <input\n    [tabindex]=\"_disabled() ? -1 : 0\"\n    [disabled]=\"_disabled()\"\n    [readOnly]=\"readOnly()\"\n    [type]=\"type()\"\n    [placeholder]=\"placeholder() ?? ''\"\n    [(ngModel)]=\"value\"\n    list=\"list\"\n  />\n  <ng-content select=\"[xuiPostfix]\" />\n</div>\n\n<div class=\"x-input-error-text\" *ngIf=\"_showError\">\n  <ng-container *ngIf=\"control?.hasError('message')\">{{ errorMessage }}</ng-container>\n  <ng-container *ngIf=\"control?.hasError('required')\">This field is required!</ng-container>\n  <ng-container *ngIf=\"control?.hasError('email')\">Email expected</ng-container>\n</div>\n\n<datalist id=\"list\" *ngIf=\"dataList()\">\n  @for (item of dataList(); track item) {\n    <option [value]=\"item\"></option>\n  }\n</datalist>\n" }]
        }], ctorParameters: () => [{ type: XuiConfigService }, { type: i1$4.TranslateService }, { type: undefined, decorators: [{
                    type: Inject,
                    args: [INPUT_GROUP_ACCESSOR]
                }, {
                    type: Optional
                }] }, { type: i1$2.NgControl, decorators: [{
                    type: Self
                }, {
                    type: Optional
                }] }] });

class XuiInputGroup {
    constructor() {
        this.size = input();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiInputGroup, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "18.0.1", type: XuiInputGroup, selector: "xui-input-group", inputs: { size: { classPropertyName: "size", publicName: "size", isSignal: true, isRequired: false, transformFunction: null } }, host: { classAttribute: "x-input-group" }, providers: [{ provide: INPUT_GROUP_ACCESSOR, useExisting: XuiInputGroup }], ngImport: i0, template: '<ng-content />', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiInputGroup, decorators: [{
            type: Component,
            args: [{
                    selector: 'xui-input-group',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content />',
                    providers: [{ provide: INPUT_GROUP_ACCESSOR, useExisting: XuiInputGroup }],
                    host: {
                        class: 'x-input-group'
                    }
                }]
        }] });

class XuiInputAddon {
    constructor() {
        this.color = input('dark');
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiInputAddon, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "18.0.1", type: XuiInputAddon, selector: "xui-input-addon", inputs: { color: { classPropertyName: "color", publicName: "color", isSignal: true, isRequired: false, transformFunction: null } }, host: { properties: { "class": "\"x-input-addon-\" + color()" }, classAttribute: "x-input-addon" }, ngImport: i0, template: '<ng-content />', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiInputAddon, decorators: [{
            type: Component,
            args: [{
                    selector: 'xui-input-addon',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content />',
                    host: {
                        class: 'x-input-addon',
                        '[class]': '"x-input-addon-" + color()'
                    }
                }]
        }] });

class XuiInputModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiInputModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.1", ngImport: i0, type: XuiInputModule, declarations: [XuiInput, XuiInputGroup, XuiInputAddon], imports: [CommonModule, FormsModule, i1$4.TranslateModule, XuiFocusModule], exports: [XuiInput, XuiInputGroup, XuiInputAddon] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiInputModule, imports: [CommonModule, FormsModule, TranslateModule.forChild(), XuiFocusModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiInputModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule, FormsModule, TranslateModule.forChild(), XuiFocusModule],
                    declarations: [XuiInput, XuiInputGroup, XuiInputAddon],
                    exports: [XuiInput, XuiInputGroup, XuiInputAddon]
                }]
        }] });

class XuiDatePicker {
    constructor(configService, control) {
        this.configService = configService;
        this.control = control;
        this._moduleName = DATE_PICKER_MODULE;
        this._indices = Array.from(Array(7 * 6)).map((x, i) => i);
        this._value = signal(null);
        this._focused = signal(DateTime.now().startOf('day'));
        this._isOpened = signal(false);
        this._hasFocus = signal(false);
        this._mouseDown = signal(false);
        this._disabled = signal(false);
        this.value = input();
        this.placeholder = input();
        this.color = input('light');
        this.size = input('large');
        this.disabled = input(undefined, {
            transform: booleanAttribute
        });
        this.readOnly = input(false, { transform: booleanAttribute });
        this.allowClear = input(false, { transform: booleanAttribute });
        this._styles = computed(() => {
            const ret = {
                'x-datepicker': true
            };
            ret[`x-datepicker-${this.color()}`] = true;
            ret[`x-datepicker-${this.size()}`] = true;
            return ret;
        });
        if (this.control) {
            this.control.valueAccessor = this;
        }
        effect(() => this.disabled() && this._disabled.set(this.disabled()), { allowSignalWrites: true });
        effect(() => {
            this.onChange?.(this._value()?.toISODate() ?? null);
            this._focused.set(this._value() ?? DateTime.now().startOf('day'));
        }, { allowSignalWrites: true });
        effect(() => {
            if (this.value()) {
                this._value.set(DateTime.fromISO(this.value()).startOf('day'));
            }
        }, { allowSignalWrites: true });
    }
    _getDay(index) {
        return this._focused()
            .startOf('month')
            .startOf('week')
            .plus({ days: index - 1 });
    }
    _isSelected(index) {
        return this._value()?.toISODate() === this._getDay(index).toISODate();
    }
    _isOutsideOfMonth(index) {
        const day = this._getDay(index);
        return day < this._focused().startOf('month') || day > this._focused().endOf('month');
    }
    _updateMonth(add) {
        this._focused.set(this._focused().plus({ month: add ? 1 : -1 }));
    }
    _onClick(index) {
        const day = this._getDay(index);
        if (this.disabledDate?.(day)) {
            return;
        }
        this._value.set(day);
        this.close();
    }
    writeValue(source) {
        this._value.set(DateTime.fromISO(source).startOf('day'));
    }
    registerOnChange(onChange) {
        this.onChange = onChange;
    }
    registerOnTouched(onTouched) {
        this._onTouched = onTouched;
    }
    setDisabledState(isDisabled) {
        this._disabled.set(isDisabled);
    }
    _keyPress(event) {
        event?.preventDefault();
        this.open();
    }
    _isFocused(index) {
        return this._focused().toISODate() === this._getDay(index).toISODate();
    }
    _focusMove(days) {
        const day = this._focused().plus({ days });
        if (this.disabledDate?.(day)) {
            return;
        }
        this._focused.set(day);
    }
    _applyFocused() {
        this._value.set(this._focused());
        this.close();
    }
    open() {
        this._focused.set(this._value() ?? DateTime.now().startOf('day'));
        this._isOpened.set(!this.readOnly() && !this._disabled());
    }
    close() {
        this._isOpened.set(false);
        this._hasFocus.set(false);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiDatePicker, deps: [{ token: XuiConfigService }, { token: i1$2.NgControl, optional: true, self: true }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "18.0.1", type: XuiDatePicker, isStandalone: true, selector: "xui-date-picker", inputs: { disabledDate: { classPropertyName: "disabledDate", publicName: "disabledDate", isSignal: false, isRequired: false, transformFunction: null }, value: { classPropertyName: "value", publicName: "value", isSignal: true, isRequired: false, transformFunction: null }, placeholder: { classPropertyName: "placeholder", publicName: "placeholder", isSignal: true, isRequired: false, transformFunction: null }, color: { classPropertyName: "color", publicName: "color", isSignal: true, isRequired: false, transformFunction: null }, size: { classPropertyName: "size", publicName: "size", isSignal: true, isRequired: false, transformFunction: null }, disabled: { classPropertyName: "disabled", publicName: "disabled", isSignal: true, isRequired: false, transformFunction: null }, readOnly: { classPropertyName: "readOnly", publicName: "readOnly", isSignal: true, isRequired: false, transformFunction: null }, allowClear: { classPropertyName: "allowClear", publicName: "allowClear", isSignal: true, isRequired: false, transformFunction: null } }, host: { listeners: { "focusout": "_onTouched?.()", "keydown.enter": "_keyPress($event)", "keydown.space": "_keyPress($event)" } }, ngImport: i0, template: "<div [ngClass]=\"_styles()\" [tabindex]=\"_disabled() ? -1 : 0\" cdkOverlayOrigin #trigger=\"cdkOverlayOrigin\">\n  <input\n    tabindex=\"-1\"\n    type=\"text\"\n    readOnly\n    [disabled]=\"_disabled()\"\n    [placeholder]=\"placeholder() ?? ''\"\n    [value]=\"_value()?.toLocaleString()\"\n    (click)=\"open()\"\n  />\n  <xui-icon icon=\"calendar_month\"></xui-icon>\n</div>\n\n<ng-template\n  cdkConnectedOverlay\n  cdkConnectedOverlayHasBackdrop\n  [cdkConnectedOverlayBackdropClass]=\"'cdk-overlay-transparent'\"\n  [cdkConnectedOverlayOrigin]=\"trigger\"\n  [cdkConnectedOverlayOpen]=\"_isOpened()\"\n  (backdropClick)=\"_isOpened.set(false)\"\n  (detach)=\"_isOpened.set(false)\"\n>\n  <div class=\"x-datepicker-popup\" cdkTrapFocus cdkTrapFocusAutoCapture>\n    <div class=\"x-datepicker-header\">\n      <div\n        class=\"x-datepicker-button\"\n        tabindex=\"0\"\n        (click)=\"_updateMonth(false)\"\n        (keydown.enter)=\"_updateMonth(false)\"\n        (keydown.space)=\"_updateMonth(false)\"\n      >\n        <xui-icon icon=\"chevron_left\"></xui-icon>\n      </div>\n      {{ _focused().toFormat('MMMM yyyy') }}\n      <div\n        class=\"x-datepicker-button\"\n        tabindex=\"0\"\n        (click)=\"_updateMonth(true)\"\n        (keydown.enter)=\"_updateMonth(true)\"\n        (keydown.space)=\"_updateMonth(true)\"\n      >\n        <xui-icon icon=\"chevron_right\"></xui-icon>\n      </div>\n    </div>\n\n    <div class=\"x-datepicker-title\">\n      <div>SU</div>\n      <div>MO</div>\n      <div>TU</div>\n      <div>WE</div>\n      <div>TH</div>\n      <div>FR</div>\n      <div>SA</div>\n    </div>\n    <div\n      class=\"x-datepicker-calendar\"\n      tabindex=\"0\"\n      (mousedown)=\"_mouseDown.set(true)\"\n      (mouseup)=\"_mouseDown.set(false)\"\n      (keydown.enter)=\"_applyFocused()\"\n      (keydown.space)=\"_applyFocused()\"\n      (keydown.arrowUp)=\"_focusMove(-7)\"\n      (keydown.arrowDown)=\"_focusMove(7)\"\n      (keydown.arrowLeft)=\"_focusMove(-1)\"\n      (keydown.arrowRight)=\"_focusMove(1)\"\n      (focusin)=\"_hasFocus.set(!_mouseDown())\"\n      (focusout)=\"_hasFocus.set(false)\"\n    >\n      @for (index of _indices; track index) {\n        <div\n          class=\"x-datepicker-day\"\n          [class.x-datepicker--outside]=\"_isOutsideOfMonth(index)\"\n          [class.x-datepicker--disabled]=\"disabledDate?.(_getDay(index))\"\n          [class.x-datepicker--selected]=\"_isSelected(index)\"\n          [class.x-datepicker--focused]=\"_isFocused(index) && _hasFocus()\"\n          (click)=\"_onClick(index)\"\n        >\n          {{ _getDay(index).day }}\n        </div>\n      }\n    </div>\n  </div>\n</ng-template>\n", dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "component", type: XuiIcon, selector: "xui-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "icon"], exportAs: ["xuiIcon"] }, { kind: "ngmodule", type: XuiInputModule }, { kind: "ngmodule", type: OverlayModule }, { kind: "directive", type: i1$3.CdkConnectedOverlay, selector: "[cdk-connected-overlay], [connected-overlay], [cdkConnectedOverlay]", inputs: ["cdkConnectedOverlayOrigin", "cdkConnectedOverlayPositions", "cdkConnectedOverlayPositionStrategy", "cdkConnectedOverlayOffsetX", "cdkConnectedOverlayOffsetY", "cdkConnectedOverlayWidth", "cdkConnectedOverlayHeight", "cdkConnectedOverlayMinWidth", "cdkConnectedOverlayMinHeight", "cdkConnectedOverlayBackdropClass", "cdkConnectedOverlayPanelClass", "cdkConnectedOverlayViewportMargin", "cdkConnectedOverlayScrollStrategy", "cdkConnectedOverlayOpen", "cdkConnectedOverlayDisableClose", "cdkConnectedOverlayTransformOriginOn", "cdkConnectedOverlayHasBackdrop", "cdkConnectedOverlayLockPosition", "cdkConnectedOverlayFlexibleDimensions", "cdkConnectedOverlayGrowAfterOpen", "cdkConnectedOverlayPush", "cdkConnectedOverlayDisposeOnNavigation"], outputs: ["backdropClick", "positionChange", "attach", "detach", "overlayKeydown", "overlayOutsideClick"], exportAs: ["cdkConnectedOverlay"] }, { kind: "directive", type: i1$3.CdkOverlayOrigin, selector: "[cdk-overlay-origin], [overlay-origin], [cdkOverlayOrigin]", exportAs: ["cdkOverlayOrigin"] }, { kind: "ngmodule", type: A11yModule }, { kind: "directive", type: i2$2.CdkTrapFocus, selector: "[cdkTrapFocus]", inputs: ["cdkTrapFocus", "cdkTrapFocusAutoCapture"], exportAs: ["cdkTrapFocus"] }, { kind: "ngmodule", type: ReactiveFormsModule }, { kind: "ngmodule", type: XuiFocusModule }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiDatePicker, decorators: [{
            type: Component,
            args: [{ standalone: true, imports: [CommonModule, XuiIcon, XuiInputModule, OverlayModule, A11yModule, ReactiveFormsModule, XuiFocusModule], selector: 'xui-date-picker', changeDetection: ChangeDetectionStrategy.OnPush, host: {
                        '(focusout)': '_onTouched?.()',
                        '(keydown.enter)': '_keyPress($event)',
                        '(keydown.space)': '_keyPress($event)'
                    }, template: "<div [ngClass]=\"_styles()\" [tabindex]=\"_disabled() ? -1 : 0\" cdkOverlayOrigin #trigger=\"cdkOverlayOrigin\">\n  <input\n    tabindex=\"-1\"\n    type=\"text\"\n    readOnly\n    [disabled]=\"_disabled()\"\n    [placeholder]=\"placeholder() ?? ''\"\n    [value]=\"_value()?.toLocaleString()\"\n    (click)=\"open()\"\n  />\n  <xui-icon icon=\"calendar_month\"></xui-icon>\n</div>\n\n<ng-template\n  cdkConnectedOverlay\n  cdkConnectedOverlayHasBackdrop\n  [cdkConnectedOverlayBackdropClass]=\"'cdk-overlay-transparent'\"\n  [cdkConnectedOverlayOrigin]=\"trigger\"\n  [cdkConnectedOverlayOpen]=\"_isOpened()\"\n  (backdropClick)=\"_isOpened.set(false)\"\n  (detach)=\"_isOpened.set(false)\"\n>\n  <div class=\"x-datepicker-popup\" cdkTrapFocus cdkTrapFocusAutoCapture>\n    <div class=\"x-datepicker-header\">\n      <div\n        class=\"x-datepicker-button\"\n        tabindex=\"0\"\n        (click)=\"_updateMonth(false)\"\n        (keydown.enter)=\"_updateMonth(false)\"\n        (keydown.space)=\"_updateMonth(false)\"\n      >\n        <xui-icon icon=\"chevron_left\"></xui-icon>\n      </div>\n      {{ _focused().toFormat('MMMM yyyy') }}\n      <div\n        class=\"x-datepicker-button\"\n        tabindex=\"0\"\n        (click)=\"_updateMonth(true)\"\n        (keydown.enter)=\"_updateMonth(true)\"\n        (keydown.space)=\"_updateMonth(true)\"\n      >\n        <xui-icon icon=\"chevron_right\"></xui-icon>\n      </div>\n    </div>\n\n    <div class=\"x-datepicker-title\">\n      <div>SU</div>\n      <div>MO</div>\n      <div>TU</div>\n      <div>WE</div>\n      <div>TH</div>\n      <div>FR</div>\n      <div>SA</div>\n    </div>\n    <div\n      class=\"x-datepicker-calendar\"\n      tabindex=\"0\"\n      (mousedown)=\"_mouseDown.set(true)\"\n      (mouseup)=\"_mouseDown.set(false)\"\n      (keydown.enter)=\"_applyFocused()\"\n      (keydown.space)=\"_applyFocused()\"\n      (keydown.arrowUp)=\"_focusMove(-7)\"\n      (keydown.arrowDown)=\"_focusMove(7)\"\n      (keydown.arrowLeft)=\"_focusMove(-1)\"\n      (keydown.arrowRight)=\"_focusMove(1)\"\n      (focusin)=\"_hasFocus.set(!_mouseDown())\"\n      (focusout)=\"_hasFocus.set(false)\"\n    >\n      @for (index of _indices; track index) {\n        <div\n          class=\"x-datepicker-day\"\n          [class.x-datepicker--outside]=\"_isOutsideOfMonth(index)\"\n          [class.x-datepicker--disabled]=\"disabledDate?.(_getDay(index))\"\n          [class.x-datepicker--selected]=\"_isSelected(index)\"\n          [class.x-datepicker--focused]=\"_isFocused(index) && _hasFocus()\"\n          (click)=\"_onClick(index)\"\n        >\n          {{ _getDay(index).day }}\n        </div>\n      }\n    </div>\n  </div>\n</ng-template>\n" }]
        }], ctorParameters: () => [{ type: XuiConfigService }, { type: i1$2.NgControl, decorators: [{
                    type: Self
                }, {
                    type: Optional
                }] }], propDecorators: { disabledDate: [{
                type: Input
            }] } });

class XuiDecagram {
    constructor() {
        this.iconSize = input(65);
        this.icon = input.required();
        this.type = input('decagram');
        this.color = input('primary');
        this._scale = computed(() => `scale(${this.iconSize() / 100})`);
        this._getIcon = computed(() => {
            switch (this.type()) {
                case 'decagram':
                    return 'brightness_empty';
                case 'circle':
                    return 'circle';
                case 'shield':
                    return 'shield';
                case 'triangle':
                    return 'change_history';
            }
        });
        this._style = computed(() => `x-decagram-${this.color()}`);
        this._iconStyle = computed(() => {
            const ret = {
                'x-decagram-icon': true
            };
            ret[`x-decagram-${this.type()}`] = true;
            return ret;
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiDecagram, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "18.0.1", type: XuiDecagram, isStandalone: true, selector: "xui-decagram", inputs: { iconSize: { classPropertyName: "iconSize", publicName: "iconSize", isSignal: true, isRequired: false, transformFunction: null }, icon: { classPropertyName: "icon", publicName: "icon", isSignal: true, isRequired: true, transformFunction: null }, type: { classPropertyName: "type", publicName: "type", isSignal: true, isRequired: false, transformFunction: null }, color: { classPropertyName: "color", publicName: "color", isSignal: true, isRequired: false, transformFunction: null } }, host: { classAttribute: "x-decagram" }, ngImport: i0, template: `
    <xui-icon [ngClass]="_style()" fontSet="filled" [icon]="_getIcon()"></xui-icon>
    <xui-icon [style.transform]="_scale()" [ngClass]="_iconStyle()" [icon]="icon()"></xui-icon>
  `, isInline: true, dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "component", type: XuiIcon, selector: "xui-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "icon"], exportAs: ["xuiIcon"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiDecagram, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    imports: [CommonModule, XuiIcon],
                    selector: 'xui-decagram',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: `
    <xui-icon [ngClass]="_style()" fontSet="filled" [icon]="_getIcon()"></xui-icon>
    <xui-icon [style.transform]="_scale()" [ngClass]="_iconStyle()" [icon]="icon()"></xui-icon>
  `,
                    host: {
                        class: 'x-decagram'
                    }
                }]
        }] });

class XuiDivider {
    constructor() {
        this.marginTop = input(0);
        this.marginBottom = input(0);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiDivider, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "18.0.1", type: XuiDivider, isStandalone: true, selector: "xui-divider", inputs: { marginTop: { classPropertyName: "marginTop", publicName: "marginTop", isSignal: true, isRequired: false, transformFunction: null }, marginBottom: { classPropertyName: "marginBottom", publicName: "marginBottom", isSignal: true, isRequired: false, transformFunction: null } }, host: { properties: { "style.margin-top.px": "marginTop()", "style.margin-bottom.px": "marginBottom()" }, classAttribute: "x-divider" }, ngImport: i0, template: '', isInline: true, dependencies: [{ kind: "ngmodule", type: CommonModule }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiDivider, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    imports: [CommonModule],
                    selector: 'xui-divider',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '',
                    host: {
                        class: 'x-divider',
                        '[style.margin-top.px]': 'marginTop()',
                        '[style.margin-bottom.px]': 'marginBottom()'
                    }
                }]
        }] });

class XuiDockerManager {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiDockerManager, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.1", type: XuiDockerManager, selector: "xui-docker-manager", ngImport: i0, template: ` <div>foo bar</div> `, isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiDockerManager, decorators: [{
            type: Component,
            args: [{
                    selector: 'xui-docker-manager',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: ` <div>foo bar</div> `
                }]
        }] });

class XuiDockerManagerModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiDockerManagerModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.1", ngImport: i0, type: XuiDockerManagerModule, declarations: [XuiDockerManager], imports: [CommonModule], exports: [XuiDockerManager] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiDockerManagerModule, imports: [CommonModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiDockerManagerModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    declarations: [XuiDockerManager],
                    exports: [XuiDockerManager]
                }]
        }] });

class XuiDrawer {
    constructor(viewContainerRef) {
        this.viewContainerRef = viewContainerRef;
        this.mode = input('push');
        this.expanded = input(true, { transform: booleanAttribute });
        this.items = input([]);
    }
    ngOnInit() {
        if (this._footerTemplate) {
            this._footerPortal = new TemplatePortal(this._footerTemplate, this.viewContainerRef);
        }
        if (this._headerTemplate) {
            this._headerPortal = new TemplatePortal(this._headerTemplate, this.viewContainerRef);
        }
    }
    clickGroup(item) {
        if (item.children) {
            for (const x of this.items()) {
                x.expanded = false;
            }
            item.expanded = true;
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiDrawer, deps: [{ token: i0.ViewContainerRef }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "18.0.1", type: XuiDrawer, selector: "xui-drawer", inputs: { mode: { classPropertyName: "mode", publicName: "mode", isSignal: true, isRequired: false, transformFunction: null }, expanded: { classPropertyName: "expanded", publicName: "expanded", isSignal: true, isRequired: false, transformFunction: null }, items: { classPropertyName: "items", publicName: "items", isSignal: true, isRequired: false, transformFunction: null } }, host: { properties: { "class.x-drawer-expanded": "expanded()" }, classAttribute: "x-drawer" }, ngImport: i0, template: "<div class=\"x-drawer-header\" *ngIf=\"_headerTemplate\">\n  <ng-template [cdkPortalOutlet]=\"_headerPortal\" />\n  <div class=\"x-drawer-divider\"></div>\n</div>\n\n<ng-container *ngTemplateOutlet=\"menuRef; context: { items: items() }\" />\n\n<ng-template #menuRef let-items=\"items\">\n  @for (item of items; track item.label) {\n    <ng-container>\n      <div\n        class=\"x-drawer-item\"\n        [class.x-drawer-active]=\"item.children && item.expanded\"\n        [class.x-drawer-group]=\"item.children\"\n        (click)=\"clickGroup(item)\"\n      >\n        <xui-icon [icon]=\"item.icon\"></xui-icon>\n        {{ item.label }}\n      </div>\n\n      <ng-container *ngTemplateOutlet=\"menuRef; context: { items: item.children }\" />\n    </ng-container>\n  }\n</ng-template>\n\n<div class=\"x-drawer-footer\" *ngIf=\"_footerTemplate\">\n  <div class=\"x-drawer-divider\"></div>\n  <ng-template [cdkPortalOutlet]=\"_footerPortal\" />\n</div>\n", dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1$1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: i2$1.CdkPortalOutlet, selector: "[cdkPortalOutlet]", inputs: ["cdkPortalOutlet"], outputs: ["attached"], exportAs: ["cdkPortalOutlet"] }, { kind: "component", type: XuiIcon, selector: "xui-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "icon"], exportAs: ["xuiIcon"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiDrawer, decorators: [{
            type: Component,
            args: [{ selector: 'xui-drawer', changeDetection: ChangeDetectionStrategy.OnPush, host: {
                        class: 'x-drawer',
                        '[class.x-drawer-expanded]': 'expanded()'
                    }, template: "<div class=\"x-drawer-header\" *ngIf=\"_headerTemplate\">\n  <ng-template [cdkPortalOutlet]=\"_headerPortal\" />\n  <div class=\"x-drawer-divider\"></div>\n</div>\n\n<ng-container *ngTemplateOutlet=\"menuRef; context: { items: items() }\" />\n\n<ng-template #menuRef let-items=\"items\">\n  @for (item of items; track item.label) {\n    <ng-container>\n      <div\n        class=\"x-drawer-item\"\n        [class.x-drawer-active]=\"item.children && item.expanded\"\n        [class.x-drawer-group]=\"item.children\"\n        (click)=\"clickGroup(item)\"\n      >\n        <xui-icon [icon]=\"item.icon\"></xui-icon>\n        {{ item.label }}\n      </div>\n\n      <ng-container *ngTemplateOutlet=\"menuRef; context: { items: item.children }\" />\n    </ng-container>\n  }\n</ng-template>\n\n<div class=\"x-drawer-footer\" *ngIf=\"_footerTemplate\">\n  <div class=\"x-drawer-divider\"></div>\n  <ng-template [cdkPortalOutlet]=\"_footerPortal\" />\n</div>\n" }]
        }], ctorParameters: () => [{ type: i0.ViewContainerRef }] });

class XuiDrawerItemTemplate {
    constructor(drawer, templateRef) {
        drawer._itemTemplate = templateRef;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiDrawerItemTemplate, deps: [{ token: XuiDrawer }, { token: i0.TemplateRef }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.1", type: XuiDrawerItemTemplate, selector: "[xuiDrawerItemTemplate]", exportAs: ["xuiDrawerItemTemplate"], ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiDrawerItemTemplate, decorators: [{
            type: Directive,
            args: [{
                    selector: '[xuiDrawerItemTemplate]',
                    exportAs: 'xuiDrawerItemTemplate'
                }]
        }], ctorParameters: () => [{ type: XuiDrawer }, { type: i0.TemplateRef }] });

class XuiDrawerHeaderTemplate {
    constructor(drawer, templateRef) {
        drawer._headerTemplate = templateRef;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiDrawerHeaderTemplate, deps: [{ token: XuiDrawer }, { token: i0.TemplateRef }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.1", type: XuiDrawerHeaderTemplate, selector: "[xuiDrawerHeaderTemplate]", exportAs: ["xuiDrawerHeaderTemplate"], ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiDrawerHeaderTemplate, decorators: [{
            type: Directive,
            args: [{
                    selector: '[xuiDrawerHeaderTemplate]',
                    exportAs: 'xuiDrawerHeaderTemplate'
                }]
        }], ctorParameters: () => [{ type: XuiDrawer }, { type: i0.TemplateRef }] });

class XuiDrawerFooterTemplate {
    constructor(drawer, templateRef) {
        drawer._footerTemplate = templateRef;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiDrawerFooterTemplate, deps: [{ token: XuiDrawer }, { token: i0.TemplateRef }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.1", type: XuiDrawerFooterTemplate, selector: "[xuiDrawerFooterTemplate]", exportAs: ["xuiDrawerFooterTemplate"], ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiDrawerFooterTemplate, decorators: [{
            type: Directive,
            args: [{
                    selector: '[xuiDrawerFooterTemplate]',
                    exportAs: 'xuiDrawerFooterTemplate'
                }]
        }], ctorParameters: () => [{ type: XuiDrawer }, { type: i0.TemplateRef }] });

class XuiDrawerModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiDrawerModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.1", ngImport: i0, type: XuiDrawerModule, declarations: [XuiDrawer, XuiDrawerItemTemplate, XuiDrawerHeaderTemplate, XuiDrawerFooterTemplate], imports: [CommonModule, PortalModule, XuiIcon, XuiFocusModule], exports: [XuiDrawer, XuiDrawerItemTemplate, XuiDrawerHeaderTemplate, XuiDrawerFooterTemplate] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiDrawerModule, imports: [CommonModule, PortalModule, XuiFocusModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiDrawerModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [XuiDrawer, XuiDrawerItemTemplate, XuiDrawerHeaderTemplate, XuiDrawerFooterTemplate],
                    imports: [CommonModule, PortalModule, XuiIcon, XuiFocusModule],
                    exports: [XuiDrawer, XuiDrawerItemTemplate, XuiDrawerHeaderTemplate, XuiDrawerFooterTemplate]
                }]
        }] });

class GraphViewService {
    constructor() {
        this.paths = signal([]);
        this.wireToolPath = signal(null);
    }
    dragMove() {
        this.paths.set([]);
        for (const connection of this.data.connections) {
            this.connect(connection.outputNode, connection.outputPort, connection.inputNode, connection.inputPort);
        }
    }
    connect(outputNode, outputPort, inputNode, inputPort) {
        const output = this.canvas.nativeElement.querySelector(`[data-id="${outputNode}"]`);
        const input = this.canvas.nativeElement.querySelector(`[data-id="${inputNode}"]`);
        const padding = 0;
        const bezierWeight = 0.5;
        const canvasRect = this.canvas.nativeElement.getBoundingClientRect();
        const startRect = output.querySelector(`[data-port="${outputPort}"]`).getBoundingClientRect();
        const endRect = input.querySelector(`[data-port="${inputPort}"]`).getBoundingClientRect();
        const start = {
            offsetLeft: startRect.left - canvasRect.left,
            offsetTop: startRect.top - canvasRect.top
        };
        const end = {
            offsetLeft: endRect.left - canvasRect.left,
            offsetTop: endRect.top - canvasRect.top
        };
        const x1 = start.offsetLeft + startRect.width / 2 - padding;
        const y1 = start.offsetTop + startRect.height / 2 - padding;
        const x4 = end.offsetLeft + endRect.width / 2 - padding;
        const y4 = end.offsetTop + endRect.height / 2 - padding;
        const dx = Math.abs(x4 - x1) * bezierWeight;
        let x2;
        let x3;
        if (x4 < x1) {
            x2 = x1 - dx;
            x3 = x4 + dx;
        }
        else {
            x2 = x1 + dx;
            x3 = x4 - dx;
        }
        // TODO
        // this.paths.mutate(x => x.push(`M${x1} ${y1} C ${x2} ${y1} ${x3} ${y4} ${x4} ${y4}`));
    }
    wireTool(node, port, xCursor, yCursor) {
        const n = this.canvas.nativeElement.querySelector(`[data-id="${node}"]`);
        const padding = 0;
        const bezierWeight = 0.5;
        const canvasRect = this.canvas.nativeElement.getBoundingClientRect();
        const rect = n.querySelector(`[data-port="${port}"]`).getBoundingClientRect();
        const start = {
            offsetLeft: rect.left - canvasRect.left,
            offsetTop: rect.top - canvasRect.top
        };
        const end = {
            offsetLeft: xCursor - canvasRect.left,
            offsetTop: yCursor - canvasRect.top
        };
        const x1 = start.offsetLeft + rect.width / 2 - padding;
        const y1 = start.offsetTop + rect.height / 2 - padding;
        const x4 = end.offsetLeft;
        const y4 = end.offsetTop;
        const dx = Math.abs(x4 - x1) * bezierWeight;
        let x2;
        let x3;
        if (x4 < x1) {
            x2 = x1 - dx;
            x3 = x4 + dx;
        }
        else {
            x2 = x1 + dx;
            x3 = x4 - dx;
        }
        this.wireToolPath.set(`M${x1} ${y1} C ${x2} ${y1} ${x3} ${y4} ${x4} ${y4}`);
    }
    getGroup(groupId) {
        if (groupId == null) {
            return this.data.groups[0];
        }
        return this.data.groups.find(x => x.id === groupId) ?? this.data.groups[0];
    }
    hasConnectedPort(node, port) {
        return this.data.connections.some(x => (x.outputNode === node && x.outputPort === port) || (x.inputNode === node && x.inputPort === port));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: GraphViewService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: GraphViewService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: GraphViewService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }] });

class XuiNode {
    constructor(graphViewService) {
        this.graphViewService = graphViewService;
    }
    hasConnectedPort(port) {
        return this.graphViewService.hasConnectedPort(this.id, port);
    }
    getPortGroup(port) {
        return this.graphViewService.getGroup(port.groupId);
    }
    dragNode() {
        this.graphViewService.dragMove();
    }
    drag(event) {
        // console.log('dragging', event);
        this.graphViewService.wireTool(this.id, 'input2', event.clientX, event.clientY);
        if (event.clientX === 0 && event.clientY === 0) {
            this.graphViewService.wireToolPath.set(null);
        }
        // event.preventDefault();
        event.stopPropagation();
    }
    dragStart(event) {
        event.dataTransfer.setData('text', 'foobar');
    }
    dragEnd() {
        // this.parent.wireToolPath = null;
    }
    drop(event) {
        const node = event.dataTransfer.getData('text');
        const port = event.dataTransfer.getData('text/port');
        console.log('drop', event, node);
    }
    denyConnection(event) {
        // const node = event.dataTransfer!.getData('text');
        // const port = event.dataTransfer!.getData('text/port');
        //
        // console.log('allow', node, port);
        return false;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiNode, deps: [{ token: GraphViewService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "18.0.1", type: XuiNode, selector: "xui-node", inputs: { id: "id", title: "title", inputs: "inputs", outputs: "outputs" }, ngImport: i0, template: "<div class=\"x-node\" cdkDrag (cdkDragMoved)=\"dragNode()\">\n  <div class=\"x-node-header\" cdkDragHandle>{{ title }}</div>\n  <div class=\"x-node-inputs\">\n    @for (port of inputs; track port.id) {\n      <div class=\"x-node-value\">\n        <xui-icon\n          draggable=\"true\"\n          (drag)=\"drag($event)\"\n          (dragstart)=\"dragStart($event)\"\n          (dragend)=\"dragEnd()\"\n          (drop)=\"drop($event)\"\n          (dragover)=\"denyConnection($event)\"\n          [style.color]=\"getPortGroup(port).color\"\n          [attr.data-port]=\"port.id\"\n          [icon]=\"hasConnectedPort(port.id) ? 'radio_button_checked' : 'radio_button_unchecked'\"\n        ></xui-icon>\n        {{ port.name }}\n      </div>\n    }\n  </div>\n\n  <div class=\"x-node-outputs\">\n    @for (port of outputs; track port.id) {\n      <div class=\"x-node-value\">\n        {{ port.name }}\n        <xui-icon\n          (dragover)=\"denyConnection($event)\"\n          (drop)=\"drop($event)\"\n          [style.color]=\"getPortGroup(port).color\"\n          [attr.data-port]=\"port.id\"\n          [icon]=\"hasConnectedPort(port.id) ? 'radio_button_checked' : 'radio_button_unchecked'\"\n        ></xui-icon>\n      </div>\n    }\n  </div>\n\n  <div class=\"x-node-extensions\">extensions</div>\n</div>\n", dependencies: [{ kind: "directive", type: i2$3.CdkDrag, selector: "[cdkDrag]", inputs: ["cdkDragData", "cdkDragLockAxis", "cdkDragRootElement", "cdkDragBoundary", "cdkDragStartDelay", "cdkDragFreeDragPosition", "cdkDragDisabled", "cdkDragConstrainPosition", "cdkDragPreviewClass", "cdkDragPreviewContainer"], outputs: ["cdkDragStarted", "cdkDragReleased", "cdkDragEnded", "cdkDragEntered", "cdkDragExited", "cdkDragDropped", "cdkDragMoved"], exportAs: ["cdkDrag"] }, { kind: "directive", type: i2$3.CdkDragHandle, selector: "[cdkDragHandle]", inputs: ["cdkDragHandleDisabled"] }, { kind: "component", type: XuiIcon, selector: "xui-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "icon"], exportAs: ["xuiIcon"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiNode, decorators: [{
            type: Component,
            args: [{ selector: 'xui-node', changeDetection: ChangeDetectionStrategy.OnPush, template: "<div class=\"x-node\" cdkDrag (cdkDragMoved)=\"dragNode()\">\n  <div class=\"x-node-header\" cdkDragHandle>{{ title }}</div>\n  <div class=\"x-node-inputs\">\n    @for (port of inputs; track port.id) {\n      <div class=\"x-node-value\">\n        <xui-icon\n          draggable=\"true\"\n          (drag)=\"drag($event)\"\n          (dragstart)=\"dragStart($event)\"\n          (dragend)=\"dragEnd()\"\n          (drop)=\"drop($event)\"\n          (dragover)=\"denyConnection($event)\"\n          [style.color]=\"getPortGroup(port).color\"\n          [attr.data-port]=\"port.id\"\n          [icon]=\"hasConnectedPort(port.id) ? 'radio_button_checked' : 'radio_button_unchecked'\"\n        ></xui-icon>\n        {{ port.name }}\n      </div>\n    }\n  </div>\n\n  <div class=\"x-node-outputs\">\n    @for (port of outputs; track port.id) {\n      <div class=\"x-node-value\">\n        {{ port.name }}\n        <xui-icon\n          (dragover)=\"denyConnection($event)\"\n          (drop)=\"drop($event)\"\n          [style.color]=\"getPortGroup(port).color\"\n          [attr.data-port]=\"port.id\"\n          [icon]=\"hasConnectedPort(port.id) ? 'radio_button_checked' : 'radio_button_unchecked'\"\n        ></xui-icon>\n      </div>\n    }\n  </div>\n\n  <div class=\"x-node-extensions\">extensions</div>\n</div>\n" }]
        }], ctorParameters: () => [{ type: GraphViewService }], propDecorators: { id: [{
                type: Input
            }], title: [{
                type: Input
            }], inputs: [{
                type: Input
            }], outputs: [{
                type: Input
            }] } });

class XuiGraphView {
    get paths() {
        return this.graphViewService.paths;
    }
    get wireToolPath() {
        return this.graphViewService.wireToolPath;
    }
    get data() {
        return this.graphViewService.data;
    }
    set data(value) {
        this.graphViewService.data = value;
    }
    set canvas(value) {
        this.graphViewService.canvas = value;
    }
    constructor(graphViewService) {
        this.graphViewService = graphViewService;
        this.gridScale = 15;
    }
    ngAfterViewInit() {
        this.graphViewService.dragMove();
    }
    selectConnection(index) {
        this.selectedConnection = index;
        console.log('selected connection', index);
    }
    dragCanvas() {
        console.log('dragging canvas');
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiGraphView, deps: [{ token: GraphViewService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "18.0.1", type: XuiGraphView, selector: "xui-graph-view", inputs: { data: "data" }, providers: [GraphViewService], viewQueries: [{ propertyName: "canvas", first: true, predicate: ["canvas"], descendants: true }], ngImport: i0, template: "<div class=\"x-graph-view\">\n  <div #canvas class=\"x-graph-view-canvas\" draggable=\"false\" (drag)=\"dragCanvas()\">\n    <svg class=\"x-graph-view-grid\" height=\"100%\" width=\"100%\" xmlns=\"http://www.w3.org/2000/svg\">\n      <defs>\n        <pattern [attr.height]=\"gridScale\" [attr.width]=\"gridScale\" id=\"smallGrid\" patternUnits=\"userSpaceOnUse\">\n          <path attr.d=\"M {{ gridScale }} 0 L 0 0 0 {{ gridScale }}\" fill=\"none\" stroke=\"gray\" stroke-width=\"0.5\" />\n        </pattern>\n        <pattern [attr.height]=\"gridScale * 10\" [attr.width]=\"gridScale * 10\" id=\"grid\" patternUnits=\"userSpaceOnUse\">\n          <rect [attr.height]=\"gridScale * 10\" [attr.width]=\"gridScale * 10\" fill=\"url(#smallGrid)\" />\n          <path\n            attr.d=\"M {{ gridScale * 10 }} 0 L 0 0 0 {{ gridScale * 10 }}\"\n            fill=\"none\"\n            stroke=\"gray\"\n            stroke-width=\"1\"\n          />\n        </pattern>\n      </defs>\n\n      <rect fill=\"url(#grid)\" height=\"100%\" width=\"100%\" />\n\n      @for (path of paths(); track path; let i = $index) {\n        <path\n          (click)=\"selectConnection(i)\"\n          [attr.d]=\"path\"\n          class=\"x-graph-view-connection\"\n          [class.x-graph-view-connection-selected]=\"selectedConnection === i\"\n        />\n      }\n\n      <path [attr.d]=\"wireToolPath()\" class=\"x-graph-view-connection\" />\n    </svg>\n\n    @for (node of data.nodes; track node.id) {\n      <xui-node\n        [id]=\"node.id\"\n        [attr.data-id]=\"node.id\"\n        [title]=\"node.title\"\n        [inputs]=\"node.inputs\"\n        [outputs]=\"node.outputs\"\n      />\n    }\n  </div>\n</div>\n", dependencies: [{ kind: "component", type: XuiNode, selector: "xui-node", inputs: ["id", "title", "inputs", "outputs"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiGraphView, decorators: [{
            type: Component,
            args: [{ selector: 'xui-graph-view', changeDetection: ChangeDetectionStrategy.OnPush, providers: [GraphViewService], template: "<div class=\"x-graph-view\">\n  <div #canvas class=\"x-graph-view-canvas\" draggable=\"false\" (drag)=\"dragCanvas()\">\n    <svg class=\"x-graph-view-grid\" height=\"100%\" width=\"100%\" xmlns=\"http://www.w3.org/2000/svg\">\n      <defs>\n        <pattern [attr.height]=\"gridScale\" [attr.width]=\"gridScale\" id=\"smallGrid\" patternUnits=\"userSpaceOnUse\">\n          <path attr.d=\"M {{ gridScale }} 0 L 0 0 0 {{ gridScale }}\" fill=\"none\" stroke=\"gray\" stroke-width=\"0.5\" />\n        </pattern>\n        <pattern [attr.height]=\"gridScale * 10\" [attr.width]=\"gridScale * 10\" id=\"grid\" patternUnits=\"userSpaceOnUse\">\n          <rect [attr.height]=\"gridScale * 10\" [attr.width]=\"gridScale * 10\" fill=\"url(#smallGrid)\" />\n          <path\n            attr.d=\"M {{ gridScale * 10 }} 0 L 0 0 0 {{ gridScale * 10 }}\"\n            fill=\"none\"\n            stroke=\"gray\"\n            stroke-width=\"1\"\n          />\n        </pattern>\n      </defs>\n\n      <rect fill=\"url(#grid)\" height=\"100%\" width=\"100%\" />\n\n      @for (path of paths(); track path; let i = $index) {\n        <path\n          (click)=\"selectConnection(i)\"\n          [attr.d]=\"path\"\n          class=\"x-graph-view-connection\"\n          [class.x-graph-view-connection-selected]=\"selectedConnection === i\"\n        />\n      }\n\n      <path [attr.d]=\"wireToolPath()\" class=\"x-graph-view-connection\" />\n    </svg>\n\n    @for (node of data.nodes; track node.id) {\n      <xui-node\n        [id]=\"node.id\"\n        [attr.data-id]=\"node.id\"\n        [title]=\"node.title\"\n        [inputs]=\"node.inputs\"\n        [outputs]=\"node.outputs\"\n      />\n    }\n  </div>\n</div>\n" }]
        }], ctorParameters: () => [{ type: GraphViewService }], propDecorators: { data: [{
                type: Input
            }], canvas: [{
                type: ViewChild,
                args: ['canvas']
            }] } });

class XuiGraphViewModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiGraphViewModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.1", ngImport: i0, type: XuiGraphViewModule, declarations: [XuiGraphView, XuiNode], imports: [CommonModule, DragDropModule, XuiIcon], exports: [XuiGraphView, XuiNode] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiGraphViewModule, imports: [CommonModule, DragDropModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiGraphViewModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [XuiGraphView, XuiNode],
                    imports: [CommonModule, DragDropModule, XuiIcon],
                    exports: [XuiGraphView, XuiNode]
                }]
        }] });

class XuiImageUploadCropper {
    constructor(data) {
        this.data = data;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiImageUploadCropper, deps: [{ token: DIALOG_DATA }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.1", type: XuiImageUploadCropper, selector: "xui-image-upload-cropper", ngImport: i0, template: `
    <div class="x-image-upload-cropper">
      <image-cropper
        [imageChangedEvent]="data.imageChangedEvent"
        [maintainAspectRatio]="true"
        [aspectRatio]="data.aspectRatio()"
        format="webp"
        output="base64"
        [roundCropper]="data.type() === 'round'"
        (imageCropped)="data.imageCropped($event)"
      />
    </div>
    <div class="x-image-upload-cropper-actions">
      <xui-button type="raised" (click)="data.save()">{{ 'xui.image_upload.save' | translate }}</xui-button>
    </div>
  `, isInline: true, dependencies: [{ kind: "component", type: i1$5.ImageCropperComponent, selector: "image-cropper", inputs: ["imageChangedEvent", "imageURL", "imageBase64", "imageFile", "imageAltText", "cropperFrameAriaLabel", "output", "format", "transform", "maintainAspectRatio", "aspectRatio", "resetCropOnAspectRatioChange", "resizeToWidth", "resizeToHeight", "cropperMinWidth", "cropperMinHeight", "cropperMaxHeight", "cropperMaxWidth", "cropperStaticWidth", "cropperStaticHeight", "canvasRotation", "initialStepSize", "roundCropper", "onlyScaleDown", "imageQuality", "autoCrop", "backgroundColor", "containWithinAspectRatio", "hideResizeSquares", "allowMoveImage", "cropper", "alignImage", "disabled", "hidden"], outputs: ["imageCropped", "startCropImage", "imageLoaded", "cropperReady", "loadImageFailed", "transformChange"] }, { kind: "component", type: XuiButton, selector: "xui-button", inputs: ["type", "size", "color", "shine", "disabled", "stateDelay", "onClick"], outputs: ["click"] }, { kind: "pipe", type: i1$4.TranslatePipe, name: "translate" }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiImageUploadCropper, decorators: [{
            type: Component,
            args: [{
                    selector: 'xui-image-upload-cropper',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: `
    <div class="x-image-upload-cropper">
      <image-cropper
        [imageChangedEvent]="data.imageChangedEvent"
        [maintainAspectRatio]="true"
        [aspectRatio]="data.aspectRatio()"
        format="webp"
        output="base64"
        [roundCropper]="data.type() === 'round'"
        (imageCropped)="data.imageCropped($event)"
      />
    </div>
    <div class="x-image-upload-cropper-actions">
      <xui-button type="raised" (click)="data.save()">{{ 'xui.image_upload.save' | translate }}</xui-button>
    </div>
  `
                }]
        }], ctorParameters: () => [{ type: undefined, decorators: [{
                    type: Inject,
                    args: [DIALOG_DATA]
                }] }] });

class XuiImageUpload {
    constructor(dialog, control) {
        this.dialog = dialog;
        this.control = control;
        this.croppedImage = null;
        this._disabled = signal(false);
        this.value = model(null);
        this.type = input('square');
        this.aspectRatio = input(1);
        this.hoverLabel = input('xui.image_upload.change_image');
        this.disabled = input(undefined, {
            transform: booleanAttribute
        });
        this._borderRadius = computed(() => (this.type() === 'round' ? 50 : 4));
        this._backgroundImageUrl = computed(() => (this.value() ? `url(${this.value()})` : null));
        this.imageCropped = (event) => {
            this.croppedImage = event.base64 ?? null;
        };
        this.save = () => {
            this.onChange?.(this.croppedImage);
            this.value.set(this.croppedImage);
            this.dialogRef?.close();
        };
        if (this.control) {
            this.control.valueAccessor = this;
        }
        effect(() => this.disabled() && this._disabled.set(this.disabled()), { allowSignalWrites: true });
    }
    handleFileInput(event) {
        this.dialogRef = this.dialog.open(XuiImageUploadCropper, {
            data: {
                type: this.type,
                aspectRatio: this.aspectRatio,
                save: this.save,
                imageChangedEvent: event,
                imageCropped: this.imageCropped
            }
        });
    }
    _keyPress(event) {
        event?.preventDefault();
        this.inputElm.nativeElement.click();
    }
    writeValue(source) {
        this.croppedImage = source;
        this.value.set(source);
    }
    registerOnChange(onChange) {
        this.onChange = onChange;
    }
    registerOnTouched(onTouched) {
        this._onTouched = onTouched;
    }
    setDisabledState(isDisabled) {
        this._disabled.set(isDisabled);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiImageUpload, deps: [{ token: i1$6.Dialog }, { token: i1$2.NgControl, optional: true, self: true }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "18.0.1", type: XuiImageUpload, selector: "xui-image-upload", inputs: { value: { classPropertyName: "value", publicName: "value", isSignal: true, isRequired: false, transformFunction: null }, type: { classPropertyName: "type", publicName: "type", isSignal: true, isRequired: false, transformFunction: null }, aspectRatio: { classPropertyName: "aspectRatio", publicName: "aspectRatio", isSignal: true, isRequired: false, transformFunction: null }, hoverLabel: { classPropertyName: "hoverLabel", publicName: "hoverLabel", isSignal: true, isRequired: false, transformFunction: null }, disabled: { classPropertyName: "disabled", publicName: "disabled", isSignal: true, isRequired: false, transformFunction: null } }, outputs: { value: "valueChange" }, host: { listeners: { "focusout": "_onTouched?.()", "keydown.enter": "_keyPress($event)", "keydown.space": "_keyPress($event)" }, properties: { "class.x-image-upload-disabled": "disabled()", "class.x-image-upload-square": "type() === \"square\"", "style.border-radius.%": "_borderRadius()", "style.aspect-ratio": "aspectRatio()", "style.background-image": "_backgroundImageUrl()", "tabindex": "_disabled() ? -1 : 0" }, classAttribute: "x-image-upload" }, viewQueries: [{ propertyName: "inputElm", first: true, predicate: ["input"], descendants: true }], ngImport: i0, template: "<input #input type=\"file\" [disabled]=\"_disabled()\" (change)=\"handleFileInput($event)\" accept=\"image/*\" tabindex=\"-1\" />\n<div class=\"x-image-upload-hover\" [style.border-radius.%]=\"_borderRadius()\">{{ hoverLabel() | translate }}</div>\n<div *ngIf=\"!_backgroundImageUrl()\" class=\"x-image-upload-no-image\">{{ 'xui.image_upload.no_image' | translate }}</div>\n\n<div class=\"x-image-upload-icon\">\n  <xui-icon icon=\"add_photo_alternate\"></xui-icon>\n</div>\n", dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: XuiIcon, selector: "xui-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "icon"], exportAs: ["xuiIcon"] }, { kind: "pipe", type: i1$4.TranslatePipe, name: "translate" }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiImageUpload, decorators: [{
            type: Component,
            args: [{ selector: 'xui-image-upload', changeDetection: ChangeDetectionStrategy.OnPush, host: {
                        class: 'x-image-upload',
                        '[class.x-image-upload-disabled]': 'disabled()',
                        '[class.x-image-upload-square]': 'type() === "square"',
                        '[style.border-radius.%]': '_borderRadius()',
                        '[style.aspect-ratio]': 'aspectRatio()',
                        '[style.background-image]': '_backgroundImageUrl()',
                        '[tabindex]': '_disabled() ? -1 : 0',
                        '(focusout)': '_onTouched?.()',
                        '(keydown.enter)': '_keyPress($event)',
                        '(keydown.space)': '_keyPress($event)'
                    }, template: "<input #input type=\"file\" [disabled]=\"_disabled()\" (change)=\"handleFileInput($event)\" accept=\"image/*\" tabindex=\"-1\" />\n<div class=\"x-image-upload-hover\" [style.border-radius.%]=\"_borderRadius()\">{{ hoverLabel() | translate }}</div>\n<div *ngIf=\"!_backgroundImageUrl()\" class=\"x-image-upload-no-image\">{{ 'xui.image_upload.no_image' | translate }}</div>\n\n<div class=\"x-image-upload-icon\">\n  <xui-icon icon=\"add_photo_alternate\"></xui-icon>\n</div>\n" }]
        }], ctorParameters: () => [{ type: i1$6.Dialog }, { type: i1$2.NgControl, decorators: [{
                    type: Self
                }, {
                    type: Optional
                }] }], propDecorators: { inputElm: [{
                type: ViewChild,
                args: ['input']
            }] } });

class XuiImageUploadModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiImageUploadModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.1", ngImport: i0, type: XuiImageUploadModule, declarations: [XuiImageUpload, XuiImageUploadCropper], imports: [CommonModule,
            ImageCropperComponent,
            DialogModule,
            XuiIcon,
            XuiButtonModule, i1$4.TranslateModule, XuiFocusModule], exports: [XuiImageUpload] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiImageUploadModule, imports: [CommonModule,
            ImageCropperComponent,
            DialogModule,
            XuiButtonModule,
            TranslateModule.forChild(),
            XuiFocusModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiImageUploadModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [XuiImageUpload, XuiImageUploadCropper],
                    imports: [
                        CommonModule,
                        ImageCropperComponent,
                        DialogModule,
                        XuiIcon,
                        XuiButtonModule,
                        TranslateModule.forChild(),
                        XuiFocusModule
                    ],
                    exports: [XuiImageUpload]
                }]
        }] });

class XuiSider {
    constructor() {
        this.width = input('inherit');
        this._width = computed(() => parseCss(this.width()));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiSider, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "18.0.1", type: XuiSider, selector: "xui-sider", inputs: { width: { classPropertyName: "width", publicName: "width", isSignal: true, isRequired: false, transformFunction: null } }, host: { properties: { "style.width": "_width()" }, classAttribute: "x-layout-sider" }, ngImport: i0, template: '<ng-content />', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiSider, decorators: [{
            type: Component,
            args: [{
                    selector: 'xui-sider',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content />',
                    host: {
                        class: 'x-layout-sider',
                        '[style.width]': '_width()'
                    }
                }]
        }] });

class XuiLayout {
    constructor() {
        this.hasSider = false;
    }
    set siders(value) {
        this.hasSider = value.length > 0;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiLayout, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.1", type: XuiLayout, selector: "xui-layout", host: { properties: { "class.x-layout-has-sider": "this.hasSider" }, classAttribute: "x-layout" }, queries: [{ propertyName: "siders", predicate: XuiSider }], ngImport: i0, template: '<ng-content />', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiLayout, decorators: [{
            type: Component,
            args: [{
                    selector: 'xui-layout',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content />',
                    host: {
                        class: 'x-layout'
                    }
                }]
        }], propDecorators: { siders: [{
                type: ContentChildren,
                args: [XuiSider]
            }], hasSider: [{
                type: HostBinding,
                args: ['class.x-layout-has-sider']
            }] } });

class XuiHeader {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiHeader, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.1", type: XuiHeader, selector: "xui-header", host: { classAttribute: "x-layout-header" }, ngImport: i0, template: '<ng-content />', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiHeader, decorators: [{
            type: Component,
            args: [{
                    selector: 'xui-header',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content />',
                    host: {
                        class: 'x-layout-header'
                    }
                }]
        }] });

class XuiContent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiContent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.1", type: XuiContent, selector: "xui-content", host: { classAttribute: "x-layout-content" }, ngImport: i0, template: '<ng-content />', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiContent, decorators: [{
            type: Component,
            args: [{
                    selector: 'xui-content',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content />',
                    host: {
                        class: 'x-layout-content'
                    }
                }]
        }] });

class XuiFooter {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiFooter, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.1", type: XuiFooter, selector: "xui-footer", host: { classAttribute: "x-layout-footer" }, ngImport: i0, template: '<ng-content />', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiFooter, decorators: [{
            type: Component,
            args: [{
                    selector: 'xui-footer',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content />',
                    host: {
                        class: 'x-layout-footer'
                    }
                }]
        }] });

class XuiLayoutModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiLayoutModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.1", ngImport: i0, type: XuiLayoutModule, declarations: [XuiLayout, XuiHeader, XuiSider, XuiContent, XuiFooter], imports: [CommonModule], exports: [XuiLayout, XuiHeader, XuiSider, XuiContent, XuiFooter] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiLayoutModule, imports: [CommonModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiLayoutModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    declarations: [XuiLayout, XuiHeader, XuiSider, XuiContent, XuiFooter],
                    exports: [XuiLayout, XuiHeader, XuiSider, XuiContent, XuiFooter]
                }]
        }] });

class XuiMenuService {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiMenuService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiMenuService }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiMenuService, decorators: [{
            type: Injectable
        }] });

class XuiMenu {
    constructor(menuService) {
        this.menuService = menuService;
        this.inlineIndent = input(24);
        this.mode = input('default');
        this.menuService._mode = this.mode;
        this.menuService._inlineIndent = this.inlineIndent;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiMenu, deps: [{ token: XuiMenuService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "18.0.1", type: XuiMenu, selector: "xui-menu", inputs: { inlineIndent: { classPropertyName: "inlineIndent", publicName: "inlineIndent", isSignal: true, isRequired: false, transformFunction: null }, mode: { classPropertyName: "mode", publicName: "mode", isSignal: true, isRequired: false, transformFunction: null } }, providers: [XuiMenuService], ngImport: i0, template: `<ng-content />`, isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiMenu, decorators: [{
            type: Component,
            args: [{
                    selector: 'xui-menu',
                    providers: [XuiMenuService],
                    template: `<ng-content />`,
                    changeDetection: ChangeDetectionStrategy.OnPush
                }]
        }], ctorParameters: () => [{ type: XuiMenuService }] });

class XuiSubmenuService {
    constructor(submenuService) {
        this.level = 1;
        this.level = (submenuService?.level ?? 0) + 1;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiSubmenuService, deps: [{ token: XuiSubmenuService, optional: true, skipSelf: true }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiSubmenuService }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiSubmenuService, decorators: [{
            type: Injectable
        }], ctorParameters: () => [{ type: XuiSubmenuService, decorators: [{
                    type: SkipSelf
                }, {
                    type: Optional
                }] }] });

class XuiSubmenu {
    constructor(submenuService) {
        this.submenuService = submenuService;
        this.paddingLeft = this.submenuService.level * 24;
        this._isOpened = signal(false);
        this.title = input();
        this.icon = input();
        this.open = input(false, { transform: booleanAttribute });
        this.openChange = new EventEmitter();
        effect(() => this._isOpened.set(this.open()), { allowSignalWrites: true });
    }
    toggleSubmenu() {
        this._isOpened.set(!this._isOpened());
        this.openChange.emit();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiSubmenu, deps: [{ token: XuiSubmenuService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "18.0.1", type: XuiSubmenu, selector: "xui-submenu", inputs: { title: { classPropertyName: "title", publicName: "title", isSignal: true, isRequired: false, transformFunction: null }, icon: { classPropertyName: "icon", publicName: "icon", isSignal: true, isRequired: false, transformFunction: null }, open: { classPropertyName: "open", publicName: "open", isSignal: true, isRequired: false, transformFunction: null } }, outputs: { openChange: "openChange" }, providers: [XuiSubmenuService], ngImport: i0, template: "<div class=\"x-submenu-entry x-menu-hover\" [style.paddingLeft.px]=\"paddingLeft\" (click)=\"toggleSubmenu()\">\n  <div class=\"x-submenu-title x-menu-item\">\n    <ng-container *ngIf=\"icon()\">\n      <xui-icon [icon]=\"icon()\"></xui-icon>\n    </ng-container>\n    {{ title() }}\n  </div>\n\n  <xui-icon [icon]=\"_isOpened() ? 'keyboard_arrow_down' : 'keyboard_arrow_up'\"></xui-icon>\n</div>\n\n@if (_isOpened()) {\n  <ng-content />\n}\n", dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: XuiIcon, selector: "xui-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "icon"], exportAs: ["xuiIcon"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiSubmenu, decorators: [{
            type: Component,
            args: [{ selector: 'xui-submenu', providers: [XuiSubmenuService], changeDetection: ChangeDetectionStrategy.OnPush, template: "<div class=\"x-submenu-entry x-menu-hover\" [style.paddingLeft.px]=\"paddingLeft\" (click)=\"toggleSubmenu()\">\n  <div class=\"x-submenu-title x-menu-item\">\n    <ng-container *ngIf=\"icon()\">\n      <xui-icon [icon]=\"icon()\"></xui-icon>\n    </ng-container>\n    {{ title() }}\n  </div>\n\n  <xui-icon [icon]=\"_isOpened() ? 'keyboard_arrow_down' : 'keyboard_arrow_up'\"></xui-icon>\n</div>\n\n@if (_isOpened()) {\n  <ng-content />\n}\n" }]
        }], ctorParameters: () => [{ type: XuiSubmenuService }], propDecorators: { openChange: [{
                type: Output
            }] } });

class XuiMenuGroup {
    constructor(menuService, submenuService) {
        this.menuService = menuService;
        this.submenuService = submenuService;
        this.level = (this.submenuService?.level ?? 0) + 0.5;
        this._paddingLeft = computed(() => this.menuService._mode() === 'default' ? this.level * this.menuService._inlineIndent() : null);
        this.title = input.required();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiMenuGroup, deps: [{ token: XuiMenuService }, { token: XuiSubmenuService, optional: true }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "18.0.1", type: XuiMenuGroup, selector: "xui-menu-group", inputs: { title: { classPropertyName: "title", publicName: "title", isSignal: true, isRequired: true, transformFunction: null } }, ngImport: i0, template: `<div class="x-menu-group-title" [style.paddingLeft.px]="_paddingLeft()">
      {{ title() }}
    </div>
    <ng-content />`, isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiMenuGroup, decorators: [{
            type: Component,
            args: [{
                    selector: 'xui-menu-group',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: `<div class="x-menu-group-title" [style.paddingLeft.px]="_paddingLeft()">
      {{ title() }}
    </div>
    <ng-content />`
                }]
        }], ctorParameters: () => [{ type: XuiMenuService }, { type: XuiSubmenuService, decorators: [{
                    type: Optional
                }] }] });

let XuiMenuItem = class XuiMenuItem {
    constructor(router, menuService, submenuService) {
        this.router = router;
        this.menuService = menuService;
        this.submenuService = submenuService;
        this.level = (this.submenuService?.level ?? 0) + 1;
        this._paddingLeft = computed(() => this.menuService._mode() === 'default' ? this.level * this.menuService._inlineIndent() : null);
        this._showLabel = computed(() => this.menuService._mode() === 'default');
        this.icon = input();
        this.link = input();
        this.disabled = input(false, { transform: booleanAttribute });
        this.selected = false;
    }
    ngOnInit() {
        this.router.events
            .pipe(untilDestroyed(this), filter$1(x => x instanceof NavigationEnd), map$1(x => x.url === this.link()))
            .subscribe(selected => (this.selected = selected));
    }
    clickMenuItem(e) {
        if (this.disabled()) {
            e.preventDefault();
            e.stopPropagation();
        }
        else {
            // Do stuff
            if (this.link() != undefined) {
                this.router.navigateByUrl(this.link());
            }
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiMenuItem, deps: [{ token: i1$7.Router }, { token: XuiMenuService }, { token: XuiSubmenuService, optional: true }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "18.0.1", type: XuiMenuItem, selector: "xui-menu-item", inputs: { icon: { classPropertyName: "icon", publicName: "icon", isSignal: true, isRequired: false, transformFunction: null }, link: { classPropertyName: "link", publicName: "link", isSignal: true, isRequired: false, transformFunction: null }, disabled: { classPropertyName: "disabled", publicName: "disabled", isSignal: true, isRequired: false, transformFunction: null } }, host: { listeners: { "click": "clickMenuItem($event)" }, properties: { "style.paddingLeft.px": "_paddingLeft()", "class.x-menu-item-selected": "this.selected" }, classAttribute: "x-menu-item x-menu-hover" }, ngImport: i0, template: `
    @if (icon()) {
      <xui-icon [icon]="icon()"></xui-icon>
    }

    @if (_showLabel()) {
      <ng-content />
    }
  `, isInline: true, dependencies: [{ kind: "component", type: XuiIcon, selector: "xui-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "icon"], exportAs: ["xuiIcon"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
};
XuiMenuItem = __decorate([
    UntilDestroy(),
    __metadata("design:paramtypes", [Router,
        XuiMenuService,
        XuiSubmenuService])
], XuiMenuItem);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiMenuItem, decorators: [{
            type: Component,
            args: [{
                    selector: 'xui-menu-item',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: `
    @if (icon()) {
      <xui-icon [icon]="icon()"></xui-icon>
    }

    @if (_showLabel()) {
      <ng-content />
    }
  `,
                    host: {
                        class: 'x-menu-item x-menu-hover',
                        '[style.paddingLeft.px]': '_paddingLeft()',
                        '(click)': 'clickMenuItem($event)'
                    }
                }]
        }], ctorParameters: () => [{ type: i1$7.Router }, { type: XuiMenuService }, { type: XuiSubmenuService, decorators: [{
                    type: Optional
                }] }], propDecorators: { selected: [{
                type: HostBinding,
                args: ['class.x-menu-item-selected']
            }] } });

class XuiMenuModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiMenuModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.1", ngImport: i0, type: XuiMenuModule, declarations: [XuiMenu, XuiSubmenu, XuiMenuGroup, XuiMenuItem], imports: [CommonModule, RouterModule, XuiIcon, XuiFocusModule], exports: [XuiMenu, XuiSubmenu, XuiMenuGroup, XuiMenuItem] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiMenuModule, imports: [CommonModule, RouterModule, XuiFocusModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiMenuModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule, RouterModule, XuiIcon, XuiFocusModule],
                    declarations: [XuiMenu, XuiSubmenu, XuiMenuGroup, XuiMenuItem],
                    exports: [XuiMenu, XuiSubmenu, XuiMenuGroup, XuiMenuItem]
                }]
        }] });

const PANEL_BAR_ACCESSOR = new InjectionToken('xui-panelbar');

class XuiPanelBarItem {
    get offset() {
        return this.parentItem ? this.parentItem.offset + 1 : 0;
    }
    get _paddingLeft() {
        return 8 + this.offset * 24;
    }
    constructor(panelBar, viewContainerRef, parentItem) {
        this.panelBar = panelBar;
        this.viewContainerRef = viewContainerRef;
        this.parentItem = parentItem;
        this._expanded = signal(false);
        this.title = input();
        this.content = input();
        this.icon = input();
        this.iconClass = input();
        this.expanded = input(false, { transform: booleanAttribute });
        this._children = input();
        this._contentPortal = computed(() => {
            const content = this._contentDirective ?? this.panelBar._itemTemplate ?? this.contentTemplate;
            return new TemplatePortal(content, this.viewContainerRef, {
                $implicit: {
                    title: this.title(),
                    content: this.content()
                }
            });
        });
        this._titlePortal = computed(() => {
            const title = this._titleDirective ?? this.titleTemplate;
            return new TemplatePortal(title, this.viewContainerRef, {
                $implicit: {
                    title: this.title(),
                    content: this.content()
                }
            });
        });
        this._hasContent = computed(() => this.content() ?? this._children() ?? this._contentDirective ?? this.contentRef.nativeElement.children.length);
    }
    clickItem() {
        if (this._hasContent()) {
            this._expanded.set(!this._expanded());
            // TODO; emit event
        }
        else {
            // TODO: emit click event?
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiPanelBarItem, deps: [{ token: PANEL_BAR_ACCESSOR }, { token: i0.ViewContainerRef }, { token: XuiPanelBarItem, optional: true, skipSelf: true }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "18.0.1", type: XuiPanelBarItem, selector: "xui-panelbar-item", inputs: { title: { classPropertyName: "title", publicName: "title", isSignal: true, isRequired: false, transformFunction: null }, content: { classPropertyName: "content", publicName: "content", isSignal: true, isRequired: false, transformFunction: null }, icon: { classPropertyName: "icon", publicName: "icon", isSignal: true, isRequired: false, transformFunction: null }, iconClass: { classPropertyName: "iconClass", publicName: "iconClass", isSignal: true, isRequired: false, transformFunction: null }, expanded: { classPropertyName: "expanded", publicName: "expanded", isSignal: true, isRequired: false, transformFunction: null }, _children: { classPropertyName: "_children", publicName: "_children", isSignal: true, isRequired: false, transformFunction: null } }, host: { classAttribute: "x-panelbar-item" }, viewQueries: [{ propertyName: "contentTemplate", first: true, predicate: ["contentTemplate"], descendants: true, static: true }, { propertyName: "titleTemplate", first: true, predicate: ["titleTemplate"], descendants: true, static: true }, { propertyName: "contentRef", first: true, predicate: ["contentRef"], descendants: true, static: true }], ngImport: i0, template: "<div (click)=\"clickItem()\" class=\"x-panelbar-item-title\" [style.padding-left.px]=\"_paddingLeft\">\n  <ng-template [cdkPortalOutlet]=\"_titlePortal()\" />\n  <div class=\"x-panelbar-item-spacer\"></div>\n  <xui-icon\n    class=\"x-panelbar-item-chevron\"\n    *ngIf=\"_hasContent()\"\n    [icon]=\"_expanded() ? 'keyboard_arrow_down' : 'keyboard_arrow_up'\"\n  ></xui-icon>\n</div>\n\n<div [style.display]=\"_expanded() ? 'block' : 'none'\" #contentRef>\n  <ng-container *ngIf=\"_contentDirective || content()\">\n    <ng-template [cdkPortalOutlet]=\"_contentPortal()\" />\n  </ng-container>\n  <ng-content select=\"xui-panelbar-item\"></ng-content>\n\n  @for (child of _children(); track child.title) {\n    <xui-panelbar-item [title]=\"child.title\" [_children]=\"child.children\" />\n  }\n</div>\n\n<ng-template #contentTemplate>\n  <div class=\"x-panelbar-item-content\" [style.padding-left.px]=\"_paddingLeft\">{{ content() }}</div>\n</ng-template>\n\n<ng-template #titleTemplate>\n  <xui-icon [class]=\"iconClass()\" *ngIf=\"icon()\" [icon]=\"icon()\"></xui-icon>\n  {{ title() }}\n</ng-template>\n", dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2$1.CdkPortalOutlet, selector: "[cdkPortalOutlet]", inputs: ["cdkPortalOutlet"], outputs: ["attached"], exportAs: ["cdkPortalOutlet"] }, { kind: "component", type: XuiIcon, selector: "xui-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "icon"], exportAs: ["xuiIcon"] }, { kind: "component", type: XuiPanelBarItem, selector: "xui-panelbar-item", inputs: ["title", "content", "icon", "iconClass", "expanded", "_children"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiPanelBarItem, decorators: [{
            type: Component,
            args: [{ selector: 'xui-panelbar-item', changeDetection: ChangeDetectionStrategy.OnPush, host: {
                        class: 'x-panelbar-item'
                    }, template: "<div (click)=\"clickItem()\" class=\"x-panelbar-item-title\" [style.padding-left.px]=\"_paddingLeft\">\n  <ng-template [cdkPortalOutlet]=\"_titlePortal()\" />\n  <div class=\"x-panelbar-item-spacer\"></div>\n  <xui-icon\n    class=\"x-panelbar-item-chevron\"\n    *ngIf=\"_hasContent()\"\n    [icon]=\"_expanded() ? 'keyboard_arrow_down' : 'keyboard_arrow_up'\"\n  ></xui-icon>\n</div>\n\n<div [style.display]=\"_expanded() ? 'block' : 'none'\" #contentRef>\n  <ng-container *ngIf=\"_contentDirective || content()\">\n    <ng-template [cdkPortalOutlet]=\"_contentPortal()\" />\n  </ng-container>\n  <ng-content select=\"xui-panelbar-item\"></ng-content>\n\n  @for (child of _children(); track child.title) {\n    <xui-panelbar-item [title]=\"child.title\" [_children]=\"child.children\" />\n  }\n</div>\n\n<ng-template #contentTemplate>\n  <div class=\"x-panelbar-item-content\" [style.padding-left.px]=\"_paddingLeft\">{{ content() }}</div>\n</ng-template>\n\n<ng-template #titleTemplate>\n  <xui-icon [class]=\"iconClass()\" *ngIf=\"icon()\" [icon]=\"icon()\"></xui-icon>\n  {{ title() }}\n</ng-template>\n" }]
        }], ctorParameters: () => [{ type: undefined, decorators: [{
                    type: Inject,
                    args: [PANEL_BAR_ACCESSOR]
                }] }, { type: i0.ViewContainerRef }, { type: XuiPanelBarItem, decorators: [{
                    type: Optional
                }, {
                    type: SkipSelf
                }] }], propDecorators: { contentTemplate: [{
                type: ViewChild,
                args: ['contentTemplate', { static: true }]
            }], titleTemplate: [{
                type: ViewChild,
                args: ['titleTemplate', { static: true }]
            }], contentRef: [{
                type: ViewChild,
                args: ['contentRef', { static: true }]
            }] } });

class XuiPanelBar {
    constructor() {
        this.items = input();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiPanelBar, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "18.0.1", type: XuiPanelBar, selector: "xui-panelbar", inputs: { items: { classPropertyName: "items", publicName: "items", isSignal: true, isRequired: false, transformFunction: null } }, host: { classAttribute: "x-panelbar" }, providers: [{ provide: PANEL_BAR_ACCESSOR, useExisting: XuiPanelBar }], ngImport: i0, template: "<!--  <ng-container *ngTemplateOutlet=\"itemsTemplate; context: { items }\"></ng-container>-->\n\n@for (item of items(); track item) {\n  <xui-panelbar-item\n    [title]=\"item.title\"\n    [content]=\"item.content\"\n    [icon]=\"item.icon\"\n    [iconClass]=\"item.iconClass\"\n    [_children]=\"item.children\"\n  />\n}\n<ng-content select=\"xui-panelbar-item\" />\n\n<!--<ng-template #itemsTemplate let-data=\"items\">-->\n<!--  <xui-panelbar-item-->\n<!--    #itemRef-->\n<!--    *ngFor=\"let item of data\"-->\n<!--    [title]=\"item.title\"-->\n<!--    [content]=\"item.content\"-->\n<!--    [icon]=\"item.icon\"-->\n<!--    [iconClass]=\"item.iconClass\"-->\n<!--  >-->\n<!--        <ng-template-->\n<!--          ngProjectAs=\"xui-panelbar-item\"-->\n<!--          [ngTemplateOutlet]=\"itemsTemplate\"-->\n<!--          [ngTemplateOutletContext]=\"{ items: item.children }\"-->\n<!--          [ngTemplateOutletInjector]=\"itemRef._injector\"-->\n<!--        ></ng-template>-->\n<!--  </xui-panelbar-item>-->\n<!--</ng-template>-->\n", dependencies: [{ kind: "component", type: XuiPanelBarItem, selector: "xui-panelbar-item", inputs: ["title", "content", "icon", "iconClass", "expanded", "_children"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiPanelBar, decorators: [{
            type: Component,
            args: [{ selector: 'xui-panelbar', changeDetection: ChangeDetectionStrategy.OnPush, providers: [{ provide: PANEL_BAR_ACCESSOR, useExisting: XuiPanelBar }], host: {
                        class: 'x-panelbar'
                    }, template: "<!--  <ng-container *ngTemplateOutlet=\"itemsTemplate; context: { items }\"></ng-container>-->\n\n@for (item of items(); track item) {\n  <xui-panelbar-item\n    [title]=\"item.title\"\n    [content]=\"item.content\"\n    [icon]=\"item.icon\"\n    [iconClass]=\"item.iconClass\"\n    [_children]=\"item.children\"\n  />\n}\n<ng-content select=\"xui-panelbar-item\" />\n\n<!--<ng-template #itemsTemplate let-data=\"items\">-->\n<!--  <xui-panelbar-item-->\n<!--    #itemRef-->\n<!--    *ngFor=\"let item of data\"-->\n<!--    [title]=\"item.title\"-->\n<!--    [content]=\"item.content\"-->\n<!--    [icon]=\"item.icon\"-->\n<!--    [iconClass]=\"item.iconClass\"-->\n<!--  >-->\n<!--        <ng-template-->\n<!--          ngProjectAs=\"xui-panelbar-item\"-->\n<!--          [ngTemplateOutlet]=\"itemsTemplate\"-->\n<!--          [ngTemplateOutletContext]=\"{ items: item.children }\"-->\n<!--          [ngTemplateOutletInjector]=\"itemRef._injector\"-->\n<!--        ></ng-template>-->\n<!--  </xui-panelbar-item>-->\n<!--</ng-template>-->\n" }]
        }] });

class XuiPanelBarItemTemplate {
    constructor(panelBar, templateRef) {
        panelBar._itemTemplate = templateRef;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiPanelBarItemTemplate, deps: [{ token: PANEL_BAR_ACCESSOR }, { token: i0.TemplateRef }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.1", type: XuiPanelBarItemTemplate, selector: "[xuiPanelBarItemTemplate]", exportAs: ["xuiPanelBarItemTemplate"], ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiPanelBarItemTemplate, decorators: [{
            type: Directive,
            args: [{
                    selector: '[xuiPanelBarItemTemplate]',
                    exportAs: 'xuiPanelBarItemTemplate'
                }]
        }], ctorParameters: () => [{ type: undefined, decorators: [{
                    type: Inject,
                    args: [PANEL_BAR_ACCESSOR]
                }] }, { type: i0.TemplateRef }] });

class XuiPanelBarItemTitle {
    constructor(panelBarItem, templateRef) {
        panelBarItem._titleDirective = templateRef;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiPanelBarItemTitle, deps: [{ token: XuiPanelBarItem }, { token: i0.TemplateRef }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.1", type: XuiPanelBarItemTitle, selector: "[xuiPanelBarItemTitle]", exportAs: ["xuiPanelBarItemTitle"], ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiPanelBarItemTitle, decorators: [{
            type: Directive,
            args: [{
                    selector: '[xuiPanelBarItemTitle]',
                    exportAs: 'xuiPanelBarItemTitle'
                }]
        }], ctorParameters: () => [{ type: XuiPanelBarItem }, { type: i0.TemplateRef }] });

class XuiPanelBarItemContent {
    constructor(panelBarItem, templateRef) {
        panelBarItem._contentDirective = templateRef;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiPanelBarItemContent, deps: [{ token: XuiPanelBarItem }, { token: i0.TemplateRef }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.1", type: XuiPanelBarItemContent, selector: "[xuiPanelBarItemContent]", exportAs: ["xuiPanelBarItemContent"], ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiPanelBarItemContent, decorators: [{
            type: Directive,
            args: [{
                    selector: '[xuiPanelBarItemContent]',
                    exportAs: 'xuiPanelBarItemContent'
                }]
        }], ctorParameters: () => [{ type: XuiPanelBarItem }, { type: i0.TemplateRef }] });

class XuiPanelBarModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiPanelBarModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.1", ngImport: i0, type: XuiPanelBarModule, declarations: [XuiPanelBar, XuiPanelBarItem, XuiPanelBarItemTemplate, XuiPanelBarItemTitle, XuiPanelBarItemContent], imports: [CommonModule, PortalModule, XuiIcon, XuiFocusModule], exports: [XuiPanelBar, XuiPanelBarItem, XuiPanelBarItemTemplate, XuiPanelBarItemTitle, XuiPanelBarItemContent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiPanelBarModule, imports: [CommonModule, PortalModule, XuiFocusModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiPanelBarModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [XuiPanelBar, XuiPanelBarItem, XuiPanelBarItemTemplate, XuiPanelBarItemTitle, XuiPanelBarItemContent],
                    exports: [XuiPanelBar, XuiPanelBarItem, XuiPanelBarItemTemplate, XuiPanelBarItemTitle, XuiPanelBarItemContent],
                    imports: [CommonModule, PortalModule, XuiIcon, XuiFocusModule]
                }]
        }] });

class XuiPopover {
    constructor(overlay, viewContainerRef) {
        this.overlay = overlay;
        this.viewContainerRef = viewContainerRef;
        this.anchor = input();
        this.position = input('right');
        this.afterClosed = new EventEmitter();
        this._styles = computed(() => {
            const ret = {
                'x-popover': true
            };
            ret[`x-popover-${this.position()}`] = true;
            return ret;
        });
        const config = {
            scrollStrategy: this.overlay.scrollStrategies.reposition(),
            hasBackdrop: true,
            backdropClass: 'x-popover-backdrop'
        };
        this.overlayRef = this.overlay.create(config);
        this.overlayRef.backdropClick().subscribe(() => this._close());
    }
    open(anchor) {
        this.overlayRef.updatePositionStrategy(this.calculatePositionStrategy(anchor ?? this.anchor()));
        const userProfilePortal = new TemplatePortal(this.popoverTemplate, this.viewContainerRef);
        this.overlayRef.attach(userProfilePortal);
    }
    _close() {
        this.overlayRef.detach();
        this.afterClosed.emit();
    }
    calculatePositionStrategy(anchor) {
        return this.overlay
            .position()
            .flexibleConnectedTo(anchor?.elementRef ?? anchor)
            .withPositions([this.getPositionStrategy()])
            .withPush(false);
    }
    getPositionStrategy() {
        switch (this.position()) {
            case 'right':
                return new ConnectionPositionPair({ originX: 'end', originY: 'center' }, { overlayX: 'start', overlayY: 'top' });
            case 'left':
                return new ConnectionPositionPair({ originX: 'start', originY: 'center' }, { overlayX: 'end', overlayY: 'top' });
            case 'top':
                return new ConnectionPositionPair({ originX: 'center', originY: 'top' }, { overlayX: 'center', overlayY: 'bottom' });
            case 'bottom':
                return new ConnectionPositionPair({ originX: 'center', originY: 'bottom' }, { overlayX: 'center', overlayY: 'top' });
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiPopover, deps: [{ token: i1$3.Overlay }, { token: i0.ViewContainerRef }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "18.0.1", type: XuiPopover, selector: "xui-popover", inputs: { anchor: { classPropertyName: "anchor", publicName: "anchor", isSignal: true, isRequired: false, transformFunction: null }, position: { classPropertyName: "position", publicName: "position", isSignal: true, isRequired: false, transformFunction: null } }, outputs: { afterClosed: "afterClosed" }, host: { listeners: { "document:keydown.escape": "_close()" } }, viewQueries: [{ propertyName: "popoverTemplate", first: true, predicate: ["popoverTemplate"], descendants: true, static: true }], ngImport: i0, template: "<ng-template #popoverTemplate>\n  <div [ngClass]=\"_styles()\" cdkTrapFocus cdkTrapFocusAutoCapture>\n    <div class=\"x-popover-arrow\"></div>\n    <div class=\"x-popover-content\">\n      <ng-content />\n    </div>\n  </div>\n</ng-template>\n", dependencies: [{ kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i2$2.CdkTrapFocus, selector: "[cdkTrapFocus]", inputs: ["cdkTrapFocus", "cdkTrapFocusAutoCapture"], exportAs: ["cdkTrapFocus"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiPopover, decorators: [{
            type: Component,
            args: [{ selector: 'xui-popover', changeDetection: ChangeDetectionStrategy.OnPush, host: {
                        '(document:keydown.escape)': '_close()'
                    }, template: "<ng-template #popoverTemplate>\n  <div [ngClass]=\"_styles()\" cdkTrapFocus cdkTrapFocusAutoCapture>\n    <div class=\"x-popover-arrow\"></div>\n    <div class=\"x-popover-content\">\n      <ng-content />\n    </div>\n  </div>\n</ng-template>\n" }]
        }], ctorParameters: () => [{ type: i1$3.Overlay }, { type: i0.ViewContainerRef }], propDecorators: { afterClosed: [{
                type: Output
            }], popoverTemplate: [{
                type: ViewChild,
                args: ['popoverTemplate', { static: true }]
            }] } });

class XuiPopoverTriggerFor {
    constructor(elementRef) {
        this.elementRef = elementRef;
        this.popover = input.required({ alias: 'xuiPopoverTriggerFor' });
    }
    _click() {
        this.popover().open(this.elementRef);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiPopoverTriggerFor, deps: [{ token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "17.1.0", version: "18.0.1", type: XuiPopoverTriggerFor, selector: "[xuiPopoverTriggerFor]", inputs: { popover: { classPropertyName: "popover", publicName: "xuiPopoverTriggerFor", isSignal: true, isRequired: true, transformFunction: null } }, host: { listeners: { "click": "_click()" } }, exportAs: ["xuiPopoverTriggerFor"], ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiPopoverTriggerFor, decorators: [{
            type: Directive,
            args: [{
                    selector: '[xuiPopoverTriggerFor]',
                    exportAs: 'xuiPopoverTriggerFor',
                    host: {
                        '(click)': '_click()'
                    }
                }]
        }], ctorParameters: () => [{ type: i0.ElementRef }] });

class XuiPopoverModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiPopoverModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.1", ngImport: i0, type: XuiPopoverModule, declarations: [XuiPopover, XuiPopoverTriggerFor], imports: [CommonModule, OverlayModule, A11yModule, XuiFocusModule], exports: [XuiPopover, XuiPopoverTriggerFor] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiPopoverModule, imports: [CommonModule, OverlayModule, A11yModule, XuiFocusModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiPopoverModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [XuiPopover, XuiPopoverTriggerFor],
                    exports: [XuiPopover, XuiPopoverTriggerFor],
                    imports: [CommonModule, OverlayModule, A11yModule, XuiFocusModule]
                }]
        }] });

class XuiProgress {
    constructor() {
        this.progress = input.required();
        this.type = input('line');
        this.color = input('primary');
        this.status = input(null);
        this._color = computed(() => {
            if (this.status() === 'error') {
                return 'error';
            }
            console.log('progress', this.progress());
            if (this.progress() == 100) {
                return 'success';
            }
            return this.color();
        });
        this._indicator = computed(() => {
            if (this.status() === 'error') {
                return -1;
            }
            if (this.progress() == 100) {
                return 1;
            }
            return 0;
        });
        this._style = computed(() => {
            const ret = {
                'x-progress-indicator': true
            };
            ret[`x-progress-${this._color()}`] = true;
            return ret;
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiProgress, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "18.0.1", type: XuiProgress, isStandalone: true, selector: "xui-progress", inputs: { progress: { classPropertyName: "progress", publicName: "progress", isSignal: true, isRequired: true, transformFunction: null }, type: { classPropertyName: "type", publicName: "type", isSignal: true, isRequired: false, transformFunction: null }, color: { classPropertyName: "color", publicName: "color", isSignal: true, isRequired: false, transformFunction: null }, status: { classPropertyName: "status", publicName: "status", isSignal: true, isRequired: false, transformFunction: null } }, host: { classAttribute: "x-progress" }, ngImport: i0, template: "@if (type() === 'line') {\n  <div class=\"x-progress-line\">\n    <div [ngClass]=\"_style()\" [style.width.%]=\"progress()\"></div>\n  </div>\n\n  @switch (_indicator()) {\n    @case (1) {\n      <xui-decagram color=\"success\" type=\"circle\" icon=\"check\"></xui-decagram>\n    }\n    @case (0) {\n      {{ progress() }}%\n    }\n    @case (-1) {\n      <xui-decagram color=\"error\" type=\"circle\" icon=\"close\"></xui-decagram>\n    }\n  }\n} @else if (type() === 'circle') {\n  <svg\n    [style.--progress]=\"progress()\"\n    width=\"100\"\n    height=\"100\"\n    viewBox=\"0 0 100 100\"\n    class=\"x-progress-circle\"\n    [ngClass]=\"_style()\"\n  >\n    <circle class=\"x-progress-circle-background\"></circle>\n    <circle class=\"x-progress-circle-foreground\"></circle>\n  </svg>\n}\n", dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "component", type: XuiDecagram, selector: "xui-decagram", inputs: ["iconSize", "icon", "type", "color"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiProgress, decorators: [{
            type: Component,
            args: [{ standalone: true, imports: [CommonModule, XuiDecagram], selector: 'xui-progress', changeDetection: ChangeDetectionStrategy.OnPush, host: {
                        class: 'x-progress'
                    }, template: "@if (type() === 'line') {\n  <div class=\"x-progress-line\">\n    <div [ngClass]=\"_style()\" [style.width.%]=\"progress()\"></div>\n  </div>\n\n  @switch (_indicator()) {\n    @case (1) {\n      <xui-decagram color=\"success\" type=\"circle\" icon=\"check\"></xui-decagram>\n    }\n    @case (0) {\n      {{ progress() }}%\n    }\n    @case (-1) {\n      <xui-decagram color=\"error\" type=\"circle\" icon=\"close\"></xui-decagram>\n    }\n  }\n} @else if (type() === 'circle') {\n  <svg\n    [style.--progress]=\"progress()\"\n    width=\"100\"\n    height=\"100\"\n    viewBox=\"0 0 100 100\"\n    class=\"x-progress-circle\"\n    [ngClass]=\"_style()\"\n  >\n    <circle class=\"x-progress-circle-background\"></circle>\n    <circle class=\"x-progress-circle-foreground\"></circle>\n  </svg>\n}\n" }]
        }] });

// This is needed to break the injection dependency between parent <-> child elements
const RADIO_GROUP_ACCESSOR = new InjectionToken('xui-radio-group');

class XuiRadio {
    constructor(_group) {
        this._group = _group;
        this.value = input(null);
        this.color = input();
        this.disabled = input(false, { transform: booleanAttribute });
        this._selected = computed(() => this._group.value() === this.value());
        this._disabled = computed(() => this.disabled() || this._group._disabled());
    }
    _click() {
        if (!this._disabled()) {
            this._group.value.set(this.value());
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiRadio, deps: [{ token: RADIO_GROUP_ACCESSOR }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "18.0.1", type: XuiRadio, selector: "xui-radio", inputs: { value: { classPropertyName: "value", publicName: "value", isSignal: true, isRequired: false, transformFunction: null }, color: { classPropertyName: "color", publicName: "color", isSignal: true, isRequired: false, transformFunction: null }, disabled: { classPropertyName: "disabled", publicName: "disabled", isSignal: true, isRequired: false, transformFunction: null } }, host: { listeners: { "click": "_click()" }, properties: { "class.x-radio-disabled": "_disabled()", "class": "\"x-radio-\" + color() ?? _group.color()" }, classAttribute: "x-radio" }, ngImport: i0, template: `<xui-icon [icon]="_selected() ? 'radio_button_checked' : 'radio_button_unchecked'"></xui-icon>
    <ng-content />`, isInline: true, dependencies: [{ kind: "component", type: XuiIcon, selector: "xui-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "icon"], exportAs: ["xuiIcon"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiRadio, decorators: [{
            type: Component,
            args: [{
                    selector: 'xui-radio',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: `<xui-icon [icon]="_selected() ? 'radio_button_checked' : 'radio_button_unchecked'"></xui-icon>
    <ng-content />`,
                    host: {
                        class: 'x-radio',
                        '[class.x-radio-disabled]': '_disabled()',
                        '[class]': `"x-radio-" + color() ?? _group.color()`,
                        '(click)': '_click()'
                    }
                }]
        }], ctorParameters: () => [{ type: undefined, decorators: [{
                    type: Inject,
                    args: [RADIO_GROUP_ACCESSOR]
                }] }] });

class XuiRadioGroup {
    constructor(control) {
        this.control = control;
        this._disabled = signal(false);
        this.value = model(null);
        this.color = input('none');
        this.items = input();
        this.disabled = input(undefined, {
            transform: booleanAttribute
        });
        if (this.control) {
            this.control.valueAccessor = this;
        }
        effect(() => this.disabled() && this._disabled.set(this.disabled()), { allowSignalWrites: true });
        effect(() => this.value() != undefined && this.onChange?.(this.value()));
    }
    writeValue(source) {
        this.value.set(source);
    }
    registerOnChange(onChange) {
        this.onChange = onChange;
    }
    registerOnTouched(onTouched) {
        this.onTouched = onTouched;
    }
    setDisabledState(isDisabled) {
        this._disabled.set(isDisabled);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiRadioGroup, deps: [{ token: i1$2.NgControl, optional: true, self: true }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "18.0.1", type: XuiRadioGroup, selector: "xui-radio-group", inputs: { value: { classPropertyName: "value", publicName: "value", isSignal: true, isRequired: false, transformFunction: null }, color: { classPropertyName: "color", publicName: "color", isSignal: true, isRequired: false, transformFunction: null }, items: { classPropertyName: "items", publicName: "items", isSignal: true, isRequired: false, transformFunction: null }, disabled: { classPropertyName: "disabled", publicName: "disabled", isSignal: true, isRequired: false, transformFunction: null } }, outputs: { value: "valueChange" }, host: { classAttribute: "x-radio-group" }, providers: [{ provide: RADIO_GROUP_ACCESSOR, useExisting: XuiRadioGroup }], ngImport: i0, template: `
    <ng-content select="xui-radio" />
    @for (item of items(); track item.value) {
      <xui-radio [value]="item.value">{{ item.label | translate }}</xui-radio>
    }
  `, isInline: true, dependencies: [{ kind: "component", type: XuiRadio, selector: "xui-radio", inputs: ["value", "color", "disabled"] }, { kind: "pipe", type: i1$4.TranslatePipe, name: "translate" }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiRadioGroup, decorators: [{
            type: Component,
            args: [{
                    selector: 'xui-radio-group',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    providers: [{ provide: RADIO_GROUP_ACCESSOR, useExisting: XuiRadioGroup }],
                    template: `
    <ng-content select="xui-radio" />
    @for (item of items(); track item.value) {
      <xui-radio [value]="item.value">{{ item.label | translate }}</xui-radio>
    }
  `,
                    host: {
                        class: 'x-radio-group'
                    }
                }]
        }], ctorParameters: () => [{ type: i1$2.NgControl, decorators: [{
                    type: Self
                }, {
                    type: Optional
                }] }] });

class XuiRadioModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiRadioModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.1", ngImport: i0, type: XuiRadioModule, declarations: [XuiRadio, XuiRadioGroup], imports: [CommonModule, XuiIcon, i1$4.TranslateModule, XuiFocusModule], exports: [XuiRadio, XuiRadioGroup] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiRadioModule, imports: [CommonModule, TranslateModule.forChild(), XuiFocusModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiRadioModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [XuiRadio, XuiRadioGroup],
                    imports: [CommonModule, XuiIcon, TranslateModule.forChild(), XuiFocusModule],
                    exports: [XuiRadio, XuiRadioGroup]
                }]
        }] });

const RADIO_LIST_ACCESSOR = new InjectionToken('xui-radio-list');

class XuiRadioOption {
    constructor(list) {
        this.list = list;
        this.value = input.required();
        this.color = input();
        this.disabled = input(false, { transform: booleanAttribute });
        this._isSelected = computed(() => this.value() == this.list.value());
        this._isFocused = computed(() => this.value() == this.list._focusedValue());
        this._isDisabled = computed(() => this.disabled() || this.list._disabled());
        this._icon = computed(() => (this._isSelected() ? 'radio_button_checked' : 'radio_button_unchecked'));
        this._hostClass = computed(() => (this.color() ? 'x-radio-option-' + this.color() : '') +
            ` x-radio-option-background-${this.list.color()} x-radio-option-${this.list.size()}`);
    }
    _click() {
        if (!this._isDisabled()) {
            this.list.value.set(this.value());
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiRadioOption, deps: [{ token: RADIO_LIST_ACCESSOR }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "18.0.1", type: XuiRadioOption, selector: "xui-radio-option", inputs: { value: { classPropertyName: "value", publicName: "value", isSignal: true, isRequired: true, transformFunction: null }, color: { classPropertyName: "color", publicName: "color", isSignal: true, isRequired: false, transformFunction: null }, disabled: { classPropertyName: "disabled", publicName: "disabled", isSignal: true, isRequired: false, transformFunction: null } }, host: { listeners: { "click": "_click()" }, properties: { "class": "_hostClass()", "class.x-radio-option-focus": "_isFocused()", "class.x-radio-option-active": "_isSelected()", "class.x-radio-option-disabled": "_isDisabled()" }, classAttribute: "x-radio-option" }, ngImport: i0, template: `<xui-icon [icon]="_icon()"></xui-icon>
    <div class="x-radio-option-content">
      <ng-content />

      <div class="x-radio-option-description">
        <ng-content select="[xuiDescription]" />
      </div>
    </div>`, isInline: true, dependencies: [{ kind: "component", type: XuiIcon, selector: "xui-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "icon"], exportAs: ["xuiIcon"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiRadioOption, decorators: [{
            type: Component,
            args: [{
                    selector: 'xui-radio-option',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: `<xui-icon [icon]="_icon()"></xui-icon>
    <div class="x-radio-option-content">
      <ng-content />

      <div class="x-radio-option-description">
        <ng-content select="[xuiDescription]" />
      </div>
    </div>`,
                    host: {
                        class: 'x-radio-option',
                        '[class]': '_hostClass()',
                        '[class.x-radio-option-focus]': '_isFocused()',
                        '[class.x-radio-option-active]': '_isSelected()',
                        '[class.x-radio-option-disabled]': '_isDisabled()',
                        '(click)': '_click()'
                    }
                }]
        }], ctorParameters: () => [{ type: undefined, decorators: [{
                    type: Inject,
                    args: [RADIO_LIST_ACCESSOR]
                }] }] });

class XuiRadioList {
    constructor(control) {
        this.control = control;
        this._mouseDown = false;
        this._disabled = signal(false);
        this._focusedValue = signal(null);
        this.value = model(null);
        this.size = input('md');
        this.color = input('light');
        this.disabled = input(undefined, {
            transform: booleanAttribute
        });
        if (this.control) {
            this.control.valueAccessor = this;
        }
        effect(() => this.disabled() && this._disabled.set(this.disabled()), { allowSignalWrites: true });
        effect(() => this.value() != undefined && this.onChange?.(this.value()));
    }
    writeValue(source) {
        this.value.set(source);
    }
    registerOnChange(onChange) {
        this.onChange = onChange;
    }
    registerOnTouched(onTouched) {
        this.onTouched = onTouched;
    }
    setDisabledState(isDisabled) {
        this._disabled.set(isDisabled);
    }
    _prev(event) {
        event.preventDefault();
        event.stopPropagation();
        this.select(true);
    }
    _next(event) {
        event.preventDefault();
        event.stopPropagation();
        this.select(false);
    }
    _focusIn() {
        if (!this._mouseDown) {
            if (this.value() == null) {
                this.select(false);
            }
            else {
                this._focusedValue.set(this.value());
            }
        }
    }
    _focusOut() {
        this._focusedValue.set(null);
        this.onTouched?.();
    }
    select(backwards) {
        if (this._disabled()) {
            return;
        }
        const options = this.optionsRef.toArray();
        let next = options.findIndex(x => x.value() == this.value());
        let iterations = options.length;
        do {
            next += backwards ? options.length - 1 : 1;
            next %= options.length;
            if (!iterations--) {
                throw 'No enabled options';
            }
        } while (options[next].disabled());
        this.value.set(options[next].value());
        this._focusedValue.set(this.value());
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiRadioList, deps: [{ token: i1$2.NgControl, optional: true, self: true }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "18.0.1", type: XuiRadioList, selector: "xui-radio-list", inputs: { value: { classPropertyName: "value", publicName: "value", isSignal: true, isRequired: false, transformFunction: null }, size: { classPropertyName: "size", publicName: "size", isSignal: true, isRequired: false, transformFunction: null }, color: { classPropertyName: "color", publicName: "color", isSignal: true, isRequired: false, transformFunction: null }, disabled: { classPropertyName: "disabled", publicName: "disabled", isSignal: true, isRequired: false, transformFunction: null } }, outputs: { value: "valueChange" }, host: { listeners: { "keydown.arrowup": "_prev($event)", "keydown.arrowdown": "_next($event)", "mousedown": "_mouseDown = true", "mouseup": "_mouseDown = false", "focusin": "_focusIn()", "focusout": "_focusOut()" }, properties: { "tabindex": "_disabled() ? -1 : 0" }, classAttribute: "x-radio-list" }, providers: [{ provide: RADIO_LIST_ACCESSOR, useExisting: XuiRadioList }], queries: [{ propertyName: "optionsRef", predicate: XuiRadioOption }], ngImport: i0, template: '<ng-content />', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiRadioList, decorators: [{
            type: Component,
            args: [{
                    selector: 'xui-radio-list',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content />',
                    providers: [{ provide: RADIO_LIST_ACCESSOR, useExisting: XuiRadioList }],
                    host: {
                        class: 'x-radio-list',
                        '[tabindex]': '_disabled() ? -1 : 0',
                        '(keydown.arrowup)': '_prev($event)',
                        '(keydown.arrowdown)': '_next($event)',
                        '(mousedown)': '_mouseDown = true',
                        '(mouseup)': '_mouseDown = false',
                        '(focusin)': '_focusIn()',
                        '(focusout)': '_focusOut()'
                    }
                }]
        }], ctorParameters: () => [{ type: i1$2.NgControl, decorators: [{
                    type: Self
                }, {
                    type: Optional
                }] }], propDecorators: { optionsRef: [{
                type: ContentChildren,
                args: [XuiRadioOption]
            }] } });

class XuiRadioListModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiRadioListModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.1", ngImport: i0, type: XuiRadioListModule, declarations: [XuiRadioList, XuiRadioOption], imports: [CommonModule, XuiIcon, XuiFocusModule], exports: [XuiRadioList, XuiRadioOption] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiRadioListModule, imports: [CommonModule, XuiFocusModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiRadioListModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [XuiRadioList, XuiRadioOption],
                    imports: [CommonModule, XuiIcon, XuiFocusModule],
                    exports: [XuiRadioList, XuiRadioOption]
                }]
        }] });

// This is needed to break the injection dependency between parent <-> child elements
const XUI_SELECT_ACCESSOR = new InjectionToken('xui-select');

class XuiOption {
    get viewValue() {
        return (this.contentRef.nativeElement.textContent || '').trim();
    }
    constructor(_select) {
        this._select = _select;
        this.value = input(null);
        this.disabled = input(false, { transform: booleanAttribute });
        this._isSelected = computed(() => this._select.value() == this.value());
    }
    ngAfterViewInit() {
        if (this._isSelected()) {
            this._select._viewValue.set(this.viewValue);
        }
    }
    _click() {
        if (!this.disabled()) {
            this._select.value.set(this.value());
            this._select._viewValue.set(this.viewValue);
            this._select.close();
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiOption, deps: [{ token: XUI_SELECT_ACCESSOR }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "18.0.1", type: XuiOption, selector: "xui-option", inputs: { value: { classPropertyName: "value", publicName: "value", isSignal: true, isRequired: false, transformFunction: null }, disabled: { classPropertyName: "disabled", publicName: "disabled", isSignal: true, isRequired: false, transformFunction: null } }, host: { listeners: { "click": "_click()" }, properties: { "class": "\"x-select-option-\" + _select.color", "class.x-select-option-selected": "_isSelected()", "class.x-select-option-disabled": "disabled()" }, classAttribute: "x-select-option" }, viewQueries: [{ propertyName: "contentRef", first: true, predicate: ["content"], descendants: true }], ngImport: i0, template: `<span #content><ng-content /></span>
    <xui-decagram *ngIf="_isSelected()" type="circle" icon="check"></xui-decagram>`, isInline: true, dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: XuiDecagram, selector: "xui-decagram", inputs: ["iconSize", "icon", "type", "color"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiOption, decorators: [{
            type: Component,
            args: [{
                    selector: 'xui-option',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: `<span #content><ng-content /></span>
    <xui-decagram *ngIf="_isSelected()" type="circle" icon="check"></xui-decagram>`,
                    host: {
                        class: 'x-select-option',
                        '[class]': '"x-select-option-" + _select.color',
                        '[class.x-select-option-selected]': '_isSelected()',
                        '[class.x-select-option-disabled]': 'disabled()',
                        '(click)': '_click()'
                    }
                }]
        }], ctorParameters: () => [{ type: undefined, decorators: [{
                    type: Inject,
                    args: [XUI_SELECT_ACCESSOR]
                }] }], propDecorators: { contentRef: [{
                type: ViewChild,
                args: ['content']
            }] } });

let XuiSelect = class XuiSelect {
    get _width() {
        return this.elementRef.nativeElement.offsetWidth;
    }
    constructor(elementRef, control) {
        this.elementRef = elementRef;
        this.control = control;
        this._viewValue = signal('');
        this._isOpened = signal(false);
        this._disabled = signal(false);
        this.value = model(null);
        this.placeholder = input();
        this.color = input('light');
        this.size = input('large');
        this.items = input();
        this.disabled = input(undefined, {
            transform: booleanAttribute
        });
        this._styles = computed(() => {
            const ret = {
                'x-select': true,
                'x-select-disabled': this._disabled()
            };
            ret[`x-select-${this.color()}`] = true;
            ret[`x-select-${this.size()}`] = true;
            return ret;
        });
        if (this.control) {
            this.control.valueAccessor = this;
        }
        effect(() => this.disabled() && this._disabled.set(this.disabled()), { allowSignalWrites: true });
        effect(() => this.value() != undefined && this.onChange?.(this.value()));
    }
    open() {
        this._isOpened.set(!this._disabled());
    }
    close() {
        this._isOpened.set(false);
    }
    writeValue(source) {
        this.value.set(source);
    }
    registerOnChange(onChange) {
        this.onChange = onChange;
    }
    registerOnTouched(onTouched) {
        this._onTouched = onTouched;
    }
    setDisabledState(isDisabled) {
        this._disabled.set(isDisabled);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiSelect, deps: [{ token: i0.ElementRef }, { token: i1$2.NgControl, optional: true, self: true }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "18.0.1", type: XuiSelect, selector: "xui-select", inputs: { value: { classPropertyName: "value", publicName: "value", isSignal: true, isRequired: false, transformFunction: null }, placeholder: { classPropertyName: "placeholder", publicName: "placeholder", isSignal: true, isRequired: false, transformFunction: null }, color: { classPropertyName: "color", publicName: "color", isSignal: true, isRequired: false, transformFunction: null }, size: { classPropertyName: "size", publicName: "size", isSignal: true, isRequired: false, transformFunction: null }, items: { classPropertyName: "items", publicName: "items", isSignal: true, isRequired: false, transformFunction: null }, disabled: { classPropertyName: "disabled", publicName: "disabled", isSignal: true, isRequired: false, transformFunction: null } }, outputs: { value: "valueChange" }, host: { listeners: { "focusout": "_onTouched?.()" } }, providers: [{ provide: XUI_SELECT_ACCESSOR, useExisting: XuiSelect }], ngImport: i0, template: "<div\n  [ngClass]=\"_styles()\"\n  [tabindex]=\"_disabled() ? -1 : 0\"\n  (click)=\"open()\"\n  cdkOverlayOrigin\n  #trigger=\"cdkOverlayOrigin\"\n  (keydown.enter)=\"_isOpened.set(true)\"\n  (keydown.space)=\"_isOpened.set(true)\"\n>\n  {{ !_viewValue() ? placeholder() ?? '&nbsp;' : _viewValue() }}\n  <xui-icon [icon]=\"_isOpened() ? 'keyboard_arrow_up' : 'keyboard_arrow_down'\"></xui-icon>\n</div>\n\n<ng-template\n  cdkConnectedOverlay\n  cdkConnectedOverlayHasBackdrop\n  [cdkConnectedOverlayLockPosition]=\"true\"\n  [cdkConnectedOverlayBackdropClass]=\"'cdk-overlay-transparent'\"\n  [cdkConnectedOverlayOrigin]=\"trigger\"\n  [cdkConnectedOverlayOpen]=\"_isOpened()\"\n  [cdkConnectedOverlayWidth]=\"_width\"\n  (backdropClick)=\"_isOpened.set(false)\"\n  (detach)=\"_isOpened.set(false)\"\n>\n  <div class=\"x-select-options\" [tabindex]=\"0\" [cdkTrapFocus]=\"_isOpened()\" [cdkTrapFocusAutoCapture]=\"true\">\n    @for (item of items(); track item.value) {\n      <xui-option [value]=\"item.value\">{{ item.label | translate }}</xui-option>\n    }\n    <ng-content select=\"xui-option\" />\n  </div>\n</ng-template>\n", dependencies: [{ kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i2$2.CdkTrapFocus, selector: "[cdkTrapFocus]", inputs: ["cdkTrapFocus", "cdkTrapFocusAutoCapture"], exportAs: ["cdkTrapFocus"] }, { kind: "directive", type: i1$3.CdkConnectedOverlay, selector: "[cdk-connected-overlay], [connected-overlay], [cdkConnectedOverlay]", inputs: ["cdkConnectedOverlayOrigin", "cdkConnectedOverlayPositions", "cdkConnectedOverlayPositionStrategy", "cdkConnectedOverlayOffsetX", "cdkConnectedOverlayOffsetY", "cdkConnectedOverlayWidth", "cdkConnectedOverlayHeight", "cdkConnectedOverlayMinWidth", "cdkConnectedOverlayMinHeight", "cdkConnectedOverlayBackdropClass", "cdkConnectedOverlayPanelClass", "cdkConnectedOverlayViewportMargin", "cdkConnectedOverlayScrollStrategy", "cdkConnectedOverlayOpen", "cdkConnectedOverlayDisableClose", "cdkConnectedOverlayTransformOriginOn", "cdkConnectedOverlayHasBackdrop", "cdkConnectedOverlayLockPosition", "cdkConnectedOverlayFlexibleDimensions", "cdkConnectedOverlayGrowAfterOpen", "cdkConnectedOverlayPush", "cdkConnectedOverlayDisposeOnNavigation"], outputs: ["backdropClick", "positionChange", "attach", "detach", "overlayKeydown", "overlayOutsideClick"], exportAs: ["cdkConnectedOverlay"] }, { kind: "directive", type: i1$3.CdkOverlayOrigin, selector: "[cdk-overlay-origin], [overlay-origin], [cdkOverlayOrigin]", exportAs: ["cdkOverlayOrigin"] }, { kind: "component", type: XuiIcon, selector: "xui-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "icon"], exportAs: ["xuiIcon"] }, { kind: "component", type: XuiOption, selector: "xui-option", inputs: ["value", "disabled"] }, { kind: "pipe", type: i1$4.TranslatePipe, name: "translate" }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
};
XuiSelect = __decorate([
    UntilDestroy(),
    __metadata("design:paramtypes", [ElementRef,
        NgControl])
], XuiSelect);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiSelect, decorators: [{
            type: Component,
            args: [{ selector: 'xui-select', changeDetection: ChangeDetectionStrategy.OnPush, providers: [{ provide: XUI_SELECT_ACCESSOR, useExisting: XuiSelect }], host: {
                        '(focusout)': '_onTouched?.()'
                    }, template: "<div\n  [ngClass]=\"_styles()\"\n  [tabindex]=\"_disabled() ? -1 : 0\"\n  (click)=\"open()\"\n  cdkOverlayOrigin\n  #trigger=\"cdkOverlayOrigin\"\n  (keydown.enter)=\"_isOpened.set(true)\"\n  (keydown.space)=\"_isOpened.set(true)\"\n>\n  {{ !_viewValue() ? placeholder() ?? '&nbsp;' : _viewValue() }}\n  <xui-icon [icon]=\"_isOpened() ? 'keyboard_arrow_up' : 'keyboard_arrow_down'\"></xui-icon>\n</div>\n\n<ng-template\n  cdkConnectedOverlay\n  cdkConnectedOverlayHasBackdrop\n  [cdkConnectedOverlayLockPosition]=\"true\"\n  [cdkConnectedOverlayBackdropClass]=\"'cdk-overlay-transparent'\"\n  [cdkConnectedOverlayOrigin]=\"trigger\"\n  [cdkConnectedOverlayOpen]=\"_isOpened()\"\n  [cdkConnectedOverlayWidth]=\"_width\"\n  (backdropClick)=\"_isOpened.set(false)\"\n  (detach)=\"_isOpened.set(false)\"\n>\n  <div class=\"x-select-options\" [tabindex]=\"0\" [cdkTrapFocus]=\"_isOpened()\" [cdkTrapFocusAutoCapture]=\"true\">\n    @for (item of items(); track item.value) {\n      <xui-option [value]=\"item.value\">{{ item.label | translate }}</xui-option>\n    }\n    <ng-content select=\"xui-option\" />\n  </div>\n</ng-template>\n" }]
        }], ctorParameters: () => [{ type: i0.ElementRef }, { type: i1$2.NgControl, decorators: [{
                    type: Self
                }, {
                    type: Optional
                }] }] });

class XuiSelectModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiSelectModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.1", ngImport: i0, type: XuiSelectModule, declarations: [XuiSelect, XuiOption], imports: [CommonModule,
            FormsModule,
            A11yModule,
            OverlayModule,
            XuiIcon,
            XuiDecagram, i1$4.TranslateModule, XuiFocusModule], exports: [XuiSelect, XuiOption] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiSelectModule, imports: [CommonModule,
            FormsModule,
            A11yModule,
            OverlayModule,
            XuiDecagram,
            TranslateModule.forChild(),
            XuiFocusModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiSelectModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule,
                        FormsModule,
                        A11yModule,
                        OverlayModule,
                        XuiIcon,
                        XuiDecagram,
                        TranslateModule.forChild(),
                        XuiFocusModule
                    ],
                    declarations: [XuiSelect, XuiOption],
                    exports: [XuiSelect, XuiOption]
                }]
        }] });

const bounce = animation(animate('300ms linear', keyframes([
    style({ transform: 'translate3d(-1px, 20px, 0)', offset: 0.1 }),
    style({ transform: 'translate3d(2px, -1px, 0)', offset: 0.2 }),
    style({ transform: 'translate3d(-20px, 2px, 0)', offset: 0.3 }),
    style({ transform: 'translate3d(4px, -2px, 0)', offset: 0.4 }),
    style({ transform: 'translate3d(-4px, -4px, 0)', offset: 0.5 }),
    style({ transform: 'translate3d(4px, 4px, 0)', offset: 0.6 }),
    style({ transform: 'translate3d(-4px, -4px, 0)', offset: 0.7 }),
    style({ transform: 'translate3d(2px, -2px, 0)', offset: 0.8 }),
    style({ transform: 'translate3d(-1px, -1px, 0)', offset: 0.9 })
])));
const fadeOutBottom = animation(animate('800ms ease-in-out', keyframes([
    style({ transform: 'translate3d(0, -50px, 0)', offset: 0.3 }),
    style({ transform: 'translate3d(0, -50px, 0)', offset: 0.5 }),
    style({ transform: 'translate3d(0, 150px, 0)', offset: 0.9 })
])));
const fadeInBottom = animation(animate('800ms ease-in-out', keyframes([
    style({ transform: 'translate3d(0, 150px, 0)', offset: 0 }),
    style({ transform: 'translate3d(0, -50px, 0)', offset: 0.3 }),
    style({ transform: 'translate3d(0, -50px, 0)', offset: 0.5 }),
    style({ transform: 'translate3d(0, 0, 0)', offset: 0.9 })
])));

const MAX_TIMEOUT = Math.pow(2, 31) - 1;
class SnackBarRef {
    constructor(containerInstance, overlayRef) {
        this.containerInstance = containerInstance;
        this.overlayRef = overlayRef;
        /** Subject for notifying the user that the snack bar has been dismissed. */
        this._afterDismissed = new Subject();
        /** Subject for notifying the user that the snack bar action was called. */
        this._onAction = new Subject();
        /** Whether the snack bar was dismissed using the action button. */
        this.dismissedByAction = false;
        containerInstance.onExit.subscribe(() => this.finishDismiss());
    }
    /** Dismisses the snack bar. */
    dismiss() {
        if (!this._afterDismissed.closed) {
            this.containerInstance.exit();
        }
        clearTimeout(this.durationTimeoutId);
    }
    /** Marks the snackbar action clicked. */
    dismissWithAction() {
        if (!this._onAction.closed) {
            this.dismissedByAction = true;
            this._onAction.next();
            this._onAction.complete();
            this.dismiss();
        }
        clearTimeout(this.durationTimeoutId);
    }
    /** Dismisses the snack bar after some duration */
    _dismissAfter(duration) {
        // Note that we need to cap the duration to the maximum value for setTimeout, because
        this.durationTimeoutId = setTimeout(() => this.dismiss(), Math.min(duration, MAX_TIMEOUT));
    }
    /** Gets an observable that is notified when the snack bar is finished closing. */
    afterDismissed() {
        return this._afterDismissed;
    }
    /** Gets an observable that is notified when the snack bar has opened and appeared. */
    afterOpened() {
        return this.containerInstance.onEnter;
    }
    /** Gets an observable that is notified when the snack bar action is called. */
    onAction() {
        return this._onAction;
    }
    /** Cleans up the DOM after closing. */
    finishDismiss() {
        this.overlayRef.dispose();
        if (!this._onAction.closed) {
            this._onAction.complete();
        }
        this._afterDismissed.next({ dismissedByAction: this.dismissedByAction });
        this._afterDismissed.complete();
        this.dismissedByAction = false;
    }
}

const XUI_SNACK_BAR_DATA = new InjectionToken('xui-snack-bar-data');

class SimpleSnackBar {
    constructor(snackBarRef, data) {
        this.snackBarRef = snackBarRef;
        this.data = data;
    }
    action() {
        this.snackBarRef.dismissWithAction();
    }
    get hasAction() {
        return !!this.data.action;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: SimpleSnackBar, deps: [{ token: SnackBarRef }, { token: XUI_SNACK_BAR_DATA }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "18.0.1", type: SimpleSnackBar, isStandalone: true, selector: "xui-simple-snack-bar", host: { classAttribute: "x-simple-snack-bar" }, exportAs: ["xuiSnackBar"], ngImport: i0, template: `<div>{{ data.message | translate }}</div>
    @if (hasAction) {
      <xui-button size="small" type="raised" color="success" (click)="action()">
        {{ data.action | translate }}
      </xui-button>
    }`, isInline: true, dependencies: [{ kind: "ngmodule", type: XuiButtonModule }, { kind: "component", type: XuiButton, selector: "xui-button", inputs: ["type", "size", "color", "shine", "disabled", "stateDelay", "onClick"], outputs: ["click"] }, { kind: "ngmodule", type: TranslateModule }, { kind: "pipe", type: i1$4.TranslatePipe, name: "translate" }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: SimpleSnackBar, decorators: [{
            type: Component,
            args: [{
                    selector: 'xui-simple-snack-bar',
                    exportAs: 'xuiSnackBar',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    standalone: true,
                    imports: [XuiButtonModule, TranslateModule],
                    template: `<div>{{ data.message | translate }}</div>
    @if (hasAction) {
      <xui-button size="small" type="raised" color="success" (click)="action()">
        {{ data.action | translate }}
      </xui-button>
    }`,
                    host: {
                        class: 'x-simple-snack-bar'
                    }
                }]
        }], ctorParameters: () => [{ type: SnackBarRef }, { type: undefined, decorators: [{
                    type: Inject,
                    args: [XUI_SNACK_BAR_DATA]
                }] }] });

/**
 * Animations used by the snack bar.
 * @docs-private
 */
const xuiSnackBarAnimations = {
    /** Animation that shows and hides a snack bar. */
    snackBarState: trigger('state', [
        transition('* => visible', useAnimation(fadeInBottom)),
        transition('* => void, * => hidden', useAnimation(fadeOutBottom))
    ])
};

let uniqueId = 0;
class SnackBarContainer extends BasePortalOutlet {
    constructor(snackBarConfig, platform, ngZone, changeDetectorRef, elementRef) {
        super();
        this.snackBarConfig = snackBarConfig;
        this.platform = platform;
        this.ngZone = ngZone;
        this.changeDetectorRef = changeDetectorRef;
        this.elementRef = elementRef;
        this.document = inject(DOCUMENT);
        this.trackedModals = new Set();
        /** The number of milliseconds to wait before announcing the snack bar's content. */
        this._announceDelay = 150;
        /** Subject for notifying that the snack bar has announced to screen readers. */
        this.onAnnounce = new Subject();
        /** Subject for notifying that the snack bar has exited from view. */
        this.onExit = new Subject();
        /** Subject for notifying that the snack bar has finished entering the view. */
        this.onEnter = new Subject();
        /** The state of the snack bar animations. */
        this._animationState = 'void';
        /** Whether the component has been destroyed. */
        this._destroyed = false;
        /** Unique ID of the aria-live element. */
        this.liveElementId = `x-snack-bar-container-live-${uniqueId++}`;
        this.attachDomPortal = (portal) => {
            this.assertNotAttached();
            this.portalOutlet.attachDomPortal(portal);
            this.afterPortalAttached();
        };
        // Use aria-live rather than a live role like 'alert' or 'status'
        // because NVDA and JAWS have show inconsistent behavior with live roles.
        if (snackBarConfig.politeness === 'assertive' && !snackBarConfig.announcementMessage) {
            this.live = 'assertive';
        }
        else if (snackBarConfig.politeness === 'off') {
            this.live = 'off';
        }
        else {
            this.live = 'polite';
        }
        // Only set role for Firefox. Set role based on aria-live because setting role="alert" implies
        // aria-live="assertive" which may cause issues if aria-live is set to "polite" above.
        if (this.platform.FIREFOX) {
            if (this.live === 'polite') {
                this.role = 'status';
            }
            if (this.live === 'assertive') {
                this.role = 'alert';
            }
        }
    }
    attachComponentPortal(portal) {
        this.assertNotAttached();
        const result = this.portalOutlet.attachComponentPortal(portal);
        this.afterPortalAttached();
        return result;
    }
    attachTemplatePortal(portal) {
        this.assertNotAttached();
        const result = this.portalOutlet.attachTemplatePortal(portal);
        this.afterPortalAttached();
        return result;
    }
    /** Handle end of animations, updating the state of the snackbar. */
    onAnimationEnd(event) {
        const { fromState, toState } = event;
        if ((toState === 'void' && fromState !== 'void') || toState === 'hidden') {
            this.completeExit();
        }
        if (toState === 'visible') {
            // Note: we shouldn't use `this` inside the zone callback,
            // because it can cause a memory leak.
            const onEnter = this.onEnter;
            this.ngZone.run(() => {
                onEnter.next();
                onEnter.complete();
            });
        }
    }
    /** Begin animation of snack bar entrance into view. */
    enter() {
        if (!this._destroyed) {
            this._animationState = 'visible';
            // _animationState lives in host bindings and `detectChanges` does not refresh host bindings,
            // so we have to call `markForCheck` to ensure the host view is refreshed eventually.
            this.changeDetectorRef.markForCheck();
            this.changeDetectorRef.detectChanges();
            this.screenReaderAnnounce();
        }
    }
    /** Begin animation of the snack bar exiting from view. */
    exit() {
        // It's common for snack bars to be opened by random outside calls like HTTP requests or
        // errors. Run inside the NgZone to ensure that it functions correctly.
        this.ngZone.run(() => {
            // Note: this one transitions to `hidden`, rather than `void`, in order to handle the case
            // where multiple snack bars are opened in quick succession (e.g. two consecutive calls to
            // `XuiSnackBar.open`).
            this._animationState = 'hidden';
            this.changeDetectorRef.markForCheck();
            // Mark this element with an 'exit' attribute to indicate that the snackbar has
            // been dismissed and will soon be removed from the DOM. This is used by the snackbar
            // test harness.
            // this.elementRef.nativeElement.setAttribute('xui-exit', '');
            // If the snack bar hasn't been announced by the time it exits it wouldn't have been open
            // long enough to visually read it either, so clear the timeout for announcing.
            clearTimeout(this._announceTimeoutId);
        });
        return this.onExit;
    }
    /** Makes sure the exit callbacks have been invoked when the element is destroyed. */
    ngOnDestroy() {
        this._destroyed = true;
        this.clearFromModals();
        this.completeExit();
    }
    /**
     * Removes the element in a microtask. Helps prevent errors where we end up
     * removing an element which is in the middle of an animation.
     */
    completeExit() {
        queueMicrotask(() => {
            this.onExit.next();
            this.onExit.complete();
        });
    }
    /**
     * Called after the portal contents have been attached. Can be
     * used to modify the DOM once it's guaranteed to be in place.
     */
    afterPortalAttached() {
        const element = this.elementRef.nativeElement;
        const panelClasses = this.snackBarConfig.panelClass;
        if (panelClasses) {
            if (Array.isArray(panelClasses)) {
                // Note that we can't use a spread here, because IE doesn't support multiple arguments.
                panelClasses.forEach(cssClass => element.classList.add(cssClass));
            }
            else {
                element.classList.add(panelClasses);
            }
        }
        this.exposeToModals();
        const label = this.label.nativeElement;
        const labelClass = 'x-snack-bar__label';
        label.classList.toggle(labelClass, !label.querySelector(`.${labelClass}`));
    }
    /**
     * Some browsers won't expose the accessibility node of the live element if there is an
     * `aria-modal` and the live element is outside of it. This method works around the issue by
     * pointing the `aria-owns` of all modals to the live element.
     */
    exposeToModals() {
        // `LiveAnnouncer` and any other usages.
        //
        // Note that the selector here is limited to CDK overlays at the moment in order to reduce the
        // section of the DOM we need to look through. This should cover all the cases we support, but
        // the selector can be expanded if it turns out to be too narrow.
        const id = this.liveElementId;
        const modals = this.document.querySelectorAll('body > .cdk-overlay-container [aria-modal="true"]');
        for (let i = 0; i < modals.length; i++) {
            const modal = modals[i];
            const ariaOwns = modal.getAttribute('aria-owns');
            this.trackedModals.add(modal);
            if (!ariaOwns) {
                modal.setAttribute('aria-owns', id);
            }
            else if (ariaOwns.indexOf(id) === -1) {
                modal.setAttribute('aria-owns', ariaOwns + ' ' + id);
            }
        }
    }
    /** Clears the references to the live element from any modals it was added to. */
    clearFromModals() {
        this.trackedModals.forEach(modal => {
            const ariaOwns = modal.getAttribute('aria-owns');
            if (ariaOwns) {
                const newValue = ariaOwns.replace(this.liveElementId, '').trim();
                if (newValue.length > 0) {
                    modal.setAttribute('aria-owns', newValue);
                }
                else {
                    modal.removeAttribute('aria-owns');
                }
            }
        });
        this.trackedModals.clear();
    }
    /**
     * Starts a timeout to move the snack bar content to the live region so screen readers will
     * announce it.
     */
    screenReaderAnnounce() {
        if (!this._announceTimeoutId) {
            this.ngZone.runOutsideAngular(() => {
                this._announceTimeoutId = setTimeout(() => {
                    const inertElement = this.elementRef.nativeElement.querySelector('[aria-hidden]');
                    const liveElement = this.elementRef.nativeElement.querySelector('[aria-live]');
                    if (inertElement && liveElement) {
                        // If an element in the snack bar content is focused before being moved
                        // track it and restore focus after moving to the live region.
                        let focusedElement = null;
                        if (this.platform.isBrowser &&
                            document.activeElement instanceof HTMLElement &&
                            inertElement.contains(document.activeElement)) {
                            focusedElement = document.activeElement;
                        }
                        inertElement.removeAttribute('aria-hidden');
                        liveElement.appendChild(inertElement);
                        focusedElement?.focus();
                        this.onAnnounce.next();
                        this.onAnnounce.complete();
                    }
                }, this._announceDelay);
            });
        }
    }
    /** Asserts that no content is already attached to the container. */
    assertNotAttached() {
        if (this.portalOutlet.hasAttached()) {
            throw Error('Attempting to attach snack bar content after content is already attached');
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: SnackBarContainer, deps: [{ token: SnackBarConfig }, { token: i2$4.Platform }, { token: i0.NgZone }, { token: i0.ChangeDetectorRef }, { token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.1", type: SnackBarContainer, isStandalone: true, selector: "xui-snack-bar-container", host: { listeners: { "@state.done": "onAnimationEnd($event)" }, properties: { "@state": "_animationState" }, classAttribute: "x-snack-bar" }, viewQueries: [{ propertyName: "label", first: true, predicate: ["label"], descendants: true, static: true }, { propertyName: "portalOutlet", first: true, predicate: CdkPortalOutlet, descendants: true, static: true }], usesInheritance: true, ngImport: i0, template: "<div class=\"x-snack-bar__surface\">\n  <!--\n    This outer label wrapper will have the class `x-snackbar__label` applied if\n    the attached template/component does not contain it.\n  -->\n  <div class=\"x-snack-bar-label\" #label>\n    <!-- Initially holds the snack bar content, will be empty after announcing to screen readers. -->\n    <div aria-hidden=\"true\">\n      <ng-template cdkPortalOutlet />\n    </div>\n\n    <!-- Will receive the snack bar content from the non-live div, move will happen a short delay after opening -->\n    <div [attr.aria-live]=\"live\" [attr.role]=\"role\" [attr.id]=\"liveElementId\"></div>\n  </div>\n</div>\n", dependencies: [{ kind: "directive", type: CdkPortalOutlet, selector: "[cdkPortalOutlet]", inputs: ["cdkPortalOutlet"], outputs: ["attached"], exportAs: ["cdkPortalOutlet"] }], animations: [xuiSnackBarAnimations.snackBarState], changeDetection: i0.ChangeDetectionStrategy.Default }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: SnackBarContainer, decorators: [{
            type: Component,
            args: [{ selector: 'xui-snack-bar-container', standalone: true, imports: [CdkPortalOutlet], changeDetection: ChangeDetectionStrategy.Default, animations: [xuiSnackBarAnimations.snackBarState], host: {
                        class: 'x-snack-bar',
                        '[@state]': '_animationState',
                        '(@state.done)': 'onAnimationEnd($event)'
                    }, template: "<div class=\"x-snack-bar__surface\">\n  <!--\n    This outer label wrapper will have the class `x-snackbar__label` applied if\n    the attached template/component does not contain it.\n  -->\n  <div class=\"x-snack-bar-label\" #label>\n    <!-- Initially holds the snack bar content, will be empty after announcing to screen readers. -->\n    <div aria-hidden=\"true\">\n      <ng-template cdkPortalOutlet />\n    </div>\n\n    <!-- Will receive the snack bar content from the non-live div, move will happen a short delay after opening -->\n    <div [attr.aria-live]=\"live\" [attr.role]=\"role\" [attr.id]=\"liveElementId\"></div>\n  </div>\n</div>\n" }]
        }], ctorParameters: () => [{ type: SnackBarConfig }, { type: i2$4.Platform }, { type: i0.NgZone }, { type: i0.ChangeDetectorRef }, { type: i0.ElementRef }], propDecorators: { label: [{
                type: ViewChild,
                args: ['label', { static: true }]
            }], portalOutlet: [{
                type: ViewChild,
                args: [CdkPortalOutlet, { static: true }]
            }] } });

class XuiSnackBar {
    /** Reference to the currently opened snackbar at *any* level. */
    get openedSnackBarRef() {
        const parent = this.parentSnackBar;
        return parent ? parent.openedSnackBarRef : this.snackBarRefAtThisLevel;
    }
    set openedSnackBarRef(value) {
        if (this.parentSnackBar) {
            this.parentSnackBar.openedSnackBarRef = value;
        }
        else {
            this.snackBarRefAtThisLevel = value;
        }
    }
    constructor(overlay, live, injector, breakpointObserver, parentSnackBar
    // @Inject(XUI_SNACK_BAR_DEFAULT_OPTIONS) defaultConfig: XuiSnackBarConfig
    ) {
        this.overlay = overlay;
        this.live = live;
        this.injector = injector;
        this.breakpointObserver = breakpointObserver;
        this.parentSnackBar = parentSnackBar;
        /**
         * Reference to the current snack bar in the view *at this level* (in the Angular injector tree).
         * If there is a parent snack-bar service, all operations should delegate to that parent
         * via `openedSnackBarRef`.
         */
        this.snackBarRefAtThisLevel = null;
        /** The component that should be rendered as the snack bar's simple component. */
        this.simpleSnackBarComponent = SimpleSnackBar;
        /** The container component that attaches the provided template or component. */
        this.snackBarContainerComponent = SnackBarContainer;
        /** The CSS class to apply for handset mode. */
        this.handsetCssClass = 'x-snack-bar-handset';
    }
    /**
     * Creates and dispatches a snack bar with a custom component for the content, removing any
     * currently opened snack bars.
     *
     * @param component Component to be instantiated.
     * @param config Extra configuration for the snack bar.
     */
    openFromComponent(component, config) {
        return this.attach(component, config);
    }
    /**
     * Creates and dispatches a snack bar with a custom template for the content, removing any
     * currently opened snack bars.
     *
     * @param template Template to be instantiated.
     * @param config Extra configuration for the snack bar.
     */
    openFromTemplate(template, config) {
        return this.attach(template, config);
    }
    open(message, action, config) {
        // TODO
        // const _config = {...this._defaultConfig, ...config};
        const _config = { ...config };
        _config.data = { message, action };
        // Since the snack bar has `role="alert"`, we don't
        // want to announce the same message twice.
        if (_config.announcementMessage === message) {
            _config.announcementMessage = undefined;
        }
        return this.openFromComponent(this.simpleSnackBarComponent, _config);
    }
    /**
     * Dismisses the currently-visible snack bar.
     */
    dismiss() {
        if (this.openedSnackBarRef) {
            this.openedSnackBarRef.dismiss();
        }
    }
    ngOnDestroy() {
        // Only dismiss the snack bar at the current level on destroy.
        if (this.snackBarRefAtThisLevel) {
            this.snackBarRefAtThisLevel.dismiss();
        }
    }
    /**
     * Attaches the snack bar container component to the overlay.
     */
    attachSnackBarContainer(overlayRef, config) {
        const userInjector = config && config.viewContainerRef && config.viewContainerRef.injector;
        const injector = Injector.create({
            parent: userInjector || this.injector,
            providers: [{ provide: SnackBarConfig, useValue: config }]
        });
        const containerPortal = new ComponentPortal(this.snackBarContainerComponent, config.viewContainerRef, injector);
        const containerRef = overlayRef.attach(containerPortal);
        // TODO: check if this was already provided by Injector
        // containerRef.instance.snackBarConfig = config;
        return containerRef.instance;
    }
    /**
     * Places a new component or a template as the content of the snack bar container.
     */
    attach(content, userConfig) {
        // TODO
        // const config = {...new SnackBarConfig(), ...this.defaultConfig, ...userConfig};
        const config = { ...new SnackBarConfig(), ...userConfig };
        const overlayRef = this.createOverlay(config);
        const container = this.attachSnackBarContainer(overlayRef, config);
        const snackBarRef = new SnackBarRef(container, overlayRef);
        if (content instanceof TemplateRef) {
            const portal = new TemplatePortal(content, null, {
                $implicit: config.data,
                snackBarRef
            });
            snackBarRef.instance = container.attachTemplatePortal(portal);
        }
        else {
            const injector = this.createInjector(config, snackBarRef);
            const portal = new ComponentPortal(content, undefined, injector);
            const contentRef = container.attachComponentPortal(portal);
            // We can't pass this via the injector, because the injector is created earlier.
            snackBarRef.instance = contentRef.instance;
        }
        // Subscribe to the breakpoint observer and attach the mat-snack-bar-handset class as
        // appropriate. This class is applied to the overlay element because the overlay must expand to
        // fill the width with the screen for full width snackbars.
        this.breakpointObserver
            .observe(Breakpoints.HandsetPortrait)
            .pipe(takeUntil(overlayRef.detachments()))
            .subscribe(state => {
            overlayRef.overlayElement.classList.toggle(this.handsetCssClass, state.matches);
        });
        if (config.announcementMessage) {
            // Wait until the snack bar contents have been announced then deliver this message.
            container.onAnnounce.subscribe(() => {
                this.live.announce(config.announcementMessage, config.politeness);
            });
        }
        this.animateSnackBar(snackBarRef, config);
        this.openedSnackBarRef = snackBarRef;
        return this.openedSnackBarRef;
    }
    /** Animates the old snack bar out and the new one in. */
    animateSnackBar(snackBarRef, config) {
        // When the snackbar is dismissed, clear the reference to it.
        snackBarRef.afterDismissed().subscribe(() => {
            // Clear the snackbar ref if it hasn't already been replaced by a newer snackbar.
            if (this.openedSnackBarRef == snackBarRef) {
                this.openedSnackBarRef = null;
            }
            if (config.announcementMessage) {
                this.live.clear();
            }
        });
        if (this.openedSnackBarRef) {
            // If a snack bar is already in view, dismiss it and enter the
            // new snack bar after exit animation is complete.
            this.openedSnackBarRef.afterDismissed().subscribe(() => {
                snackBarRef.containerInstance.enter();
            });
            this.openedSnackBarRef.dismiss();
        }
        else {
            // If no snack bar is in view, enter the new snack bar.
            snackBarRef.containerInstance.enter();
        }
        // If a dismiss timeout is provided, set up dismiss based on after the snackbar is opened.
        if (config.duration && config.duration > 0) {
            snackBarRef.afterOpened().subscribe(() => snackBarRef._dismissAfter(config.duration));
        }
    }
    /**
     * Creates a new overlay and places it in the correct location.
     * @param config The user-specified snack bar config.
     */
    createOverlay(config) {
        const overlayConfig = new OverlayConfig();
        overlayConfig.direction = config.direction;
        const positionStrategy = this.overlay.position().global();
        // Set horizontal position.
        const isRtl = config.direction === 'rtl';
        const isLeft = config.horizontalPosition === 'left' ||
            (config.horizontalPosition === 'start' && !isRtl) ||
            (config.horizontalPosition === 'end' && isRtl);
        const isRight = !isLeft && config.horizontalPosition !== 'center';
        if (isLeft) {
            positionStrategy.left('0');
        }
        else if (isRight) {
            positionStrategy.right('0');
        }
        else {
            positionStrategy.centerHorizontally();
        }
        // Set horizontal position.
        if (config.verticalPosition === 'top') {
            positionStrategy.top('0');
        }
        else {
            positionStrategy.bottom('0');
        }
        overlayConfig.positionStrategy = positionStrategy;
        return this.overlay.create(overlayConfig);
    }
    /**
     * Creates an injector to be used inside a snack bar component.
     * @param config Config that was used to create the snack bar.
     * @param snackBarRef Reference to the snack bar.
     */
    createInjector(config, snackBarRef) {
        const userInjector = config && config.viewContainerRef && config.viewContainerRef.injector;
        return Injector.create({
            parent: userInjector || this.injector,
            providers: [
                { provide: SnackBarRef, useValue: snackBarRef },
                { provide: XUI_SNACK_BAR_DATA, useValue: config.data }
            ]
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiSnackBar, deps: [{ token: i1$3.Overlay }, { token: i2$2.LiveAnnouncer }, { token: i0.Injector }, { token: i3.BreakpointObserver }, { token: XuiSnackBar, optional: true, skipSelf: true }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiSnackBar, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiSnackBar, decorators: [{
            type: Injectable,
            args: [{ providedIn: 'root' }]
        }], ctorParameters: () => [{ type: i1$3.Overlay }, { type: i2$2.LiveAnnouncer }, { type: i0.Injector }, { type: i3.BreakpointObserver }, { type: XuiSnackBar, decorators: [{
                    type: Optional
                }, {
                    type: SkipSelf
                }] }] });

class XuiSnackbarModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiSnackbarModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.1", ngImport: i0, type: XuiSnackbarModule, imports: [CommonModule,
            XuiButtonModule,
            OverlayModule,
            PortalModule,
            SimpleSnackBar, i1$4.TranslateModule, XuiFocusModule] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiSnackbarModule, providers: [XuiSnackBar], imports: [CommonModule,
            XuiButtonModule,
            OverlayModule,
            PortalModule,
            SimpleSnackBar,
            TranslateModule.forChild(),
            XuiFocusModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiSnackbarModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule,
                        XuiButtonModule,
                        OverlayModule,
                        PortalModule,
                        SimpleSnackBar,
                        TranslateModule.forChild(),
                        XuiFocusModule
                    ],
                    providers: [XuiSnackBar]
                }]
        }] });

class SaveResetSnackbar {
    constructor(data) {
        this.data = data;
        this._doneAnimating = new Subject();
        this._animation = signal('open');
        this.save = () => this.data.save();
        this.reset = () => this.data.reset();
    }
    async close() {
        this._animation.set('close');
        return await lastValueFrom(this._doneAnimating.asObservable());
    }
    async alert() {
        this._animation.set('alert');
        await delay(1000);
        this._animation.set('open');
    }
    _animationDone(event) {
        if (event.toState === 'close') {
            this._doneAnimating.next(undefined);
            this._doneAnimating.complete();
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: SaveResetSnackbar, deps: [{ token: XUI_SNACK_BAR_DATA }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.1", type: SaveResetSnackbar, selector: "xui-settings-snackbar", host: { listeners: { "@fade.done": "_animationDone($event)" }, properties: { "@fade": "_animation()" }, classAttribute: "x-settings-snackbar" }, ngImport: i0, template: `
    {{ 'xui.settings.save_changes_text' | translate }}
    <div>
      <xui-button size="small" color="minimal" [onClick]="reset">{{ 'xui.settings.reset' | translate }}</xui-button>
      <xui-button size="small" color="success" type="raised" [onClick]="save">
        {{ 'xui.settings.save' | translate }}
      </xui-button>
    </div>
  `, isInline: true, dependencies: [{ kind: "component", type: XuiButton, selector: "xui-button", inputs: ["type", "size", "color", "shine", "disabled", "stateDelay", "onClick"], outputs: ["click"] }, { kind: "pipe", type: i1$4.TranslatePipe, name: "translate" }], animations: [
            trigger('fade', [
                state('close', style({
                    display: 'none'
                })),
                state('alert', style({
                    backgroundColor: 'var(--color-error-darker)',
                    transform: 'scale(1.1)'
                })),
                transition('open => alert', animate(200)),
                transition('alert => open', animate(200)),
                transition('open => close', useAnimation(fadeOutBottom)),
                transition('void => open', useAnimation(fadeInBottom))
            ])
        ], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: SaveResetSnackbar, decorators: [{
            type: Component,
            args: [{
                    selector: 'xui-settings-snackbar',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: `
    {{ 'xui.settings.save_changes_text' | translate }}
    <div>
      <xui-button size="small" color="minimal" [onClick]="reset">{{ 'xui.settings.reset' | translate }}</xui-button>
      <xui-button size="small" color="success" type="raised" [onClick]="save">
        {{ 'xui.settings.save' | translate }}
      </xui-button>
    </div>
  `,
                    animations: [
                        trigger('fade', [
                            state('close', style({
                                display: 'none'
                            })),
                            state('alert', style({
                                backgroundColor: 'var(--color-error-darker)',
                                transform: 'scale(1.1)'
                            })),
                            transition('open => alert', animate(200)),
                            transition('alert => open', animate(200)),
                            transition('open => close', useAnimation(fadeOutBottom)),
                            transition('void => open', useAnimation(fadeInBottom))
                        ])
                    ],
                    host: {
                        class: 'x-settings-snackbar',
                        '[@fade]': '_animation()',
                        '(@fade.done)': '_animationDone($event)'
                    }
                }]
        }], ctorParameters: () => [{ type: undefined, decorators: [{
                    type: Inject,
                    args: [XUI_SNACK_BAR_DATA]
                }] }] });

class XuiSettings {
    constructor(snackBar) {
        this.snackBar = snackBar;
        this.canExit = true;
        this._animationState = false;
        this._mouseDown = false;
        this._menuFocused = false;
        this._focusedItem = signal(null);
        this._defaultPage = signal(1);
        this._isOpened = signal(false);
        this._openedAnimation = signal('closed');
        this.items = input();
        this.afterClosed = new EventEmitter();
        this.stateChanged = (canExit) => {
            this.canExit = canExit;
            if (!canExit) {
                if (!this.snackbarRef) {
                    this.snackbarRef = this.snackBar.openFromComponent(SaveResetSnackbar, {
                        panelClass: 'x-settings-snackbar-panel',
                        duration: undefined,
                        data: {
                            save: async () => {
                                try {
                                    await this.instance?.save();
                                    await this.hideSnackbar();
                                }
                                catch (e) {
                                    // TODO: show error snackbar
                                }
                            },
                            reset: async () => {
                                await this.instance?.reset();
                                await this.hideSnackbar();
                            }
                        }
                    });
                }
            }
            else {
                this.hideSnackbar();
            }
        };
    }
    open(page = 1) {
        this._defaultPage.set(page);
        this._isOpened.set(true);
        this._openedAnimation.set('opened');
        this._navigate(this._defaultPage());
    }
    async close() {
        if (!this.canExit) {
            this._animationState = true;
            this.snackbarRef?.instance.alert();
            return;
        }
        this._openedAnimation.set('closed');
        await delay(100);
        this._isOpened.set(false);
        this.afterClosed.emit();
    }
    attached(ref) {
        this.instance = ref.instance;
        this.instance.stateChanged = this.stateChanged;
    }
    _navigate(idx) {
        if (this.instance) {
            if (!this.canExit) {
                return;
            }
        }
        const item = this.items()?.[idx];
        if (item) {
            this._defaultPage.set(idx);
            this._focusedItem.set(idx);
            if (item.action) {
                item.action();
            }
            else if (item.component) {
                this._portal = new ComponentPortal(item.component);
            }
        }
    }
    _focusPrev() {
        let cur = this._focusedItem() ?? this.items()?.length ?? 0;
        do {
            cur--;
            if (cur < 0) {
                cur = (this.items()?.length ?? 1) - 1;
            }
        } while (this.items()?.[cur].type !== 'item');
        this._focusedItem.set(cur);
    }
    _focusNext() {
        let cur = this._focusedItem() ?? this.items()?.length ?? 0;
        do {
            cur++;
            if (cur >= (this.items()?.length ?? 0)) {
                cur = 0;
            }
        } while (this.items()?.[cur].type !== 'item');
        this._focusedItem.set(cur);
    }
    async hideSnackbar() {
        await this.snackbarRef?.instance.close();
        this.snackbarRef?.dismiss();
        this.snackbarRef = undefined;
        this.canExit = true;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiSettings, deps: [{ token: XuiSnackBar }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "18.0.1", type: XuiSettings, selector: "xui-settings", inputs: { items: { classPropertyName: "items", publicName: "items", isSignal: true, isRequired: false, transformFunction: null } }, outputs: { afterClosed: "afterClosed" }, host: { listeners: { "document:keydown.escape": "close()" } }, ngImport: i0, template: "<dialog class=\"x-settings-dialog\" [open]=\"_isOpened()\" cdkTrapFocus cdkTrapFocusAutoCapture>\n  <div\n    class=\"x-settings\"\n    [@open]=\"_openedAnimation()\"\n    [@bounce]=\"_animationState\"\n    (@bounce.done)=\"_animationState = false\"\n  >\n    <div class=\"x-settings-menu\">\n      <nav\n        tabindex=\"0\"\n        (keydown.enter)=\"_navigate(_focusedItem() ?? 0)\"\n        (keydown.space)=\"_navigate(_focusedItem() ?? 0)\"\n        (keydown.arrowDown)=\"_focusNext()\"\n        (keydown.arrowUp)=\"_focusPrev()\"\n        (mousedown)=\"_mouseDown = true\"\n        (mouseup)=\"_mouseDown = false\"\n        (focusin)=\"_menuFocused = !_mouseDown\"\n        (focusout)=\"_menuFocused = false\"\n      >\n        @for (item of items(); track item; let i = $index) {\n          <div\n            [class.x-settings-menu-item]=\"item.type === 'item'\"\n            [class.x-settings-menu-item-active]=\"i === _defaultPage()\"\n            [class.x-settings-menu-item-focus]=\"i === _focusedItem() && _menuFocused\"\n            [class.x-settings-menu-category]=\"item.type === 'category'\"\n            [class.x-settings-menu-divider]=\"item.type === 'divider'\"\n            [class.x-settings-menu-red]=\"item.critical\"\n            (click)=\"_navigate(i); _menuFocused = false\"\n          >\n            {{ item.name ? (item.name | translate) : '' }}\n          </div>\n        }\n      </nav>\n    </div>\n    <div class=\"x-settings-right\">\n      <div class=\"x-settings-content\">\n        <ng-template [cdkPortalOutlet]=\"_portal\" (attached)=\"attached($event)\" />\n      </div>\n\n      <div class=\"x-settings-close-anchor\">\n        <div class=\"x-settings-close\" (click)=\"close()\">\n          <xui-icon tabindex=\"0\" (keydown.space)=\"close()\" (keydown.enter)=\"close()\" icon=\"cancel\"></xui-icon>\n          ESC\n        </div>\n      </div>\n    </div>\n  </div>\n</dialog>\n", dependencies: [{ kind: "component", type: XuiIcon, selector: "xui-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "icon"], exportAs: ["xuiIcon"] }, { kind: "directive", type: i2$1.CdkPortalOutlet, selector: "[cdkPortalOutlet]", inputs: ["cdkPortalOutlet"], outputs: ["attached"], exportAs: ["cdkPortalOutlet"] }, { kind: "directive", type: i2$2.CdkTrapFocus, selector: "[cdkTrapFocus]", inputs: ["cdkTrapFocus", "cdkTrapFocusAutoCapture"], exportAs: ["cdkTrapFocus"] }, { kind: "pipe", type: i1$4.TranslatePipe, name: "translate" }], animations: [
            trigger('bounce', [transition('* => *', useAnimation(bounce))]),
            trigger('open', [
                state('closed', style({
                    opacity: 0,
                    transform: 'scale(1.05)'
                })),
                state('opened', style({
                    opacity: 1,
                    transform: 'scale(1)'
                })),
                transition('* => *', animate(100))
            ])
        ], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiSettings, decorators: [{
            type: Component,
            args: [{ selector: 'xui-settings', changeDetection: ChangeDetectionStrategy.OnPush, animations: [
                        trigger('bounce', [transition('* => *', useAnimation(bounce))]),
                        trigger('open', [
                            state('closed', style({
                                opacity: 0,
                                transform: 'scale(1.05)'
                            })),
                            state('opened', style({
                                opacity: 1,
                                transform: 'scale(1)'
                            })),
                            transition('* => *', animate(100))
                        ])
                    ], host: {
                        '(document:keydown.escape)': 'close()'
                    }, template: "<dialog class=\"x-settings-dialog\" [open]=\"_isOpened()\" cdkTrapFocus cdkTrapFocusAutoCapture>\n  <div\n    class=\"x-settings\"\n    [@open]=\"_openedAnimation()\"\n    [@bounce]=\"_animationState\"\n    (@bounce.done)=\"_animationState = false\"\n  >\n    <div class=\"x-settings-menu\">\n      <nav\n        tabindex=\"0\"\n        (keydown.enter)=\"_navigate(_focusedItem() ?? 0)\"\n        (keydown.space)=\"_navigate(_focusedItem() ?? 0)\"\n        (keydown.arrowDown)=\"_focusNext()\"\n        (keydown.arrowUp)=\"_focusPrev()\"\n        (mousedown)=\"_mouseDown = true\"\n        (mouseup)=\"_mouseDown = false\"\n        (focusin)=\"_menuFocused = !_mouseDown\"\n        (focusout)=\"_menuFocused = false\"\n      >\n        @for (item of items(); track item; let i = $index) {\n          <div\n            [class.x-settings-menu-item]=\"item.type === 'item'\"\n            [class.x-settings-menu-item-active]=\"i === _defaultPage()\"\n            [class.x-settings-menu-item-focus]=\"i === _focusedItem() && _menuFocused\"\n            [class.x-settings-menu-category]=\"item.type === 'category'\"\n            [class.x-settings-menu-divider]=\"item.type === 'divider'\"\n            [class.x-settings-menu-red]=\"item.critical\"\n            (click)=\"_navigate(i); _menuFocused = false\"\n          >\n            {{ item.name ? (item.name | translate) : '' }}\n          </div>\n        }\n      </nav>\n    </div>\n    <div class=\"x-settings-right\">\n      <div class=\"x-settings-content\">\n        <ng-template [cdkPortalOutlet]=\"_portal\" (attached)=\"attached($event)\" />\n      </div>\n\n      <div class=\"x-settings-close-anchor\">\n        <div class=\"x-settings-close\" (click)=\"close()\">\n          <xui-icon tabindex=\"0\" (keydown.space)=\"close()\" (keydown.enter)=\"close()\" icon=\"cancel\"></xui-icon>\n          ESC\n        </div>\n      </div>\n    </div>\n  </div>\n</dialog>\n" }]
        }], ctorParameters: () => [{ type: XuiSnackBar }], propDecorators: { afterClosed: [{
                type: Output
            }] } });

class XuiSettingsModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiSettingsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.1", ngImport: i0, type: XuiSettingsModule, declarations: [XuiSettings, SaveResetSnackbar], imports: [CommonModule,
            XuiIcon,
            XuiButtonModule,
            PortalModule,
            A11yModule, i1$4.TranslateModule, XuiFocusModule], exports: [XuiSettings] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiSettingsModule, imports: [CommonModule,
            XuiButtonModule,
            PortalModule,
            A11yModule,
            TranslateModule.forChild(),
            XuiFocusModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiSettingsModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [XuiSettings, SaveResetSnackbar],
                    imports: [
                        CommonModule,
                        XuiIcon,
                        XuiButtonModule,
                        PortalModule,
                        A11yModule,
                        TranslateModule.forChild(),
                        XuiFocusModule
                    ],
                    exports: [XuiSettings]
                }]
        }] });

class Tooltip {
    constructor() {
        this.message = input.required();
        this.position = input();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: Tooltip, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "18.0.1", type: Tooltip, selector: "xui-tooltip", inputs: { message: { classPropertyName: "message", publicName: "message", isSignal: true, isRequired: true, transformFunction: null }, position: { classPropertyName: "position", publicName: "position", isSignal: true, isRequired: false, transformFunction: null } }, host: { attributes: { "aria-hidden": "true" }, properties: { "class": "\"x-tooltip-\" + position()" }, classAttribute: "x-tooltip" }, ngImport: i0, template: '<div>{{ message() }}</div>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: Tooltip, decorators: [{
            type: Component,
            args: [{
                    selector: 'xui-tooltip',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<div>{{ message() }}</div>',
                    host: {
                        class: 'x-tooltip',
                        '[class]': '"x-tooltip-" + position()',
                        'aria-hidden': 'true'
                    }
                }]
        }] });

class XuiTooltip {
    constructor(configService, elementRef, overlay, translate) {
        this.configService = configService;
        this.elementRef = elementRef;
        this.overlay = overlay;
        this.translate = translate;
        this._moduleName = TOOLTIP_MODULE;
        this.message = input.required({ alias: 'xuiTooltip' });
        this.position = input('right', { alias: 'xuiTooltipPosition' });
        this.disabled = input(false, { transform: booleanAttribute, alias: 'xuiTooltipDisabled' });
        this._overlayRef = overlay.create();
        this.portal = new ComponentPortal(Tooltip);
    }
    show() {
        if (this.disabled()) {
            return;
        }
        if (!this._overlayRef.hasAttached()) {
            this._overlayRef.updatePositionStrategy(this.calculatePositionStrategy(this.elementRef));
            const ref = this._overlayRef.attach(this.portal);
            ref.setInput('message', this.translate.instant(this.message()));
            ref.setInput('position', this.position());
        }
    }
    calculatePositionStrategy(anchor) {
        return this.overlay
            .position()
            .flexibleConnectedTo(anchor?.elementRef ?? anchor)
            .withPositions([this.getPositionStrategy()])
            .withPush(false);
    }
    getPositionStrategy() {
        switch (this.position()) {
            case 'right':
                return new ConnectionPositionPair({ originX: 'end', originY: 'center' }, { overlayX: 'start', overlayY: 'center' });
            case 'left':
                return new ConnectionPositionPair({ originX: 'start', originY: 'center' }, { overlayX: 'end', overlayY: 'center' });
            case 'top':
                return new ConnectionPositionPair({ originX: 'center', originY: 'top' }, { overlayX: 'center', overlayY: 'bottom' });
            case 'bottom':
                return new ConnectionPositionPair({ originX: 'center', originY: 'bottom' }, { overlayX: 'center', overlayY: 'top' });
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiTooltip, deps: [{ token: XuiConfigService }, { token: i0.ElementRef }, { token: i1$3.Overlay }, { token: i1$4.TranslateService }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "17.1.0", version: "18.0.1", type: XuiTooltip, selector: "[xuiTooltip]", inputs: { message: { classPropertyName: "message", publicName: "xuiTooltip", isSignal: true, isRequired: true, transformFunction: null }, position: { classPropertyName: "position", publicName: "xuiTooltipPosition", isSignal: true, isRequired: false, transformFunction: null }, disabled: { classPropertyName: "disabled", publicName: "xuiTooltipDisabled", isSignal: true, isRequired: false, transformFunction: null } }, host: { listeners: { "mouseenter": "show()", "mouseleave": "_overlayRef.detach()" } }, exportAs: ["xuiTooltip"], ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiTooltip, decorators: [{
            type: Directive,
            args: [{
                    selector: '[xuiTooltip]',
                    exportAs: 'xuiTooltip',
                    host: {
                        '(mouseenter)': 'show()',
                        '(mouseleave)': '_overlayRef.detach()'
                    }
                }]
        }], ctorParameters: () => [{ type: XuiConfigService }, { type: i0.ElementRef }, { type: i1$3.Overlay }, { type: i1$4.TranslateService }] });

class XuiTooltipModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiTooltipModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.1", ngImport: i0, type: XuiTooltipModule, declarations: [XuiTooltip, Tooltip], imports: [CommonModule, OverlayModule, i1$4.TranslateModule, XuiFocusModule], exports: [XuiTooltip] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiTooltipModule, imports: [CommonModule, OverlayModule, TranslateModule.forChild(), XuiFocusModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiTooltipModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [XuiTooltip, Tooltip],
                    imports: [CommonModule, OverlayModule, TranslateModule.forChild(), XuiFocusModule],
                    exports: [XuiTooltip]
                }]
        }] });

class XuiSlider {
    _getColor(color) {
        return `x-slider-${color}`;
    }
    _getPercentage(absolute) {
        return ((absolute - this.min()) / (this.max() - this.min())) * 100;
    }
    constructor(control) {
        this.control = control;
        this._disabled = signal(false);
        this.color = input('primary');
        this.secondColor = input();
        this.min = input(0, { transform: (v) => Number(v) });
        this.max = input(100, { transform: (v) => Number(v) });
        this.step = input(1, { transform: (v) => Number(v) });
        this.marks = input();
        this.value = input(undefined, { transform: (v) => Number(v) });
        // range = input(false, { transform: (v: string | boolean) => convertToBoolean(v) });
        this.disabled = input(undefined, {
            transform: booleanAttribute
        });
        this.tooltipDisabled = input(false, { transform: booleanAttribute });
        this._value = signal(this.min());
        this._tooltip = computed(() => String(this.tipFormatter ? this.tipFormatter(this._value()) : this._value()));
        this.percentage = computed(() => this._getPercentage(this._value()));
        this._width = computed(() => 100 - this.percentage());
        this._position = computed(() => ({ x: (this.percentage() / 100) * this.hostRect.width - 5, y: 0 }));
        if (this.control) {
            this.control.valueAccessor = this;
        }
        effect(() => this.disabled() && this._disabled.set(this.disabled()), { allowSignalWrites: true });
        effect(() => this.value() && this._value.set(this.value()), { allowSignalWrites: true });
        effect(() => this.onChange?.(this._value()));
    }
    writeValue(source) {
        this._value.set(source);
    }
    registerOnChange(onChange) {
        this.onChange = onChange;
    }
    registerOnTouched(onTouched) {
        this._onTouched = onTouched;
    }
    setDisabledState(isDisabled) {
        this._disabled.set(isDisabled);
    }
    _decreaseKey() {
        this._value.set(Math.min(Math.max(this._value() - this.step(), this.min()), this.max()));
    }
    _increaseKey() {
        this._value.set(Math.min(Math.max(this._value() + this.step(), this.min()), this.max()));
    }
    async _move(screenX) {
        if (this._disabled()) {
            return;
        }
        const cursorOffset = 5;
        const rect = this.hostRect;
        const width = rect.width - 10;
        const pos = Math.min(Math.max(screenX - rect.x - cursorOffset, 0), width);
        const value = (pos / width) * (this.max() - this.min()); // 0 <-> max - min
        const newValue = Math.round(value / this.step()) * this.step();
        this._value.set(newValue + this.min());
        await inNextTick();
        this.tooltipRef.show();
    }
    get hostRect() {
        return this.trackElm.nativeElement.getBoundingClientRect();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiSlider, deps: [{ token: i1$2.NgControl, optional: true, self: true }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "18.0.1", type: XuiSlider, isStandalone: true, selector: "xui-slider", inputs: { tipFormatter: { classPropertyName: "tipFormatter", publicName: "tipFormatter", isSignal: false, isRequired: false, transformFunction: null }, color: { classPropertyName: "color", publicName: "color", isSignal: true, isRequired: false, transformFunction: null }, secondColor: { classPropertyName: "secondColor", publicName: "secondColor", isSignal: true, isRequired: false, transformFunction: null }, min: { classPropertyName: "min", publicName: "min", isSignal: true, isRequired: false, transformFunction: null }, max: { classPropertyName: "max", publicName: "max", isSignal: true, isRequired: false, transformFunction: null }, step: { classPropertyName: "step", publicName: "step", isSignal: true, isRequired: false, transformFunction: null }, marks: { classPropertyName: "marks", publicName: "marks", isSignal: true, isRequired: false, transformFunction: null }, value: { classPropertyName: "value", publicName: "value", isSignal: true, isRequired: false, transformFunction: null }, disabled: { classPropertyName: "disabled", publicName: "disabled", isSignal: true, isRequired: false, transformFunction: null }, tooltipDisabled: { classPropertyName: "tooltipDisabled", publicName: "tooltipDisabled", isSignal: true, isRequired: false, transformFunction: null } }, host: { listeners: { "click": "_move($event.x)", "focusout": "_onTouched?.()", "keydown.arrowLeft": "_decreaseKey()", "keydown.arrowRight": "_increaseKey()" }, properties: { "class.x-slider-disabled": "_disabled()" }, classAttribute: "x-slider" }, viewQueries: [{ propertyName: "trackElm", first: true, predicate: ["track"], descendants: true, static: true }, { propertyName: "tooltipRef", first: true, predicate: ["tooltipRef"], descendants: true }], ngImport: i0, template: "<div [class]=\"'x-slider-track ' + _getColor(color())\">\n  <div [style.width.%]=\"_width()\" [class]=\"'x-slider-track-half ' + _getColor(secondColor() ?? 'none')\"></div>\n</div>\n\n<div class=\"x-slider-container\" #track>\n  <div\n    [tabindex]=\"_disabled() ? -1 : 0\"\n    cdkDrag\n    [cdkDragDisabled]=\"_disabled()\"\n    [cdkDragFreeDragPosition]=\"_position()\"\n    (cdkDragMoved)=\"_move($event.pointerPosition.x)\"\n    class=\"x-slider-thumb\"\n    xuiTooltipPosition=\"top\"\n    [xuiTooltip]=\"_tooltip()\"\n    [xuiTooltipDisabled]=\"tooltipDisabled()\"\n    #tooltipRef=\"xuiTooltip\"\n  ></div>\n\n  @for (mark of marks(); track mark.value) {\n    <div\n      [style.left.%]=\"_getPercentage(mark.value)\"\n      class=\"x-slider-mark\"\n      [class]=\"mark.color ? 'x-slider-mark-' + mark.color : ''\"\n    >\n      <div class=\"x-slider-mark-label\">{{ mark.label }}</div>\n      <div class=\"x-slider-mark-dash\"></div>\n    </div>\n  }\n</div>\n", dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "ngmodule", type: FormsModule }, { kind: "ngmodule", type: XuiTooltipModule }, { kind: "directive", type: XuiTooltip, selector: "[xuiTooltip]", inputs: ["xuiTooltip", "xuiTooltipPosition", "xuiTooltipDisabled"], exportAs: ["xuiTooltip"] }, { kind: "ngmodule", type: DragDropModule }, { kind: "directive", type: i2$3.CdkDrag, selector: "[cdkDrag]", inputs: ["cdkDragData", "cdkDragLockAxis", "cdkDragRootElement", "cdkDragBoundary", "cdkDragStartDelay", "cdkDragFreeDragPosition", "cdkDragDisabled", "cdkDragConstrainPosition", "cdkDragPreviewClass", "cdkDragPreviewContainer"], outputs: ["cdkDragStarted", "cdkDragReleased", "cdkDragEnded", "cdkDragEntered", "cdkDragExited", "cdkDragDropped", "cdkDragMoved"], exportAs: ["cdkDrag"] }, { kind: "ngmodule", type: XuiFocusModule }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiSlider, decorators: [{
            type: Component,
            args: [{ standalone: true, imports: [CommonModule, FormsModule, XuiTooltipModule, DragDropModule, XuiFocusModule], selector: 'xui-slider', changeDetection: ChangeDetectionStrategy.OnPush, host: {
                        class: 'x-slider',
                        '[class.x-slider-disabled]': '_disabled()',
                        '(click)': '_move($event.x)',
                        '(focusout)': '_onTouched?.()',
                        '(keydown.arrowLeft)': '_decreaseKey()',
                        '(keydown.arrowRight)': '_increaseKey()'
                    }, template: "<div [class]=\"'x-slider-track ' + _getColor(color())\">\n  <div [style.width.%]=\"_width()\" [class]=\"'x-slider-track-half ' + _getColor(secondColor() ?? 'none')\"></div>\n</div>\n\n<div class=\"x-slider-container\" #track>\n  <div\n    [tabindex]=\"_disabled() ? -1 : 0\"\n    cdkDrag\n    [cdkDragDisabled]=\"_disabled()\"\n    [cdkDragFreeDragPosition]=\"_position()\"\n    (cdkDragMoved)=\"_move($event.pointerPosition.x)\"\n    class=\"x-slider-thumb\"\n    xuiTooltipPosition=\"top\"\n    [xuiTooltip]=\"_tooltip()\"\n    [xuiTooltipDisabled]=\"tooltipDisabled()\"\n    #tooltipRef=\"xuiTooltip\"\n  ></div>\n\n  @for (mark of marks(); track mark.value) {\n    <div\n      [style.left.%]=\"_getPercentage(mark.value)\"\n      class=\"x-slider-mark\"\n      [class]=\"mark.color ? 'x-slider-mark-' + mark.color : ''\"\n    >\n      <div class=\"x-slider-mark-label\">{{ mark.label }}</div>\n      <div class=\"x-slider-mark-dash\"></div>\n    </div>\n  }\n</div>\n" }]
        }], ctorParameters: () => [{ type: i1$2.NgControl, decorators: [{
                    type: Self
                }, {
                    type: Optional
                }] }], propDecorators: { tipFormatter: [{
                type: Input
            }], trackElm: [{
                type: ViewChild,
                args: ['track', { static: true }]
            }], tooltipRef: [{
                type: ViewChild,
                args: ['tooltipRef']
            }] } });

class XuiSpinner {
    constructor() {
        this.color = input('primary');
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiSpinner, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "18.0.1", type: XuiSpinner, isStandalone: true, selector: "xui-spinner", inputs: { color: { classPropertyName: "color", publicName: "color", isSignal: true, isRequired: false, transformFunction: null } }, host: { properties: { "class": "\"x-spinner-\" + color()" }, classAttribute: "x-spinner" }, ngImport: i0, template: '', isInline: true, dependencies: [{ kind: "ngmodule", type: CommonModule }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiSpinner, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    imports: [CommonModule],
                    selector: 'xui-spinner',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '',
                    host: {
                        class: 'x-spinner',
                        '[class]': '"x-spinner-" + color()'
                    }
                }]
        }] });

class XuiStatus {
    constructor() {
        this.type = input.required();
        this._styles = computed(() => {
            const ret = {
                'x-status': true
            };
            ret[`x-status-${this.type()}`] = true;
            return ret;
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiStatus, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "18.0.1", type: XuiStatus, isStandalone: true, selector: "xui-status", inputs: { type: { classPropertyName: "type", publicName: "type", isSignal: true, isRequired: true, transformFunction: null } }, ngImport: i0, template: `<div [ngClass]="_styles()"></div>
    <svg>
      <clipPath id="x-status-idle-clip-path" clipPathUnits="objectBoundingBox">
        <path d="M0.564,0 A0.399,0.399,0,1,1,0,0.564 A0.502,0.502,0,1,0,0.564,0" />
      </clipPath>
    </svg>
    <svg>
      <clipPath id="x-status-dnd-clip-path" clipPathUnits="objectBoundingBox">
        <path
          d="M0.5,0 a0.5,0.5,0,1,0,0.5,0.5 A0.5,0.5,0,0,0,0.5,0 M0.78,0.603 H0.22 a0.103,0.103,0,0,1,0,-0.205 H0.78 a0.103,0.103,0,1,1,0,0.205"
        />
      </clipPath>
    </svg>
    <svg>
      <clipPath id="x-status-offline-clip-path" clipPathUnits="objectBoundingBox">
        <path
          d="M0.5,0 a0.5,0.5,0,1,0,0.5,0.5 A0.5,0.5,0,0,0,0.5,0 m0,0.76 A0.26,0.26,0,1,1,0.76,0.5 A0.26,0.26,0,0,1,0.5,0.76"
        />
      </clipPath>
    </svg>`, isInline: true, dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiStatus, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    imports: [CommonModule],
                    selector: 'xui-status',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: `<div [ngClass]="_styles()"></div>
    <svg>
      <clipPath id="x-status-idle-clip-path" clipPathUnits="objectBoundingBox">
        <path d="M0.564,0 A0.399,0.399,0,1,1,0,0.564 A0.502,0.502,0,1,0,0.564,0" />
      </clipPath>
    </svg>
    <svg>
      <clipPath id="x-status-dnd-clip-path" clipPathUnits="objectBoundingBox">
        <path
          d="M0.5,0 a0.5,0.5,0,1,0,0.5,0.5 A0.5,0.5,0,0,0,0.5,0 M0.78,0.603 H0.22 a0.103,0.103,0,0,1,0,-0.205 H0.78 a0.103,0.103,0,1,1,0,0.205"
        />
      </clipPath>
    </svg>
    <svg>
      <clipPath id="x-status-offline-clip-path" clipPathUnits="objectBoundingBox">
        <path
          d="M0.5,0 a0.5,0.5,0,1,0,0.5,0.5 A0.5,0.5,0,0,0,0.5,0 m0,0.76 A0.26,0.26,0,1,1,0.76,0.5 A0.26,0.26,0,0,1,0.5,0.76"
        />
      </clipPath>
    </svg>`
                }]
        }] });

class XuiSwitch {
    constructor(control) {
        this.control = control;
        this._value = signal(false);
        this._disabled = signal(false);
        this.value = input(undefined, {
            transform: booleanAttribute
        });
        this.color = input('success');
        this.disabled = input(undefined, {
            transform: booleanAttribute
        });
        this._styles = computed(() => {
            const ret = {
                'x-switch-element': true,
                'x-switch-toggled': this._value()
            };
            ret[`x-switch-${this.color()}`] = this._value();
            return ret;
        });
        if (this.control) {
            this.control.valueAccessor = this;
        }
        effect(() => this.disabled() && this._disabled.set(this.disabled()), { allowSignalWrites: true });
        effect(() => this.value() && this._value.set(this.value()), { allowSignalWrites: true });
        effect(() => this.onChange?.(this._value()));
    }
    writeValue(source) {
        this._value.set(source);
    }
    registerOnChange(onChange) {
        this.onChange = onChange;
    }
    registerOnTouched(onTouched) {
        this._onTouched = onTouched;
    }
    setDisabledState(isDisabled) {
        this._disabled.set(isDisabled);
    }
    _click(event) {
        event?.preventDefault();
        if (!this._disabled()) {
            this._value.set(!this._value());
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiSwitch, deps: [{ token: i1$2.NgControl, optional: true, self: true }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "18.0.1", type: XuiSwitch, isStandalone: true, selector: "xui-switch", inputs: { value: { classPropertyName: "value", publicName: "value", isSignal: true, isRequired: false, transformFunction: null }, color: { classPropertyName: "color", publicName: "color", isSignal: true, isRequired: false, transformFunction: null }, disabled: { classPropertyName: "disabled", publicName: "disabled", isSignal: true, isRequired: false, transformFunction: null } }, host: { listeners: { "focusout": "_onTouched?.()", "keydown.enter": "_click($event)", "keydown.space": "_click($event)" }, properties: { "class.x-switch--disabled": "_disabled()" }, classAttribute: "x-switch" }, ngImport: i0, template: "<ng-content />\n\n<div [ngClass]=\"_styles()\" (click)=\"_click()\" [tabIndex]=\"_disabled() ? -1 : 0\">\n  <div class=\"x-switch-handle\">\n    <xui-icon [icon]=\"_value() ? 'check' : 'close'\"></xui-icon>\n  </div>\n  <input tabindex=\"-1\" type=\"checkbox\" [checked]=\"_value()\" [disabled]=\"_disabled()\" />\n</div>\n", dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "component", type: XuiIcon, selector: "xui-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "icon"], exportAs: ["xuiIcon"] }, { kind: "ngmodule", type: XuiFocusModule }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiSwitch, decorators: [{
            type: Component,
            args: [{ standalone: true, imports: [CommonModule, XuiIcon, XuiFocusModule], selector: 'xui-switch', changeDetection: ChangeDetectionStrategy.OnPush, host: {
                        class: 'x-switch',
                        '[class.x-switch--disabled]': '_disabled()',
                        '(focusout)': '_onTouched?.()',
                        '(keydown.enter)': '_click($event)',
                        '(keydown.space)': '_click($event)'
                    }, template: "<ng-content />\n\n<div [ngClass]=\"_styles()\" (click)=\"_click()\" [tabIndex]=\"_disabled() ? -1 : 0\">\n  <div class=\"x-switch-handle\">\n    <xui-icon [icon]=\"_value() ? 'check' : 'close'\"></xui-icon>\n  </div>\n  <input tabindex=\"-1\" type=\"checkbox\" [checked]=\"_value()\" [disabled]=\"_disabled()\" />\n</div>\n" }]
        }], ctorParameters: () => [{ type: i1$2.NgControl, decorators: [{
                    type: Self
                }, {
                    type: Optional
                }] }] });

const TAB_GROUP_ACCESSOR = new InjectionToken('xui-tab-group');

class XuiTab {
    constructor(tabGroup) {
        this.tabGroup = tabGroup;
        this.title = input();
        this.disabled = input(false, { transform: booleanAttribute });
        this._isActive = computed(() => this.tabGroup._active() === this);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiTab, deps: [{ token: TAB_GROUP_ACCESSOR }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "18.0.1", type: XuiTab, selector: "xui-tab", inputs: { title: { classPropertyName: "title", publicName: "title", isSignal: true, isRequired: false, transformFunction: null }, disabled: { classPropertyName: "disabled", publicName: "disabled", isSignal: true, isRequired: false, transformFunction: null } }, host: { classAttribute: "x-tab" }, ngImport: i0, template: '<ng-container *ngIf="_isActive()"><ng-content /></ng-container>', isInline: true, dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiTab, decorators: [{
            type: Component,
            args: [{
                    selector: 'xui-tab',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-container *ngIf="_isActive()"><ng-content /></ng-container>',
                    host: {
                        class: 'x-tab'
                    }
                }]
        }], ctorParameters: () => [{ type: undefined, decorators: [{
                    type: Inject,
                    args: [TAB_GROUP_ACCESSOR]
                }] }] });

class XuiTabGroup {
    constructor() {
        this._active = signal(null);
        this._tabs = signal([]);
    }
    set tabRef(value) {
        this._tabs.set(value.toArray());
    }
    // Not used
    // @Input() canNavigate?: (tab: XuiTabComponent) => boolean;
    ngAfterContentInit() {
        for (const tab of this._tabs()) {
            if (!tab.disabled()) {
                this._active.set(tab);
                break;
            }
        }
    }
    selectTab(tab) {
        if (tab.disabled()) {
            return;
        }
        // if (this.canNavigate && !this.canNavigate(tab)) {
        //   return;
        // }
        this._active.set(tab);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiTabGroup, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "18.0.1", type: XuiTabGroup, selector: "xui-tab-group", host: { classAttribute: "x-tab-group" }, providers: [{ provide: TAB_GROUP_ACCESSOR, useExisting: XuiTabGroup }], queries: [{ propertyName: "tabRef", predicate: XuiTab }], ngImport: i0, template: ` <div class="x-tab-group-list">
      @for (tab of _tabs(); track tab) {
        <div
          class="x-tab-group-entry"
          [class.x-tab-group-active]="tab._isActive()"
          [attr.disabled]="tab.disabled() || null"
          (click)="selectTab(tab)"
        >
          {{ tab.title() | translate }}
        </div>
      }
    </div>
    <ng-content select="xui-tab"></ng-content>`, isInline: true, dependencies: [{ kind: "pipe", type: i1$4.TranslatePipe, name: "translate" }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiTabGroup, decorators: [{
            type: Component,
            args: [{
                    selector: 'xui-tab-group',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: ` <div class="x-tab-group-list">
      @for (tab of _tabs(); track tab) {
        <div
          class="x-tab-group-entry"
          [class.x-tab-group-active]="tab._isActive()"
          [attr.disabled]="tab.disabled() || null"
          (click)="selectTab(tab)"
        >
          {{ tab.title() | translate }}
        </div>
      }
    </div>
    <ng-content select="xui-tab"></ng-content>`,
                    providers: [{ provide: TAB_GROUP_ACCESSOR, useExisting: XuiTabGroup }],
                    host: {
                        class: 'x-tab-group'
                    }
                }]
        }], propDecorators: { tabRef: [{
                type: ContentChildren,
                args: [XuiTab]
            }] } });

class XuiTabModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiTabModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.1", ngImport: i0, type: XuiTabModule, declarations: [XuiTab, XuiTabGroup], imports: [CommonModule, i1$4.TranslateModule, XuiFocusModule], exports: [XuiTab, XuiTabGroup] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiTabModule, imports: [CommonModule, TranslateModule.forChild(), XuiFocusModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiTabModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [XuiTab, XuiTabGroup],
                    imports: [CommonModule, TranslateModule.forChild(), XuiFocusModule],
                    exports: [XuiTab, XuiTabGroup]
                }]
        }] });

class XuiTextarea {
    get errorMessage() {
        const msg = this.control?.getError('message');
        return this.translation.instant(msg);
    }
    constructor(translation, control) {
        this.translation = translation;
        this.control = control;
        this._disabled = signal(false);
        this.value = model();
        this.placeholder = input();
        this.color = input('light');
        this.size = input('normal');
        this.rows = input(3);
        this.maxLength = input();
        this.disabled = input(undefined, {
            transform: booleanAttribute
        });
        this.readOnly = input(false, { transform: booleanAttribute });
        this._worldCount = computed(() => (this.maxLength() ?? 0) - (this.value()?.length ?? 0));
        this._styles = computed(() => {
            const ret = {
                'x-textarea': true,
                'x-textarea-disabled': this._disabled()
            };
            ret[`x-textarea-${this.color()}`] = true;
            return ret;
        });
        if (this.control) {
            this.control.valueAccessor = this;
        }
        effect(() => this.disabled() && this._disabled.set(this.disabled()), { allowSignalWrites: true });
        effect(() => this.value() != undefined && this.onChange?.(this.value()));
    }
    get _showError() {
        if (!this.control) {
            return false;
        }
        const invalid = !!this.control.invalid;
        const { dirty, touched } = this.control;
        return invalid ? (dirty ?? false) || (touched ?? false) : false;
    }
    writeValue(source) {
        this.value.set(source);
    }
    registerOnChange(onChange) {
        this.onChange = onChange;
    }
    registerOnTouched(onTouched) {
        this._onTouched = onTouched;
    }
    setDisabledState(isDisabled) {
        this._disabled.set(isDisabled);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiTextarea, deps: [{ token: i1$4.TranslateService }, { token: i1$2.NgControl, optional: true, self: true }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "18.0.1", type: XuiTextarea, isStandalone: true, selector: "xui-textarea", inputs: { value: { classPropertyName: "value", publicName: "value", isSignal: true, isRequired: false, transformFunction: null }, placeholder: { classPropertyName: "placeholder", publicName: "placeholder", isSignal: true, isRequired: false, transformFunction: null }, color: { classPropertyName: "color", publicName: "color", isSignal: true, isRequired: false, transformFunction: null }, size: { classPropertyName: "size", publicName: "size", isSignal: true, isRequired: false, transformFunction: null }, rows: { classPropertyName: "rows", publicName: "rows", isSignal: true, isRequired: false, transformFunction: null }, maxLength: { classPropertyName: "maxLength", publicName: "maxLength", isSignal: true, isRequired: false, transformFunction: null }, disabled: { classPropertyName: "disabled", publicName: "disabled", isSignal: true, isRequired: false, transformFunction: null }, readOnly: { classPropertyName: "readOnly", publicName: "readOnly", isSignal: true, isRequired: false, transformFunction: null } }, outputs: { value: "valueChange" }, host: { listeners: { "focusout": "_onTouched?.()" } }, ngImport: i0, template: "<div [ngClass]=\"_styles()\" [class.x-textarea-error]=\"_showError\">\n  <textarea\n    [disabled]=\"_disabled()\"\n    [readOnly]=\"readOnly()\"\n    [(ngModel)]=\"value\"\n    [rows]=\"rows()\"\n    [placeholder]=\"placeholder() ?? ''\"\n    [maxLength]=\"maxLength() ?? 524288\"\n    [tabindex]=\"_disabled() ? -1 : 0\"\n  ></textarea>\n\n  <div *ngIf=\"maxLength()\" class=\"x-textarea-word-counter\">{{ _worldCount() }}</div>\n</div>\n\n<div class=\"x-textarea-error-text\" *ngIf=\"_showError\">\n  <ng-container *ngIf=\"control?.hasError('message')\">{{ errorMessage }}</ng-container>\n  <ng-container *ngIf=\"control?.hasError('required')\">This field is required!</ng-container>\n  <ng-container *ngIf=\"control?.hasError('email')\">Email expected</ng-container>\n</div>\n", dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i1$2.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i1$2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1$2.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "ngmodule", type: TranslateModule }, { kind: "ngmodule", type: XuiFocusModule }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiTextarea, decorators: [{
            type: Component,
            args: [{ standalone: true, imports: [CommonModule, FormsModule, TranslateModule, XuiFocusModule], selector: 'xui-textarea', changeDetection: ChangeDetectionStrategy.OnPush, host: {
                        '(focusout)': '_onTouched?.()'
                    }, template: "<div [ngClass]=\"_styles()\" [class.x-textarea-error]=\"_showError\">\n  <textarea\n    [disabled]=\"_disabled()\"\n    [readOnly]=\"readOnly()\"\n    [(ngModel)]=\"value\"\n    [rows]=\"rows()\"\n    [placeholder]=\"placeholder() ?? ''\"\n    [maxLength]=\"maxLength() ?? 524288\"\n    [tabindex]=\"_disabled() ? -1 : 0\"\n  ></textarea>\n\n  <div *ngIf=\"maxLength()\" class=\"x-textarea-word-counter\">{{ _worldCount() }}</div>\n</div>\n\n<div class=\"x-textarea-error-text\" *ngIf=\"_showError\">\n  <ng-container *ngIf=\"control?.hasError('message')\">{{ errorMessage }}</ng-container>\n  <ng-container *ngIf=\"control?.hasError('required')\">This field is required!</ng-container>\n  <ng-container *ngIf=\"control?.hasError('email')\">Email expected</ng-container>\n</div>\n" }]
        }], ctorParameters: () => [{ type: i1$4.TranslateService }, { type: i1$2.NgControl, decorators: [{
                    type: Self
                }, {
                    type: Optional
                }] }] });

const _PLACEHOLDER = 'PLACEHOLDER';

class XuiTimePicker {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiTimePicker, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.1", type: XuiTimePicker, isStandalone: true, selector: "xui-time-picker", ngImport: i0, template: "<p>time-picker works!</p>\n", dependencies: [{ kind: "ngmodule", type: CommonModule }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiTimePicker, decorators: [{
            type: Component,
            args: [{ standalone: true, imports: [CommonModule], selector: 'xui-time-picker', changeDetection: ChangeDetectionStrategy.OnPush, template: "<p>time-picker works!</p>\n" }]
        }] });

class XuiToggle {
    constructor(control) {
        this.control = control;
        this._disabled = signal(false);
        this._value = signal(true);
        this.value = input(undefined, {
            transform: booleanAttribute
        });
        this.color = input('none');
        this.icon = input();
        this.disabled = input(undefined, {
            transform: booleanAttribute
        });
        if (this.control) {
            this.control.valueAccessor = this;
        }
        effect(() => this.disabled() && this._disabled.set(this.disabled()), { allowSignalWrites: true });
        effect(() => this.value() && this._value.set(this.value()), { allowSignalWrites: true });
        effect(() => this.onChange?.(this._value()));
    }
    writeValue(source) {
        this._value.set(source);
    }
    registerOnChange(onChange) {
        this.onChange = onChange;
    }
    registerOnTouched(onTouched) {
        this._onTouched = onTouched;
    }
    setDisabledState(isDisabled) {
        this._disabled.set(isDisabled);
    }
    _click(event) {
        event?.preventDefault();
        if (!this._disabled()) {
            this._value.set(!this._value());
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiToggle, deps: [{ token: i1$2.NgControl, optional: true, self: true }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "18.0.1", type: XuiToggle, isStandalone: true, selector: "xui-toggle", inputs: { value: { classPropertyName: "value", publicName: "value", isSignal: true, isRequired: false, transformFunction: null }, color: { classPropertyName: "color", publicName: "color", isSignal: true, isRequired: false, transformFunction: null }, icon: { classPropertyName: "icon", publicName: "icon", isSignal: true, isRequired: false, transformFunction: null }, disabled: { classPropertyName: "disabled", publicName: "disabled", isSignal: true, isRequired: false, transformFunction: null } }, host: { listeners: { "focusout": "_onTouched?.()", "click": "_click($event)", "keydown.enter": "_click($event)", "keydown.space": "_click($event)" }, properties: { "class": "color() !== \"none\" ? \"x-toggle-\" + color() : \"\"", "class.x-toggle-disabled": "_disabled()", "tabindex": "_disabled() ? -1 : 0" }, classAttribute: "x-toggle" }, ngImport: i0, template: `<div [class.x-toggle-clip]="!_value()">
      <div class="x-toggle-content">
        <xui-icon [icon]="icon()"></xui-icon>
      </div>
    </div>
    <div [class.x-toggle-toggled]="!_value()">
      <div class="x-toggle-line"></div>
    </div>`, isInline: true, dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "component", type: XuiIcon, selector: "xui-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "icon"], exportAs: ["xuiIcon"] }, { kind: "ngmodule", type: XuiFocusModule }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.1", ngImport: i0, type: XuiToggle, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    imports: [CommonModule, XuiIcon, XuiFocusModule],
                    selector: 'xui-toggle',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: `<div [class.x-toggle-clip]="!_value()">
      <div class="x-toggle-content">
        <xui-icon [icon]="icon()"></xui-icon>
      </div>
    </div>
    <div [class.x-toggle-toggled]="!_value()">
      <div class="x-toggle-line"></div>
    </div>`,
                    host: {
                        class: 'x-toggle',
                        '[class]': 'color() !== "none" ? "x-toggle-" + color() : ""',
                        '[class.x-toggle-disabled]': '_disabled()',
                        '[tabindex]': '_disabled() ? -1 : 0',
                        '(focusout)': '_onTouched?.()',
                        '(click)': '_click($event)',
                        '(keydown.enter)': '_click($event)',
                        '(keydown.space)': '_click($event)'
                    }
                }]
        }], ctorParameters: () => [{ type: i1$2.NgControl, decorators: [{
                    type: Self
                }, {
                    type: Optional
                }] }] });

/**
 * Generated bundle index. Do not edit.
 */

export { BUTTON_MODULE, CHECKBOX_MODULE, DATE_PICKER_MODULE, DECAGRAM_MODULE, DIVIDER_MODULE, IMAGE_UPLOAD_MODULE, INPUT_MODULE, LAYOUT_MODULE, SNACKBAR_MODULE, SnackBarConfig, SnackBarRef, TOOLTIP_MODULE, WithConfig, XUI_BADGE_DEFAULT_OPTIONS, XUI_BANNER_DEFAULT_OPTIONS, XUI_CONFIG, XUI_ICON_DEFAULT_OPTIONS, XUI_ICON_LOCATION, XUI_ICON_LOCATION_FACTORY, XUI_SNACK_BAR_DATA, XuiBadge, XuiBadgeConfigure, XuiBanner, XuiButton, XuiButtonGroup, XuiButtonModule, XuiCard, XuiCardActions, XuiCardModule, XuiCardTitle, XuiCheckbox, XuiConfigModule, XuiConfigService, XuiConfigure, XuiContent, XuiContextMenu, XuiContextMenuModule, XuiContextMenuTriggerFor, XuiDatePicker, XuiDecagram, XuiDivider, XuiDockerManager, XuiDockerManagerModule, XuiDrawer, XuiDrawerFooterTemplate, XuiDrawerHeaderTemplate, XuiDrawerItemTemplate, XuiDrawerModule, XuiFooter, XuiGraphView, XuiGraphViewModule, XuiHeader, XuiIcon, XuiImageUpload, XuiImageUploadModule, XuiInput, XuiInputAddon, XuiInputGroup, XuiInputModule, XuiLayout, XuiLayoutModule, XuiMenu, XuiMenuGroup, XuiMenuItem, XuiMenuModule, XuiMenuTriggerFor, XuiNode, XuiOption, XuiPanelBar, XuiPanelBarItem, XuiPanelBarItemContent, XuiPanelBarItemTemplate, XuiPanelBarItemTitle, XuiPanelBarModule, XuiPopover, XuiPopoverModule, XuiPopoverTriggerFor, XuiProgress, XuiRadio, XuiRadioGroup, XuiRadioList, XuiRadioListModule, XuiRadioModule, XuiRadioOption, XuiSelect, XuiSelectModule, XuiSettings, XuiSettingsModule, XuiSider, XuiSlider, XuiSnackBar, XuiSnackbarModule, XuiSpinner, XuiStatus, XuiSubmenu, XuiSwitch, XuiTab, XuiTabGroup, XuiTabModule, XuiTextarea, XuiTimePicker, XuiToggle, XuiTooltip, XuiTooltipModule, _PLACEHOLDER, delay, inNextTick, parseCss };
//# sourceMappingURL=xui-components.mjs.map
